UPDATE sscSetting SET smallValue='3.0.0' WHERE code='dataObjectsVersion';

INSERT INTO sscRole(code, name, description)
VALUES('reportView', 'Report Viewer', 'Allows access to view and run reports.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('mergeFactor','Lucene Merge Factor','The number of documents to store in memory before writing to the index. A higher number means more memory and less CPU used during reindexing.','SYSTEM', 'integerValue',10,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('maxRecordsProcessed','Max Records Processed','For certain batch functions such as Lucene reindexing and product imports, the system will process only this many records at once. A high number means more memory and less CPU will be needed.','LUCENE', 'integerValue',1000,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('characterEncoding','Character Encoding','The character encoding the system will use when outputting HTML responses. Leave blank to use the server default.','ADVANCEDSYSTEM', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('seoIncludeCategoryCodes','Include Category Codes in Product URLs','If true, SEO product URLs will include the code of the category the user came from in the generated URLs. Search engines may penalize your product pages if they can be reached from more than one URL, so if your products are assigned more than one category you should consider setting this to no.','SEO', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('strikeThruPrices','Strike Through Product Prices','If true and if a discount applies to a product, the regular price will be crossed out and the discounted price displayed next to it.','GENERALDISPLAY', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayCategoriesOnWelcomePage','Display Categories on Welcome Screen','If true, a list the top-level categories of the store will be displayed on the welcome page.','GENERALDISPLAY', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayPanel','Display Side Panel','If true, a side panel will be displayed with the below options. Setting this to no disables the display of the search form, mini cart, and other below options.','HEADERANDSIDEPANEL', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displaySearchForm','Display Search Form','If true, the product search form will display in the side panel, on all pages other than checkout and customer account pages. By default the form triggers a regular database search of products, unless Advanced Search has been enabled on the Advanced Search Settings screen.','HEADERANDSIDEPANEL', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayCategoryTree','Display Category Tree','If true, the category tree will display in the side panel, on all pages other than checkout and customer account pages.','HEADERANDSIDEPANEL', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('miniCartItemCount','Number of Items to Display in the Mini Cart','If more than zero, the panel will list this many items in the mini cart on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the mini cart in the panel.','HEADERANDSIDEPANEL', 'integerValue',3,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('miniManufacturersCount','Number of Manufacturuers to Display in the Panel','If more than zero, the panel will list this many manufacturers on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the manufacturers in the panel. (Note, you may also display a link to view a screen with all manufacturers using the Navigation Bar Options setting.','HEADERANDSIDEPANEL', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('storeDiscountsCount','Number of Store Discounts to Display in the Panel','If more than zero, the panel will list this many store discounts on all pages other than checkout and customer account pages. A store discount is a global discount that applies to the entire cart rather than to a specific item in the cart. Set at 0 to suppress the display of the discounts in the panel.','HEADERANDSIDEPANEL', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('currentCategoryProductCount','Number of Products from the Most Recently Visited Category to Display','If more than zero, the panel will list this many products from the most recently visited category on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the most recently visited category in the panel.','HEADERANDSIDEPANEL', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_maxPackageWeight','Max Package Weight','The maximum package weight allowed by UPS. The system will forcefully cap the weight sent to UPS for each package at this amount to avoid errors retrieving the rates from UPS.','UPS', 'smallValue',NULL,'150',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('upsExtraDeliveryDays','UPS Extra Delivery Days','The number of days to pad the estimated delievery date that is returned by UPS.','UPS', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('upsellRelatedProductsOnCartPage','Upsell Related Products on Cart Page','If true, the related products for each product that is added to the cart will appear on the cart page after the product is added.','PRODUCTDISPLAY', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('insertGenericTracking','Insert Generic Tracking Code','If true, store pages will insert the generic tracking code below for tracking page hits.','TRACKING', 'booleanValue', 0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('genericTrackingNormal','Normal Generic Tracking Code','The generic tracking code to insert on all pages of the store other than the order confirmation page.','TRACKING', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('genericTrackingOrder','Order Generic Tracking Code','The generic tracking code to insert on the order confirmation page.','TRACKING', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('productListDisplayFormat','Product List Display Format','Defines if the products on product list pages such as category pages should be displayed in column or row format.','PRODUCTLISTDISPLAY', 'smallValue', NULL,'columns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('productListNumberOfColumns','Number of Columns on Product List Pages','If the Product List Display Format setting is set to columns, the number of columns to display products in on product list pages.','PRODUCTLISTDISPLAY', 'integerValue', 3,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('rejectNonSecureAdminRequests','Reject Non-Secure Administrator Requests','If true, any request made to the Administrator that does not employ SSL (https URLs) will be rejected.','SESSION', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('seoProductListMarker','SEO Product List Marker','The marker used as a subdirectory when generating the search-engine friendly link to the Product List Screen (e.g. the "productlist" in "/context/do/productlist").','SEO', 'smallValue', NULL,'productlist',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUrl','Paypoint URL','The URL we send users to pay through Paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.secpay.com/java-bin/ValCard',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCallback','Callback URL','The location on our server paypoint is required to call when authorisation is completed.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.yourdomain.com/Paypoint.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchant','Username','This is your paypoint username (usually six letters followed by two numbers).','PAYPOINT', 'smallValue',NULL,'xxxxxx11',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointBackCallback','Back Callback URL','The URL the user can come back to without finishing the authorisation.','PAYPOINT', 'mediumValue',NULL,NULL,'http://www.yourdomain.com/Cart.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointErrTemplate','Error Template','The HTML template used by paypoint to display error messages.  Leave blank if using default.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointShowBack','Back Button','Set to submit when using the Back Callback URL, otherwise the back button on the payment page will act as a submit to authorise payment.','PAYPOINT', 'smallValue',NULL,'submit',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTemplate','Template','The path to the HTML card payment page template you customised and uploaded to paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointAmex','Amex Test','Used for testing to indicate that you have an extra Amex merchant number.  You must actually have an amex account when live.','PAYPOINT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCardType','CB Card Type','If on, paypoint will callback the type of card used in the transaction.','PAYPOINT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferred','Deferred Option','If true, 1 unit will be authorised.  If full, the full amount will be authorised.  If reuse, the full amount will be authorised and will try to use the same authorisation code.','PAYPOINT', 'smallValue',NULL,'reuse',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferredReuse','Deferred Reuse Setting','The period of days authorisation should be valid (credit card:debit card).  Example would be 5:3 for five days and three days.','PAYPOINT', 'smallValue',NULL,'5:3',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUseDigest','Use Digest','Use the optional security digest authenticatino system.','PAYPOINT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRemotePassword','Remote Password','This is used to create MD5 hash for the digest security.  Set this up in the paypoint admin.','PAYPOINT', 'mediumValue',NULL,NULL,'yourremotepassword',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointIdiompotent','Idempotent','This can be used locally when catching dups, but it is not clear in the docs what we are supposed to do with it.','PAYPOINT', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCustomerMailAttach','Attach Customer Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchantMailAttach','Attach Merchant Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailOption','Email Confirmation Option','true = send email to billing email, false = do not send email, bill = send to bill email, ship = send email to shipping email','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMerchants','Confirmation Email Addresses','Colon (:) seperated list of merchant email addresses to receive confirmation.  Overrides settings in paypoint.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMessage','Email Message','Additional message added to the confirmation email.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailSubject','Email Subject','Sets the subject line of the order confirmation emails.','PAYPOINT', 'mediumValue',NULL,NULL,'Order Confirmation',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTestStatus','Test Status','true = simulate authorised transaction, false = simulate declined transaction, live = do live authorisations.','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointParameters','Extra Parameters','A pipe delimited list of extra parameters (like presentation) to send to paypoint.  See paypoint docs for more values.  (ex: name=value|name=value).','PAYPOINT', 'textValue',NULL,NULL,NULL,'background=https://www.secpay.com/users/xxxxxx11/background.gif|bgcolor=white|font_color=black');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRequireCv2','Require CV2','Require the user to enter a CV2 or security code','PAYPOINT','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayContactForm','Display Contact Form?','If true, the contact form will be displayed on the contact page. The contact form collects information from users and the results of each submission are emailed to the addresses defined below.','CONTACTFORM', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormEmailSubject','Contact Form: Email Subject','The subject of the emails produced by the contact form.','CONTACTFORM','mediumValue',NULL,NULL,'Contact Form Submission',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormEmailTo','Contact Form: Email To','A comma-separated list of email addresses that contact form submissions will be emailed to.','CONTACTFORM','textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormEmailCC','Contact Form: Email CC','A comma-separated list of email addresses that contact form submissions will be emailed to as CCs.','CONTACTFORM','textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormEmailBCC','Contact Form: Email BCC','A comma-separated list of email addresses that contact form submissions will be emailed to as BCCs.','CONTACTFORM','textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormPromptedFields','Contact Form: Prompted Fields','A comma-separated list of fields that the contact form prompts for.','CONTACTFORM','textValue',NULL,NULL,NULL,'First Name, Last Name, Organization, Email, Phone, Message');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormRequiredFields','Contact Form: Required Fields','A comma-separated list of fields that the contact form requires.','CONTACTFORM','textValue',NULL,NULL,NULL,'First Name, Last Name, Email');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contactFormValidatedFields','Contact Form: Validated Fields','A comma-separated list of fields that the contact form validates.','CONTACTFORM','textValue',NULL,NULL,NULL,'Email');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useImageVerificationWithContactForms','Use Image Verification with the Contact Form','If true, users submitting the contact form will be required to enter text matching a generated image.','CONTACTFORM,IMAGEVERIFICATION', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayEstimatedShippingOnCartPage','Display Estimated Shipping on Cart Page','If true, an estimated shipping cost will be displayed on the cart page.','SHIPPING', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('defaultDeliveryCity','Default Delivery City','When displaying estimated shipping costs, if the customer has not entered a city for his delivery address, this setting will be used.','SHIPPING', 'smallValue', NULL,'New York',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('defaultDeliveryState','Default Delivery State','When displaying estimated shipping costs, if the customer has not entered a state for his delivery address, this setting will be used.','SHIPPING', 'smallValue', NULL,'NY',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('defaultDeliveryZIP','Default Delivery ZIP','When displaying estimated shipping costs, if the customer has not entered a ZIP for his delivery address, this setting will be used.','SHIPPING', 'smallValue', NULL,'10001',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('defaultDeliveryCountry','Default Delivery Country','When displaying estimated shipping costs, if the customer has not entered a country for his delivery address, this setting will be used.','SHIPPING', 'smallValue', NULL,'US',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('possibleOrderStatuses','Possible Order Statuses','A comma-separated list of order statuses that will populate drop downs in the admin area.','ADVANCEDSYSTEM', 'textValue',NULL,NULL,NULL,'Received, On Hold, Processed, Shipped, Canceled, Complete');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('possiblePrintTemplates','Possible Print Templates','A comma-separated list of templates that may be used to print orders with in the admin area. Each value corresponds to a .jsp file in the /WEB-INF/templates/administrator/[default or custom]/print directory.','ADVANCEDSYSTEM', 'textValue',NULL,NULL,NULL,'invoice, packList');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('maxAdminRecordsToDisplay','Maximum Admin Records to Display','The maximum number of records to display in various drop down menus in the Administrator. When the number of records exceeds this value, users must enter in database identifiers directly. For example, if this value is 1000, up to 1000 categories will be displayed in the Product details form for the Primary Category field. If the number of categories is more than 1000, instead of a drop down menu, users will see a text box where they can edit the value using the database identifier of the category.','ADVANCEDSYSTEM', 'integerValue',1000,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES 
('storeShippingMethodNameWithOrder','Store Shipping Method Name with Order','If true, the shipping method name chosen by the customer will be stored with the order, in the delivery status details field. Otherwise, the shipping method code will be stored.','SHIPPING', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('checkPaymentProcessorMessage','Check Payment Processor Message','The message displayed on the invoice when the user elects to pay using the CheckPaymentProcessor.','PAYMENT', 'mediumValue',0,NULL,'User elected to pay by check.',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('unsafeCharacters','Unsafe Characters','Characters that the system will prevent users from using for various Code fields in the system. Most code fields might have to appear on a URL or within a form submission. As such certain reserved characters should not be used for these fields.','ADVANCEDSYSTEM', 'mediumValue',NULL,NULL,'$&+,/:;=?@ "<>#%{}|\^~[]`',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('insertGoogleAnalytics','Insert Google Analytics Tracking','If true, store pages will insert the Google Analytics script below for tracking page hits.','TRACKING', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleAnalyticsCode','Google Analytics Tracking Code','The Google Analytics tracking code for this site. Available within your Google Analytics account settings.','TRACKING','textValue',NULL,NULL,NULL,'');

UPDATE sscSetting SET textValue='home,about,contact,products,manufacturers,account,cart,order,checkout' WHERE code='navBarOptions';
UPDATE sscSetting SET textValue='https://payflowlink.paypal.com' WHERE code='payflowLinkURL';


UPDATE sscSetting SET name = 'Data Objects Version', description = 'The version represented by current state of the database objects in the database. Normally, this setting should not be changed manually. It is updated automatically by the running the upgrade process.', type = 'ADVANCEDSYSTEM', valueType = 'smallValue' WHERE code = 'dataObjectsVersion';
UPDATE sscSetting SET name = 'Possible Address Fields', description = 'A comma-separated list of all the possible address fields available to be populated in the system.', type = 'ADVANCEDSYSTEM', valueType = 'textValue' WHERE code = 'possibleFields';
UPDATE sscSetting SET name = 'Prompted Billing Address Fields', description = 'A comma-separated list of the address fields that users will be prompted for when filling in a billing address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'billingPrompt';
UPDATE sscSetting SET name = 'Prompted Delivery Address Fields', description = 'A comma-separated list of the address fields that users will be prompted for when filling in a delivery address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'deliveryPrompt';
UPDATE sscSetting SET name = 'Required Billing Address Fields', description = 'A comma-separated list of the address fields that users are required to provide when filling in a billing address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'billingRequired';
UPDATE sscSetting SET name = 'Required Delivery Address Fields', description = 'A comma-separated list of the address fields that users are required to provide when filling in a delivery address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'deliveryRequired';
UPDATE sscSetting SET name = 'Possible Validated Address Fields', description = 'A comma-separated list of the address fields that can have their formats validated by the system.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'possibleValidatedFields';
UPDATE sscSetting SET name = 'Validated Billing Address Fields', description = 'A comma-separated list of the address fields whose formats are validated when provided in a billing address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'billingValidated';
UPDATE sscSetting SET name = 'Validated Delivery Address Fields', description = 'A comma-separated list of the address fields whose formats are validated when provided in a delivery address.', type = 'ADDRESS', valueType = 'textValue' WHERE code = 'deliveryValidated';
UPDATE sscSetting SET name = 'Base Customer URL', description = 'The absolute URL path to the base directory of the application for customers.', type = 'STOREURLS', valueType = 'mediumValue' WHERE code = 'customerURL';
UPDATE sscSetting SET name = 'Base Secure Customer URL', description = 'The secure, absolute URL path to the base directory of the application for customers. It is possible to use a URL beginning with http for this setting, such as during testing an development. For live stores capturing personal information, a security certificate should be installed on the host server, and this setting should be changed to begin with https.', type = 'STOREURLS', valueType = 'mediumValue' WHERE code = 'customerSecureURL';
UPDATE sscSetting SET name = 'Administrator URL', description = 'The absolute URL path to the base directory of the application for administrators. For live stores, a security certificate should be installed and this setting should begin with https.', type = 'STOREURLS', valueType = 'mediumValue' WHERE code = 'administratorURL';
UPDATE sscSetting SET name = 'Store Currency Code', description = 'The ISO 4217 currency code for the currency the store is selling products with.', type = 'ADVANCEDSYSTEM', valueType = 'smallValue' WHERE code = 'currencyCode';
UPDATE sscSetting SET name = 'Order Number Floor', description = 'As each order is completed, it is assigned a new sequential order number, which is shown on the invoice and within the order confirmation emails. Future order numbers will start with this number and increment from there.', type = 'ADVANCEDSYSTEM', valueType = 'integerValue' WHERE code = 'orderNumberFloor';
UPDATE sscSetting SET name = 'Minimum Password Length', description = 'The minimum length in characters that the system allows for new customer account passwords.', type = 'CUSTOMERACCOUNT', valueType = 'integerValue' WHERE code = 'minimumPasswordLength';
UPDATE sscSetting SET name = 'Order Form Product Count', description = 'The number of products to display for purchase on the stand-alone order form.', type = 'CHECKOUT', valueType = 'integerValue' WHERE code = 'orderFormProductCount';
UPDATE sscSetting SET name = 'Keep User Name and Email in Sync', description = 'If true, the system will use the billing email address as the user name for all customers.', type = 'CUSTOMERACCOUNT', valueType = 'booleanValue' WHERE code = 'keepUserNameAndEmailInSync';
UPDATE sscSetting SET name = 'Force Login on Orders', description = 'If true, a user must be logged in as a customer before being able to place an order.', type = 'CUSTOMERACCOUNT,CHECKOUT', valueType = 'booleanValue' WHERE code = 'forceLogin';
UPDATE sscSetting SET name = 'Invite Login Before Checkout', description = 'If true, the first screen of the checkout process will invite the user to log in, if he has not already.', type = 'CUSTOMERACCOUNT,CHECKOUT', valueType = 'booleanValue' WHERE code = 'inviteLoginBeforeCheckout';
UPDATE sscSetting SET name = 'Catalog Mode', description = 'If true, the store will not allow orders, logins, or new customer accounts, and buttons and links related to orders will be suppressed.', type = 'CHECKOUT', valueType = 'booleanValue' WHERE code = 'catalogMode';
UPDATE sscSetting SET name = 'Is Shipping Taxable?', description = 'If true, shipping charges for each delivery will by added to the taxable subtotal for that delivery.', type = 'SHIPPING,TAXES', valueType = 'booleanValue' WHERE code = 'isShippingTaxable';
UPDATE sscSetting SET name = 'Is a Shipping Selection Required?', description = 'If true, the customer must select a valid shipping option before placing an order.', type = 'SHIPPING', valueType = 'booleanValue' WHERE code = 'shippingRequired';
UPDATE sscSetting SET name = 'Is Payment Information Required?', description = 'If true, the customer must enter valid payment information before placing an order.', type = 'PAYMENTS', valueType = 'booleanValue' WHERE code = 'paymentRequired';
UPDATE sscSetting SET name = 'Are Multiple Shipments Allowed for the Same Order?', description = 'If true, customers may define multple shipping addresses for a single order.', type = 'UNUSED', valueType = 'booleanValue' WHERE code = 'allowMultipleShipments';
UPDATE sscSetting SET name = 'Are Tax Rates Cumulative?', description = 'If true, each matching tax rate will be applied cumulatively; if false, only the most specific matching tax rate will be applied.', type = 'TAXES', valueType = 'booleanValue' WHERE code = 'areTaxRatesCumulative';
UPDATE sscSetting SET name = 'Is a Security Code Required for Credit Cards?', description = 'If true, customers must submit a security code as part of their credit card payment submission.', type = 'PAYMENTS', valueType = 'booleanValue' WHERE code = 'securityCodeRequired';
UPDATE sscSetting SET name = 'Use Combined Address, Shipping and Payment Screen in Checkout?', description = 'If true, the checkout process will feature a single screen with address, shipping, and payment form fields, rather than separate screens. (Overrides Use Combined Address and Shipping setting.)', type = 'CHECKOUT', valueType = 'booleanValue' WHERE code = 'useCheckoutCombo';
UPDATE sscSetting SET name = 'Use Combined Address and Shipping Screen in Checkout?', description = 'If true, the checkout process will feature a single screen with address form fields and shipping options, rather than separate address and shipping screens.', type = 'CHECKOUT', valueType = 'booleanValue' WHERE code = 'combineCheckoutShippingAddresses';
UPDATE sscSetting SET name = 'Display Confirm Screen Before End of Checkout?', description = 'If true, customers will be shown a confirmation screen at the end of the checkout process, and must confirm their order before it is processed.', type = 'CHECKOUT', valueType = 'booleanValue' WHERE code = 'displayCheckoutConfirm';
UPDATE sscSetting SET name = 'Store Logo', description = 'The URL path (relative or absolute) to the logo image for the store appearing in the header. This logo will appear in the header of all store pages. If this setting is left blank, the store name will be displayed instead. (Applies only to the default-xhtml Base Layout.)', type = 'STORELOGO', valueType = 'mediumValue' WHERE code = 'storeLogo';
UPDATE sscSetting SET name = 'CSS Theme', description = 'The theme in effect for the store. Corresponds to a subdirectory under /css containing the CSS styles. The base theme is always included before the selected theme, and the custom theme is included after. (Applies only to the default-xhtml Base Layout.)', type = 'THEMES', valueType = 'smallValue' WHERE code = 'cssTheme';
UPDATE sscSetting SET name = 'Font Family', description = 'The font family in effect for the store. Select Other and leave blank to use the font family defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)', type = 'GENERALDISPLAY', valueType = 'smallValue' WHERE code = 'fontFamily';
UPDATE sscSetting SET name = 'Main Color', description = 'The color used in prominent places within the layout of the store, including the navigation bar, and the background of the widgets. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)', type = 'GENERALDISPLAY', valueType = 'smallValue' WHERE code = 'mainColor';
UPDATE sscSetting SET name = 'Heading Color', description = 'The color used for the text headings on each screen. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)', type = 'GENERALDISPLAY', valueType = 'smallValue' WHERE code = 'headingColor';
UPDATE sscSetting SET name = 'Button Color', description = 'The color used for the background of all buttons. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)', type = 'GENERALDISPLAY', valueType = 'smallValue' WHERE code = 'buttonColor';
UPDATE sscSetting SET name = 'Navigation Bar Options', description = 'A comma-separated list of the possible links available in the system for display in the navigation bar.', type = 'HEADERANDSIDEPANEL', valueType = 'textValue' WHERE code = 'navBarOptions';
UPDATE sscSetting SET name = 'Navigation Bar Links', description = 'The links currently displayed in the navigation bar.', type = 'HEADERANDSIDEPANEL', valueType = 'textValue' WHERE code = 'navBarLinks';
UPDATE sscSetting SET name = 'Pagination Style', description = 'The style that the paging controls on product list pages is displayed with.', type = 'PRODUCTLISTDISPLAY', valueType = 'smallValue' WHERE code = 'paginationStyle';
UPDATE sscSetting SET name = 'Display Add to Cart on List Pages?', description = 'If true, search results, category pages, and other product lists will prompt customers to add multiple items to their cart at once. (Applies only to the default-xhtml Base Layout.)', type = 'PRODUCTLISTDISPLAY', valueType = 'booleanValue' WHERE code = 'displayAddToCartOnListPages';
UPDATE sscSetting SET name = 'Product List Page Size', description = 'The number of products to display per page of the product list.', type = 'PRODUCTLISTDISPLAY', valueType = 'integerValue' WHERE code = 'productListPageSize';
UPDATE sscSetting SET name = 'Category Page Size', description = 'The number of products to display per page of a category page.', type = 'PRODUCTLISTDISPLAY', valueType = 'integerValue' WHERE code = 'categoryPageSize';
UPDATE sscSetting SET name = 'Manufacturer Page Size', description = 'The number of products to display per page of a manufacturer page.', type = 'PRODUCTLISTDISPLAY', valueType = 'integerValue' WHERE code = 'manufacturerPageSize';
UPDATE sscSetting SET name = 'Search Results Page Size', description = 'The number of products to display per page of search results.', type = 'PRODUCTLISTDISPLAY', valueType = 'integerValue' WHERE code = 'searchResultsPageSize';
UPDATE sscSetting SET name = 'Order History Page Size', description = 'The number of orders to display per page on the account order history screen.', type = 'CUSTOMERACCOUNT', valueType = 'integerValue' WHERE code = 'orderHistoryPageSize';
UPDATE sscSetting SET name = 'Base Layout', description = 'The layout directory used for any JSP templates that do not exist in the current layout for the user. The two valid values are default (a legacy set of templates) and default-xhtml (a newer, CSS-based set of templates).', type = 'ADVANCEDDISPLAY', valueType = 'smallValue' WHERE code = 'baseLayout';
UPDATE sscSetting SET name = 'Default Layout', description = 'The layout given to users by default, if the layout is not specified on the URL with the layout parameter. (Layout names correspond to directory names under the /WEB-INF/layouts directory.)', type = 'ADVANCEDDISPLAY', valueType = 'smallValue' WHERE code = 'defaultLayout';
UPDATE sscSetting SET name = 'Store Name', description = 'The name of the store, which appears in the title bar of all store pages, as well as invoices. The store name also appears in the header of all store pages, unless a logo has been defined through the <a href="SettingsStoreLogo.do">Store Logo Upload form</a>.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storeName';
UPDATE sscSetting SET name = 'Store Address 1', description = 'The first line of the street address of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'mediumValue' WHERE code = 'storeAddress1';
UPDATE sscSetting SET name = 'Store Address 2', description = 'The second line of the street address of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'mediumValue' WHERE code = 'storeAddress2';
UPDATE sscSetting SET name = 'Store City', description = 'The city of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'mediumValue' WHERE code = 'storeCity';
UPDATE sscSetting SET name = 'Store State or Province', description = 'The state or province of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storeStateOrProvince';
UPDATE sscSetting SET name = 'Store Postal Code', description = 'The postal code of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storePostalCode';
UPDATE sscSetting SET name = 'Store Country', description = 'The country of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storeCountry';
UPDATE sscSetting SET name = 'Store Email Address', description = 'The email address used by the store, as appears on its invoices and elsewhere. This email is also used as the From address for all of the outgoing emails the store produces, including the lost password emails and order confirmation emails. <em>This setting must be defined and valid in order for outgoing emails to go out.</em>', type = 'STOREINFO,EMAIL', valueType = 'mediumValue' WHERE code = 'storeEmailAddress';
UPDATE sscSetting SET name = 'Store Phone', description = 'The phone number of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storePhone';
UPDATE sscSetting SET name = 'Store Fax', description = 'The fax number of the store, as appears on its invoices and elsewhere.', type = 'STOREINFO', valueType = 'smallValue' WHERE code = 'storeFax';
UPDATE sscSetting SET name = 'SMTP Server', description = 'The domain name or IP address of the SMTP server for the store, to allow it to send emails. An SMTP server is a server that is configured to send out emails. In many cases, the server the application is installed on, identified by the IP address "127.0.0.1", may be used. If this does not work, your host provider should be able to assist you with this setting.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'storeSMTPServer';
UPDATE sscSetting SET name = 'SMTP Server User Name', description = 'Username for SMTP authentication. Not all SMTP servers require a user name and password. Leave this field blank if no authentication is required.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'storeSMTPUsername';
UPDATE sscSetting SET name = 'SMTP Server Password', description = 'Password for SMTP authentication. Not all SMTP servers require a user name and password. Leave this field blank if no authentication is required.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'storeSMTPPassword';
UPDATE sscSetting SET name = 'Lost Password Email Subject', description = 'The subject of the lost password emails generated by the store.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'lostPasswordEmailSubject';
UPDATE sscSetting SET name = 'Lost Password Email Text Template', description = 'A string template used to construct the text part of the lost password email.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'lostPasswordEmailTextTemplate';
UPDATE sscSetting SET name = 'Lost Password Email HTML Template', description = 'A string template used to construct the HTML part of the lost password email.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'lostPasswordEmailHTMLTemplate';
UPDATE sscSetting SET name = 'Invoice Email Subject', description = 'The subject of the invoice emails generated by the store. Please note, the body of the invoice emails is defined by JSP templates, which may be overidden by following the guidelines in the User Guide.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'invoiceEmailSubject';
UPDATE sscSetting SET name = 'Invoice Email Copy', description = 'A comma-separated list of email addresses that will be copied on the invoice email sent to the customer.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'invoiceEmailCC';
UPDATE sscSetting SET name = 'Invoice Email Blind Copy', description = 'A comma-separated list of email addresses that will be blind copied on the invoice email sent to the customer.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'invoiceEmailBCC';
UPDATE sscSetting SET name = 'Notification Email Subject', description = 'The subject of the email notifying the store of an order. Please note, the body of the notification emails is defined by JSP templates, which may be overidden by following the guidelines in the User Guide.', type = 'EMAIL', valueType = 'mediumValue' WHERE code = 'notificationEmailSubject';
UPDATE sscSetting SET name = 'Notification Email To', description = 'A comma-separated list of email addresses that will be sent the notification email sent to the store.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'notificationEmailTO';
UPDATE sscSetting SET name = 'Notification Email Copy', description = 'A comma-separated list of email addresses that will be copied on the notification email sent to the store.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'notificationEmailCC';
UPDATE sscSetting SET name = 'Notification Email Blind Copy', description = 'A comma-separated list of email addresses that will be blind copied on the notification email sent to the store.', type = 'EMAIL', valueType = 'textValue' WHERE code = 'notificationEmailBCC';
UPDATE sscSetting SET name = 'Encryption for Payment Information', description = 'The type of encryption used by the system for payment information.', type = 'ENCRYPTION', valueType = 'smallValue' WHERE code = 'paymentEncryptionType';
UPDATE sscSetting SET name = 'Encryption for Administrator Passwords', description = 'The type of encryption used by the system for administrator passwords.', type = 'ENCRYPTION', valueType = 'smallValue' WHERE code = 'administratorEncryptionType';
UPDATE sscSetting SET name = 'Encryption for Customer Passwords', description = 'The type of encryption used by the system for customer account passwords.', type = 'ENCRYPTION', valueType = 'smallValue' WHERE code = 'customerEncryptionType';
UPDATE sscSetting SET name = 'Use SEO Links', description = 'If true, the system will write links to the Welcome Screen, Page Screens, and Product and Category Screens in a search-engine friendly format, using the following settings.', type = 'SEO', valueType = 'booleanValue' WHERE code = 'useSEOLinks';
UPDATE sscSetting SET name = 'SEO URL Marker', description = 'The marker used as a subdirectory when generating search-engine friendly links (e.g. "do" in "/context/do/page/about"). <em>Patterns matching this value must be mapped to the application server hosting the store.</em> This setting may also be blank, in which each of the markers defined below must be mapped to the application server hosting the store.', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoURLMarker';
UPDATE sscSetting SET name = 'SEO Welcome Marker', description = 'The marker used as a subdirectory when generating the search-engine friendly link to the Welcome Screen (e.g. "welcome" in "/context/do/welcome").', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoWelcomeMarker';
UPDATE sscSetting SET name = 'SEO Page Marker', description = 'The marker used as were a subdirectory when generating search-engine friendly links to Page Screens (e.g. "page" in "/context/do/page/about").', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoPageMarker';
UPDATE sscSetting SET name = 'SEO Category Marker', description = 'The marker used as a subdirectory when generating the search-engine friendly link to a Category Screen (e.g. the "category" in "/context/do/category/widgets" where widgets is the category code).', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoCategoryMarker';
UPDATE sscSetting SET name = 'SEO Product Marker', description = 'The marker used as a subdirectory when generating the search-engine friendly link to a Product Screen (e.g. the "product" in "/context/do/product/widget" where widget is the product code).', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoProductMarker';
UPDATE sscSetting SET name = 'SEO Manufacturer Marker', description = 'The marker used as a subdirectory when generating the search-engine friendly link to a Manufacturer Screen (e.g. the "manufacturer" in "/context/do/manufacturer/acme" where acme is the manufacturer code).', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoManufacturerMarker';
UPDATE sscSetting SET name = 'SEO Suffix', description = 'A suffix appended to the end of all search-engine friendly URLs (e.g. ".html" in "/context/do/product/widget.html").', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoSuffix';
UPDATE sscSetting SET name = 'Default Keywords', description = 'The default keywords to place in the meta/keywords tag for the store. Product and category pages may override this setting through the keywords property.', type = 'SEO', valueType = 'textValue' WHERE code = 'seoDefaultKeywords';
UPDATE sscSetting SET name = 'Default Description', description = 'The default description to place in the meta/description tag for the store. Product pages may override this setting through the short description property; category pages may override this setting through the description property.', type = 'SEO', valueType = 'textValue' WHERE code = 'seoDefaultDescription';
UPDATE sscSetting SET name = 'Insert HitsLink Tracking Scripts', description = 'If true, store pages will insert the HitsLink scripts below for tracking page hits.', type = 'TRACKING', valueType = 'booleanValue' WHERE code = 'insertHitsLink';
UPDATE sscSetting SET name = 'Normal HitsLink Tracking Script', description = 'The HitsLink tracking script for normal pages. From your HitsLink account, navigate to Set Up -> Get Tracking Script and paste the contents of the normal tracking script text box here.', type = 'TRACKING', valueType = 'textValue' WHERE code = 'hitsLinkNormal';
UPDATE sscSetting SET name = 'Order HitsLink Tracking Script', description = 'The HitsLink tracking script for order confirmation pages. From your HitsLink account, navigate to Set Up -> Get Tracking Script and paste the contents of order confirmation tracking script the text box here. (HitsLink Enterprise accounts only.)', type = 'TRACKING', valueType = 'textValue' WHERE code = 'hitsLinkOrder';
UPDATE sscSetting SET name = 'Track Inventory', description = 'If true, inventory features will be enabled for the store. If false, they will all be disabled. <b>This setting must be set to yes for any of the inventory features to work.</b>', type = 'INVENTORY', valueType = 'booleanValue' WHERE code = 'trackInventory';
UPDATE sscSetting SET name = 'Deny Purchase When Out of Stock', description = 'Prevents customers from adding a SKU to their cart when it goes out of stock. The product will still be displayed in the store, but no Add to Cart button will appear. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'booleanValue' WHERE code = 'denyPurchaseWhenOOS';
UPDATE sscSetting SET name = 'Deactivate Products When Out of Stock', description = 'Sets the active flag for a product to false when a SKU associated with it goes out of stock. When the product is set to be inactive, it will no longer be displayed anywhere in the store. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'booleanValue' WHERE code = 'deactivateWhenOOS';
UPDATE sscSetting SET name = 'Decrement Behavior', description = 'Determines when to decrement the inventory level for a SKU. <b>If set to decrement upon order completion,</b> if two shoppers add the same item to the cart and both shoppers then complete their orders, it is possible for inventory to go below the out of stock level. <b>If set to decrement upon adding to the cart,</b> the inventory level will decrease as soon as the item is added to cart so a second shopper would not be able to add it. However, if the first user does not complete the order, the inventory must be reclaimed by deleting incomplete orders through the Maintenance and Upgrades -> Incomplete Orders screen. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'smallValue' WHERE code = 'decrementBehavior';
UPDATE sscSetting SET name = 'Out of Stock Level', description = 'Inventory level when a SKU is considered out of stock (normally 0). (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'integerValue' WHERE code = 'oosAmount';
UPDATE sscSetting SET name = 'Low Stock Level', description = 'Inventory level when a SKU is considered as having low stock, which may trigger a low stock email. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'integerValue' WHERE code = 'lowAmount';
UPDATE sscSetting SET name = 'Send Low Stock Notifications', description = 'If true, a notification email will be sent whenever a SKU reaches its low stock level. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'booleanValue' WHERE code = 'sendLowStockEmails';
UPDATE sscSetting SET name = 'Low Stock Email To', description = 'A comma-separated list of email addresses that will be sent the low stock emails. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'textValue' WHERE code = 'lowStockEmailTO';
UPDATE sscSetting SET name = 'Low Stock Email Subject', description = 'The subject of the low stock emails generated by the store. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'mediumValue' WHERE code = 'lowStockEmailSubject';
UPDATE sscSetting SET name = 'Low Stock Email Text Template', description = 'A string template used to construct the text part of the low stock email. (This setting may be overridden for a particular product in the product settings.)', type = 'INVENTORY', valueType = 'textValue' WHERE code = 'lowStockEmailTemplate';
UPDATE sscSetting SET name = 'Built-In Categories', description = 'A comma-separated list of category codes corresponding to categories whose products and other data will be read into the application upon start up and available to all store pages.', type = 'HEADERANDSIDEPANEL', valueType = 'textValue' WHERE code = 'builtInCategories';
UPDATE sscSetting SET name = 'Number of Built-in Category Products to Display', description = 'If more then zero, the panel will list this many products from each of the built-in categories on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the built-in categories in the panel.', type = 'HEADERANDSIDEPANEL', valueType = 'integerValue' WHERE code = 'builtInCategoryProductCount';
UPDATE sscSetting SET name = 'End Session on Order Completion?', description = 'If true, customers will be logged out and their session cleared when completing an order.', type = 'CHECKOUT,SESSION', valueType = 'booleanValue' WHERE code = 'endSessionOnOrderCompletion';
UPDATE sscSetting SET name = 'Apply Discounts?', description = 'If true, active and applicable discounts will be applied. This is a global switch to turn discounting on and off. <b>This setting must be set to yes for any of the discount features to work.</b>', type = 'DISCOUNT', valueType = 'booleanValue' WHERE code = 'applyDiscounts';
UPDATE sscSetting SET name = 'Apply Discounts To Taxable Subtotal?', description = 'If true, global discounts will be subtracted from the taxable subtotal in addition to the regular subtotal.', type = 'DISCOUNT', valueType = 'booleanValue' WHERE code = 'applyDiscountsToTaxableSubtotal';
UPDATE sscSetting SET name = 'Show Coupon Form on Cart Screen?', description = 'If true, the form to enter coupons will appear on the Cart screen (if the Apply Discounts setting is also set to true).', type = 'DISCOUNT', valueType = 'booleanValue' WHERE code = 'showCouponFormOnCartScreen';
UPDATE sscSetting SET name = 'Show Coupon Form at Checkout?', description = 'If true, the form to enter coupons will appear on the Checkout Addresses or Checkout Combo screen (if the Apply Discounts setting is also set to true).', type = 'DISCOUNT', valueType = 'booleanValue' WHERE code = 'showCouponFormAtCheckout';
UPDATE sscSetting SET name = 'Keep Order Fields in Sync?', description = 'If true, updates in the Administrator will synchronize the following fields: Product.productOrder with ProductCategory.productCategoryOrder and RelatedProduct.relatedProductOrder, and Attribute.attributeOrder with ProductAttribute.productAttributeOrder.', type = 'ADVANCEDSYSTEM', valueType = 'booleanValue' WHERE code = 'keepOrdersInSync';
UPDATE sscSetting SET name = 'Allow Customers To Save Carts?', description = 'If true, logged in customers will see the option to save a cart in their account.', type = 'CUSTOMERACCOUNT', valueType = 'booleanValue' WHERE code = 'allowSavedCarts';
UPDATE sscSetting SET name = 'Refresh Carts When Customers Pick Up?', description = 'If true, when customers pick up a saved cart, the system will reprocess the items to ensure the cart is still valid.', type = 'CUSTOMERACCOUNT', valueType = 'booleanValue' WHERE code = 'refreshSavedCarts';
UPDATE sscSetting SET name = 'Number of Days to Save Carts', description = 'The number of days to save a cart before customers can no longer retrieve them. Zero indicates no limit.', type = 'CUSTOMERACCOUNT', valueType = 'integerValue' WHERE code = 'savedCartDays';
UPDATE sscSetting SET name = 'Allow Customers To Reorder?', description = 'If true, logged in customers will see the option to reorder a previously placed order from their order history (payment info must always be reentered).', type = 'CUSTOMERACCOUNT', valueType = 'booleanValue' WHERE code = 'allowReorders';
UPDATE sscSetting SET name = 'Refresh Carts When Customers Reorder?', description = 'If true, when customers reorder a previously placed order, the system will reprocess the items to ensure the items are still valid.', type = 'CUSTOMERACCOUNT', valueType = 'booleanValue' WHERE code = 'refreshReorders';
UPDATE sscSetting SET name = 'Number of Days to Allow Reorders', description = 'The number of days back a previously placed order may be reordered. Zero indicates no limit.', type = 'CUSTOMERACCOUNT', valueType = 'integerValue' WHERE code = 'reorderDays';
UPDATE sscSetting SET name = 'Attribute Value Max Length', description = 'The maximum number of characters allowed for customer-inputted attribute values. If an attribute is defined with a type of compactInput or extendedInput, it will prompt customers to enter text for the product as they add it to the cart. This setting provides a cap on how much text they can submit to the system.', type = 'ADVANCEDSYSTEM', valueType = 'integerValue' WHERE code = 'attributeValueMaxLength';
UPDATE sscSetting SET name = 'Empty Cart When Customer Logs Out?', description = 'If true, when a customer logs out, all items in the cart will be removed.', type = 'SESSION', valueType = 'booleanValue' WHERE code = 'clearCartOnLogout';
UPDATE sscSetting SET name = 'URL Path to Images', description = 'The virtual URL path to the directory to store images that are uploaded from the product and category administrator forms, as well as the Store Logo Upload form. It should end with a slash. Note: if the Image System Path is blank, the application context directory will be prepended to this value.', type = 'ADVANCEDSYSTEM', valueType = 'mediumValue' WHERE code = 'imagePathURL';
UPDATE sscSetting SET name = 'System Path to Images on Server', description = 'The full path to the directory on the system to store images that are uploaded from the product and category administrator forms, as well as the Store Logo Upload form. It should end in a slash. Leave blank to derive the system path from the URL path.', type = 'ADVANCEDSYSTEM', valueType = 'mediumValue' WHERE code = 'imageSystemPath';
UPDATE sscSetting SET name = 'Use Advanced Search for Searches', description = 'If set to yes, the search form in the store will use Lucene to perform searches.', type = 'LUCENE', valueType = 'booleanValue' WHERE code = 'advancedSearchOn';
UPDATE sscSetting SET name = 'Use Advanced Search within Categories', description = 'If set to yes, on category pages, the products will be displayed using the Lucene advanced search engine.', type = 'LUCENE', valueType = 'booleanValue' WHERE code = 'advancedSearchCategory';
UPDATE sscSetting SET name = 'Use Advanced Search within Manufacturers', description = 'If set to yes, on manufacturer pages, the products will be displayed using the Lucene advanced search engine.', type = 'LUCENE', valueType = 'booleanValue' WHERE code = 'advancedSearchManufacturer';
UPDATE sscSetting SET name = 'Use Advanced Search for the Product List', description = 'If set to yes, on the product list page, the products will be displayed using the Lucene advanced search engine.', type = 'LUCENE', valueType = 'booleanValue' WHERE code = 'advancedSearchProductList';
UPDATE sscSetting SET name = 'Allow Advanced Search Sorting', description = 'Allows the user to sort the products by price, name, etc., using Lucene.', type = 'LUCENE', valueType = 'booleanValue' WHERE code = 'advancedSearchPriceSort';
UPDATE sscSetting SET name = 'Lucene Index Directory', description = 'If this setting starts with /WEB-INF, it represents a path under the installation directory. If not, it represents the full server path to the directory of the search index. The directory must be writable by the owner of the application server process.', type = 'LUCENE', valueType = 'mediumValue' WHERE code = 'luceneIndexDir';
UPDATE sscSetting SET name = 'Contact Form: Validated Fields', description = 'A comma-separated list of fields that the contact form validates.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormValidatedFields';
UPDATE sscSetting SET name = 'Contact Form: Required Fields', description = 'A comma-separated list of fields that the contact form requires.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormRequiredFields';
UPDATE sscSetting SET name = 'Contact Form: Prompted Fields', description = 'A comma-separated list of fields that the contact form prompts for.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormPromptedFields';
UPDATE sscSetting SET name = 'Contact Form: Email CC', description = 'A comma-separated list of email addresses that contact form submissions will be emailed to as CCs.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormEmailCC';
UPDATE sscSetting SET name = 'Contact Form: Email To', description = 'A comma-separated list of email addresses that contact form submissions will be emailed to.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormEmailTo';
UPDATE sscSetting SET name = 'Contact Form: Email Subject', description = 'The subject of the emails produced by the contact form.', type = 'CONTACTFORM', valueType = 'mediumValue' WHERE code = 'contactFormEmailSubject';
UPDATE sscSetting SET name = 'Contact Form: Email BCC', description = 'A comma-separated list of email addresses that contact form submissions will be emailed to as BCCs.', type = 'CONTACTFORM', valueType = 'textValue' WHERE code = 'contactFormEmailBCC';
UPDATE sscSetting SET name = 'Display Contact Form?', description = 'If true, the contact form will be displayed on the contact page. The contact form collects information from users and the results of each submission are emailed to the addresses defined below.', type = 'CONTACTFORM', valueType = 'booleanValue' WHERE code = 'displayContactForm';
UPDATE sscSetting SET name = 'Use Image Verification with the Contact Form', description = 'If true, users submitting the contact form will be required to enter text matching a generated image.', type = 'CONTACTFORM,IMAGEVERIFICATION', valueType = 'booleanValue' WHERE code = 'useImageVerificationWithContactForms';
UPDATE sscSetting SET name = 'Default Delivery City', description = 'When displaying estimated shipping costs, if the customer has not entered a city for his delivery address, this setting will be used.', type = 'SHIPPING', valueType = 'smallValue' WHERE code = 'defaultDeliveryCity';
UPDATE sscSetting SET name = 'Default Delivery State', description = 'When displaying estimated shipping costs, if the customer has not entered a state for his delivery address, this setting will be used.', type = 'SHIPPING', valueType = 'smallValue' WHERE code = 'defaultDeliveryState';
UPDATE sscSetting SET name = 'Default Delivery ZIP', description = 'When displaying estimated shipping costs, if the customer has not entered a ZIP for his delivery address, this setting will be used.', type = 'SHIPPING', valueType = 'smallValue' WHERE code = 'defaultDeliveryZIP';
UPDATE sscSetting SET name = 'Default Delivery Country', description = 'When displaying estimated shipping costs, if the customer has not entered a country for his delivery address, this setting will be used.', type = 'SHIPPING', valueType = 'smallValue' WHERE code = 'defaultDeliveryCountry';
UPDATE sscSetting SET name = 'Display Estimated Shipping on Cart Page', description = 'If true, an estimated shipping cost will be displayed on the cart page.', type = 'SHIPPING', valueType = 'booleanValue' WHERE code = 'displayEstimatedShippingOnCartPage';
UPDATE sscSetting SET name = 'Possible Order Statuses', description = 'A comma-separated list of order statuses that will populate drop downs in the admin area.', type = 'ADVANCEDSYSTEM', valueType = 'textValue' WHERE code = 'possibleOrderStatuses';
UPDATE sscSetting SET name = 'Maximum Admin Records to Display', description = 'The maximum number of records to display in various drop down menus in the Administrator. When the number of records exceeds this value, users must enter in database identifiers directly. For example, if this value is 1000, up to 1000 categories will be displayed in the Product details form for the Primary Category field. If the number of categories is more than 1000, instead of a drop down menu, users will see a text box where they can edit the value using the database identifier of the category.', type = 'ADVANCEDSYSTEM', valueType = 'integerValue' WHERE code = 'maxAdminRecordsToDisplay';
UPDATE sscSetting SET name = 'Store Shipping Method Name with Order', description = 'If true, the shipping method name chosen by the customer will be stored with the order, in the delivery status details field. Otherwise, the shipping method code will be stored.', type = 'SHIPPING', valueType = 'booleanValue' WHERE code = 'storeShippingMethodNameWithOrder';
UPDATE sscSetting SET name = 'Unsafe Characters', description = 'Characters that the system will prevent users from using for various Code fields in the system. Most code fields might have to appear on a URL or within a form submission. As such certain reserved characters should not be used for these fields.', type = 'ADVANCEDSYSTEM', valueType = 'mediumValue' WHERE code = 'unsafeCharacters';
UPDATE sscSetting SET name = 'Possible Print Templates', description = 'A comma-separated list of templates that may be used to print orders with in the admin area. Each value corresponds to a .jsp file in the /WEB-INF/templates/administrator/[default or custom]/print directory.', type = 'ADVANCEDSYSTEM', valueType = 'textValue' WHERE code = 'possiblePrintTemplates';
UPDATE sscSetting SET name = 'Insert Google Analytics Tracking', description = 'If true, store pages will insert the Google Analytics script below for tracking page hits.', type = 'TRACKING', valueType = 'booleanValue' WHERE code = 'insertGoogleAnalytics';
UPDATE sscSetting SET name = 'Google Analytics Tracking Code', description = 'The Google Analytics tracking code for this site. Available within your Google Analytics account settings.', type = 'TRACKING', valueType = 'textValue' WHERE code = 'googleAnalyticsCode';
UPDATE sscSetting SET name = 'UPS URL', description = 'The URL to the UPS live or testing server. (Use https://www.ups.com/ups.app/xml/Rate for live rates, and https://wwwcie.ups.com/ups.app/xml/Rate for testing.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_Url';
UPDATE sscSetting SET name = 'User ID', description = 'The UPS Online Tools User ID you created when you registered for Online Tools on ups.com.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_userId';
UPDATE sscSetting SET name = 'Password', description = 'The UPS Online Tools password you created when you registered for Online Tools on ups.com.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_password';
UPDATE sscSetting SET name = 'Your UPS XML Access Key', description = 'The UPS XML Access Key you were given by UPS when you created it on ups.com.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_accessLicenseNumber';
UPDATE sscSetting SET name = 'Pickup Type Code', description = 'The method you use to get your packages to UPS.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_pickupTypeCode';
UPDATE sscSetting SET name = 'Customer Classification Code', description = 'The classification of your business.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_customerClassificationCode';
UPDATE sscSetting SET name = 'Services Offerred', description = 'The UPS services offered to customers during checkout (if applicable for the order).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_validServiceCodes';
UPDATE sscSetting SET name = 'Shipper Name', description = 'The company name to use for your store for UPS shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperName';
UPDATE sscSetting SET name = 'Shipper Attention Name', description = 'The Attention To to use for your company for UPS shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperAttentionName';
UPDATE sscSetting SET name = 'Shipper Tax ID Number', description = 'Your company Tax ID number (if applicable).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperTaxIdNumber';
UPDATE sscSetting SET name = 'Shipper Phone Number', description = 'The phone number to use for your company for UPS shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperPhoneNumber';
UPDATE sscSetting SET name = 'Shipper Fax Number', description = 'The fax number to use for your company for UPS shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperFaxNumber';
UPDATE sscSetting SET name = 'Shipper Number', description = 'Your UPS account number.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperNumber';
UPDATE sscSetting SET name = 'Shipper City', description = 'The city to use for your company for UPS shipments (required if country does not utilize postal codes).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperCity';
UPDATE sscSetting SET name = 'Shipper State Code', description = 'The state code to use for your company for UPS shipments (required if country utilizes postal codes).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperStateCode';
UPDATE sscSetting SET name = 'Shipper Postal Code', description = 'The postal code to use for your company for UPS shipments (required if country utilizes postal codes).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperPostalCode';
UPDATE sscSetting SET name = 'Shipper Country Code', description = 'The country code to use for your company for UPS shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipperCountryCode';
UPDATE sscSetting SET name = 'Residential Address Indicator', description = 'A flag indicating if the receiver address is a residential location.', type = 'UPS', valueType = 'integerValue' WHERE code = 'UPS_residentialAddressIndicator';
UPDATE sscSetting SET name = 'Senders City', description = 'The originating city for shipments (required if country does not utilize postal codes).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipFromCity';
UPDATE sscSetting SET name = 'Senders State Code', description = 'The originating state code for shipments. Required if sending Ship From information.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipFromStateCode';
UPDATE sscSetting SET name = 'Senders Postal Code', description = 'The originating postal code (required if country utilizes postal codes).', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipFromPostalCode';
UPDATE sscSetting SET name = 'Senders Country Code', description = 'The originating country code of shipments.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_shipFromCountryCode';
UPDATE sscSetting SET name = 'Unit of Measurement', description = 'The unit of weight measurement of the items in your store.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_unitOfMeasurementCode';
UPDATE sscSetting SET name = 'Package Code Type', description = 'The default package type used in your store. (May be overridden with the Shipping Rule Range pkgExtra1 field, by entering 01, 02, etc.)', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageCodeType';
UPDATE sscSetting SET name = 'Oversized Package', description = 'The default oversized package flag sent to UPS. (May be overridden with the Shipping Rule Range pkgExtra3 field, by entering 1, 2, or 3.)', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageOversizePackage';
UPDATE sscSetting SET name = 'Use Insured Value', description = 'Include the declared value when calling UPS for insured values. (May be overridden with the Shipping Rule Range pkgExtra4 field, by entering 1 for true or 0 for false.)', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_useInsuredValue';
UPDATE sscSetting SET name = 'Insured Value Currency Code', description = 'The currency code for the insured value. Example: USD', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_insuredValueCurrencyCode';
UPDATE sscSetting SET name = 'Negotiated Rates Indicator', description = 'If true, and the shipper is qualified, Negotiated Rates will be displayed to customers.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_rateInformationNegotiatedRatesIndicator';
UPDATE sscSetting SET name = 'Use Package Dimensions', description = 'If true, a width, length, and height will be sent to UPS in addition to weight. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageUseDimensions';
UPDATE sscSetting SET name = 'Get Rates Error', description = 'The error message shown to users when having trouble contacting UPS.', type = 'UPS', valueType = 'textValue' WHERE code = 'UPS_getRatesError';
UPDATE sscSetting SET name = 'Package Dimensions Unit of Measurement', description = 'The unit of measurement for the dimensionas of items in your store.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageDimensionsUomCode';
UPDATE sscSetting SET name = 'Default package length', description = 'The default package length for UPS.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageDimensionsLength';
UPDATE sscSetting SET name = 'Default package height', description = 'The default package height for UPS.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageDimensionsHeight';
UPDATE sscSetting SET name = 'Default package width', description = 'The default package width for UPS.', type = 'UPS', valueType = 'mediumValue' WHERE code = 'UPS_packageDimensionsWidth';
UPDATE sscSetting SET name = 'Extra Charge', description = 'An amount to add to the value of each of the rates returned by U.P.S. (e.g., as a handling charge).', type = 'UPS', valueType = 'smallValue' WHERE code = 'UPS_extraCharge';
UPDATE sscSetting SET name = 'Extra Weight', description = 'The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.', type = 'UPS', valueType = 'smallValue' WHERE code = 'UPS_extraWeight';
UPDATE sscSetting SET name = 'Max Package Weight', description = 'The maximum package weight allowed by UPS. The system will forcefully cap the weight sent to UPS for each package at this amount to avoid errors retrieving the rates from UPS.', type = 'UPS', valueType = 'smallValue' WHERE code = 'UPS_maxPackageWeight';
UPDATE sscSetting SET name = 'USPS URL', description = 'The URL to the U.S. Postal Service rate service.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'uspsURL';
UPDATE sscSetting SET name = 'USPS User Name', description = 'The U.S. Postal Service user name you acquired from the U.S. Postal Service website to use when connecting to the rate service.', type = 'USPSSHIPPING', valueType = 'smallValue' WHERE code = 'uspsUser';
UPDATE sscSetting SET name = 'USPS Origin ZIP Code', description = 'The ZIP code of the address that originates all U.S. Postal Service shipments for the store.', type = 'USPSSHIPPING', valueType = 'smallValue' WHERE code = 'uspsZIPOrigin';
UPDATE sscSetting SET name = 'USPS Container Size', description = 'The size of the container for the U.S. Postal Service to use when calculating rates. Note: if dimensions have been defined, the system will override this selection with the actual value of the length plus girth.', type = 'USPSSHIPPING', valueType = 'smallValue' WHERE code = 'uspsContainerSize';
UPDATE sscSetting SET name = 'USPS Machinable?', description = 'Are the U.S. Postal Service packages machinable (i.e. can they be processed on automated equipment)?', type = 'USPSSHIPPING', valueType = 'integerValue' WHERE code = 'uspsMachinable';
UPDATE sscSetting SET name = 'USPS Destination Countries', description = 'Should the system retrieve U.S. Postal Service rates for Domestic (USA) orders, International orders, or both?', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_Destination';
UPDATE sscSetting SET name = 'USPS Domestic Shipment Types', description = 'Select which services customer should see live rates for.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'uspsDomesticServices';
UPDATE sscSetting SET name = 'USPS International Shipment Types', description = 'Select which services customer should see live rates for.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'uspsIntlServices';
UPDATE sscSetting SET name = 'Extra Charge', description = 'An amount to add to the value of each of the rates returned by U.S.P.S. (e.g., as a handling charge).', type = 'USPSSHIPPING', valueType = 'smallValue' WHERE code = 'uspsExtraCharge';
UPDATE sscSetting SET name = 'Extra Weight', description = 'The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.', type = 'USPSSHIPPING', valueType = 'smallValue' WHERE code = 'uspsExtraWeight';
UPDATE sscSetting SET name = 'Use Package Dimensions', description = 'If true, a width, length, and height will be sent to U.S.P.S. in addition to weight for domestic rate requests. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageUseDimensions';
UPDATE sscSetting SET name = 'Default package length', description = 'The default package length for USPS, when not defined for the package by a Shipping Rule.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageDimensionsLength';
UPDATE sscSetting SET name = 'Default package width', description = 'The default package width for USPS, when not defined for the package by a Shipping Rule.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageDimensionsWidth';
UPDATE sscSetting SET name = 'Default package height', description = 'The default package height for USPS, when not defined for the package by a Shipping Rule.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageDimensionsHeight';
UPDATE sscSetting SET name = 'Default package girth', description = 'The default package girth for USPS. Leave blank or 0 to have girth calculated from the default width, height, and length.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageDimensionsGirth';
UPDATE sscSetting SET name = 'Add Insurance Cost?', description = 'If true, insurance cost will added to shipping cost (only for international deliveries). If false, no insurance cost will be sent.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageUseInsurance';
UPDATE sscSetting SET name = 'Minimum Insurance Value', description = 'If an insurance cost is sent for international deliveries and the order subtotal is less than this value, then this value will be sent instead.', type = 'USPSSHIPPING', valueType = 'mediumValue' WHERE code = 'USPS_PackageMinimumInsuranceValue';
UPDATE sscSetting SET name = 'Merchant Login', description = 'The user name or login name used to log into the Payflow Link account.', type = 'payflowLink', valueType = 'smallValue' WHERE code = 'payflowLinkUserName';
UPDATE sscSetting SET name = 'Partner', description = 'The PayPal Partner used to log into the Payflow Link account. If you created your account directly with PayPal, your Partner is Verisign.', type = 'payflowLink', valueType = 'smallValue' WHERE code = 'payflowLinkPartner';
UPDATE sscSetting SET name = 'Transaction Type', description = 'Select Sale to capture funds immediately, or Authorization to authorize the funds for later capture.', type = 'payflowLink', valueType = 'smallValue' WHERE code = 'payflowLinkType';
UPDATE sscSetting SET name = 'URL', description = 'The URL used to connect to Payflow Link account.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkURL';
UPDATE sscSetting SET name = 'Description', description = 'The Description is passed to Payflow Link and shows up in the Payflow Link daily reports.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkDescription';
UPDATE sscSetting SET name = 'Comment 1', description = 'The Comment fields are passed to Payflow Link and appear in custom reports.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkComment1';
UPDATE sscSetting SET name = 'Comment 2', description = 'The Comment fields are passed to Payflow Link and appear in custom reports.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkComment2';
UPDATE sscSetting SET name = 'Invoice Number', description = 'The Invoice Number appears in custom reports. Note: The order number from the application is not set until after the payment is completed, so that cannot be used here.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkInvoiceNumber';
UPDATE sscSetting SET name = 'Purchase Order Number', description = 'The Purchase Order Number appears in custom reports.', type = 'payflowLink', valueType = 'mediumValue' WHERE code = 'payflowLinkPONumber';
UPDATE sscSetting SET name = 'Host Address', description = 'The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.', type = 'payflowPro', valueType = 'mediumValue' WHERE code = 'payflowProHostAddress';
UPDATE sscSetting SET name = 'Host Port', description = 'The port used to connect to the Payflow Pro account.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProHostPort';
UPDATE sscSetting SET name = 'Timeout', description = 'Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProTimeout';
UPDATE sscSetting SET name = 'Merchant Login', description = 'The user name or login name used to log into the Payflow Pro account.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProUser';
UPDATE sscSetting SET name = 'Password', description = 'The password used to log into the Payflow Pro account.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProPassword';
UPDATE sscSetting SET name = 'Partner', description = 'The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProPartner';
UPDATE sscSetting SET name = 'Vendor', description = 'The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProVendor';
UPDATE sscSetting SET name = 'Comment 1', description = 'The Comment fields are passed to Payflow Pro and appear in custom reports.', type = 'payflowPro', valueType = 'mediumValue' WHERE code = 'payflowProComment1';
UPDATE sscSetting SET name = 'Comment 2', description = 'The Comment fields are passed to Payflow Pro and appear in custom reports.', type = 'payflowPro', valueType = 'mediumValue' WHERE code = 'payflowProComment2';
UPDATE sscSetting SET name = 'Customer Reference', description = 'The Customer Reference (custref) field appears in custom reports.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCustRef';
UPDATE sscSetting SET name = 'Customer Code', description = 'The Customer Code appears in custom reports.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCustomerCode';
UPDATE sscSetting SET name = 'Purchase Order Number', description = 'The Purchase Order Number is passed to Payflow Pro appears in custom reports.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProPONumber';
UPDATE sscSetting SET name = 'Proxy Address', description = 'Proxy server host name. Use proxy values for servers behind a firewall.', type = 'payflowPro', valueType = 'mediumValue' WHERE code = 'payflowProProxyAddress';
UPDATE sscSetting SET name = 'Proxy Port', description = 'The port number of the proxy.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProProxyPort';
UPDATE sscSetting SET name = 'Proxy Logon', description = 'The login name of the proxy.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProProxyLogon';
UPDATE sscSetting SET name = 'Proxy Password', description = 'The password of the proxy.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProProxyPassword';
UPDATE sscSetting SET name = 'Transaction Type - Level One', description = 'The transaction type for level one of the transaction and authentication options.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProType1';
UPDATE sscSetting SET name = 'Transaction Type - Level Two', description = 'The transaction type for level two of the transaction and authentication options.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProType2';
UPDATE sscSetting SET name = 'Transaction Type - Level Three', description = 'The transaction type for level three of the transaction and authentication options.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProType3';
UPDATE sscSetting SET name = 'Transaction Type - Default', description = 'The transaction type if none of the three levels applies.', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProType';
UPDATE sscSetting SET name = 'Authentication - Level One', description = 'The authentication rules for level one of the transaction and authentication options.', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProAuth1';
UPDATE sscSetting SET name = 'Authentication - Level Two', description = 'The authentication rules for level two of the transaction and authentication options.', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProAuth2';
UPDATE sscSetting SET name = 'Authentication - Level Three', description = 'The authentication rules for level three of the transaction and authentication options.', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProAuth3';
UPDATE sscSetting SET name = 'Authentication - Default', description = 'The authentication rules if none of the three levels applies.', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProAuth';
UPDATE sscSetting SET name = 'Customer Status - Level One', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCust1';
UPDATE sscSetting SET name = 'Customer Status - Level Two', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCust2';
UPDATE sscSetting SET name = 'Customer Status - Level Three', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCust3';
UPDATE sscSetting SET name = 'Order Total Floor - Level One', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProFloor1';
UPDATE sscSetting SET name = 'Order Total Floor - Level Two', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProFloor2';
UPDATE sscSetting SET name = 'Order Total Floor - Level Three', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProFloor3';
UPDATE sscSetting SET name = 'Order Total Ceiling - Level One', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCeiling1';
UPDATE sscSetting SET name = 'Order Total Ceiling - Level Two', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCeiling2';
UPDATE sscSetting SET name = 'Order Total Ceiling - Level Three', description = '', type = 'payflowPro', valueType = 'smallValue' WHERE code = 'payflowProCeiling3';
UPDATE sscSetting SET name = 'Countries - Level One', description = '', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProCountries1';
UPDATE sscSetting SET name = 'Countries - Level Two', description = '', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProCountries2';
UPDATE sscSetting SET name = 'Countries - Level Three', description = '', type = 'payflowPro', valueType = 'textValue' WHERE code = 'payflowProCountries3';
UPDATE sscSetting SET name = 'Authorize.net Login ID', description = 'The user name or login id used to log into the Authorize.net account.', type = 'authorizeNet', valueType = 'smallValue' WHERE code = 'authorizeNetLoginID';
UPDATE sscSetting SET name = 'Authorize.net Transaction Key', description = 'The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).', type = 'authorizeNet', valueType = 'smallValue' WHERE code = 'authorizeNetTxKey';
UPDATE sscSetting SET name = 'Authorize.net URL', description = 'The URL to the Authorize.net payment gateway.', type = 'authorizeNet', valueType = 'mediumValue' WHERE code = 'authorizeNetURL';
UPDATE sscSetting SET name = 'Transaction Type', description = 'The type of transaction for Authorize.net to perform with each order.', type = 'authorizeNet', valueType = 'smallValue' WHERE code = 'authorizeNetTxType';
UPDATE sscSetting SET name = 'Test Mode?', description = 'If true, transactions will be sent to Authorize.net as test requests.', type = 'authorizeNet', valueType = 'integerValue' WHERE code = 'authorizeNetTestRequest';
UPDATE sscSetting SET name = 'Duplicate Transaction Timeout', description = 'Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.', type = 'authorizeNet', valueType = 'integerValue' WHERE code = 'authorizeNetDupeTxTimeout';
UPDATE sscSetting SET name = 'Email Customer?', description = 'If true, Authorize.net will email the customer confirmation of the payment.', type = 'authorizeNet', valueType = 'integerValue' WHERE code = 'authorizeNetEmailCustomer';
UPDATE sscSetting SET name = 'Merchant Email Address', description = 'Email address to which the merchant copy of the customer confirmation email should be sent.', type = 'authorizeNet', valueType = 'mediumValue' WHERE code = 'authorizeNetEmailMerchant';
UPDATE sscSetting SET name = 'Customer ID', description = 'The customer ID sent to Authorize.net.', type = 'authorizeNet', valueType = 'smallValue' WHERE code = 'authorizeNetCustomerID';
UPDATE sscSetting SET name = 'Invoice Number', description = 'The invoice number sent to Authorize.net.', type = 'authorizeNet', valueType = 'smallValue' WHERE code = 'authorizeNetInvoiceNum';
UPDATE sscSetting SET name = 'PO Number', description = 'The purchase order number sent to Authorize.net.', type = 'authorizeNet', valueType = 'mediumValue' WHERE code = 'authorizeNetPONumber';
UPDATE sscSetting SET name = 'Transaction Description', description = 'A description of the transaction sent to Authorize.net.', type = 'authorizeNet', valueType = 'textValue' WHERE code = 'authorizeNetDescription';
UPDATE sscSetting SET name = 'Host Address', description = 'The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.', type = 'paypalUK', valueType = 'mediumValue' WHERE code = 'paypalUKHostAddress';
UPDATE sscSetting SET name = 'Host Port', description = 'The port used to connect to the Payflow Pro account.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKHostPort';
UPDATE sscSetting SET name = 'Timeout', description = 'Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKTimeout';
UPDATE sscSetting SET name = 'Merchant Login', description = 'The user name or login name used to log into the Payflow Pro account.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKUser';
UPDATE sscSetting SET name = 'Password', description = 'The password used to log into the Payflow Pro account.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKPassword';
UPDATE sscSetting SET name = 'Partner', description = 'The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKPartner';
UPDATE sscSetting SET name = 'Vendor', description = 'The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKVendor';
UPDATE sscSetting SET name = 'Comment 1', description = 'The Comment fields are passed to Payflow Pro and appear in custom reports.', type = 'paypalUK', valueType = 'mediumValue' WHERE code = 'paypalUKComment1';
UPDATE sscSetting SET name = 'Comment 2', description = 'The Comment fields are passed to Payflow Pro and appear in custom reports.', type = 'paypalUK', valueType = 'mediumValue' WHERE code = 'paypalUKComment2';
UPDATE sscSetting SET name = 'Customer Reference', description = 'The Customer Reference (custref) field appears in custom reports.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKCustRef';
UPDATE sscSetting SET name = 'Customer Code', description = 'The Customer Code appears in custom reports.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKCustomerCode';
UPDATE sscSetting SET name = 'Purchase Order Number', description = 'The Purchase Order Number is passed to Payflow Pro appears in custom reports.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKPONumber';
UPDATE sscSetting SET name = 'Proxy Address', description = 'Proxy server host name. Use proxy values for servers behind a firewall.', type = 'paypalUK', valueType = 'mediumValue' WHERE code = 'paypalUKProxyAddress';
UPDATE sscSetting SET name = 'Proxy Port', description = 'The port number of the proxy.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKProxyPort';
UPDATE sscSetting SET name = 'Proxy Logon', description = 'The login name of the proxy.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKProxyLogon';
UPDATE sscSetting SET name = 'Proxy Password', description = 'The password of the proxy.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKProxyPassword';
UPDATE sscSetting SET name = 'AVS Setting for Street Match', description = 'AVS Setting for Street Match.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKAVSSt';
UPDATE sscSetting SET name = 'AVS Setting for Zip Code Match', description = 'AVS Setting for Zip Code Match', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKAVSZip';
UPDATE sscSetting SET name = 'AVS Setting for CVV2 Match', description = 'AVS Setting for CVV2 Match', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKCVV2';
UPDATE sscSetting SET name = 'Direct Transaction Type', description = 'The transaction options for PayPal UK Direct.', type = 'paypalUK', valueType = 'smallValue' WHERE code = 'paypalUKPaymentType';
UPDATE sscSetting SET name = 'Paypal UK Certificate Path', description = 'Certificate Path for paypal UK', type = 'paypalUK', valueType = 'mediumValue' WHERE code = 'paypalUKCertPath';
UPDATE sscSetting SET name = 'Merchant Id', description = 'The merchant id assigned by Google Checkout. Note, this id is different for the sandbox and production environments.', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutMerchantId';
UPDATE sscSetting SET name = 'Merchant Key', description = 'This merchant key assigned by Google Checkout. Please do not share this key. Note, this key is different for the sandbox and production environments', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutMerchantKey';
UPDATE sscSetting SET name = 'Selected Environment', description = 'Google Checkout offers two environments. Sandbox for testing, and Production for actual transactions', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutEnvironment';
UPDATE sscSetting SET name = 'Sandbox Root URL', description = 'The root url of Google Checkout, which can be used for sending test transactions. This value does not change, so please do not change it unless you are required to by Google.', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutSandboxRootURL';
UPDATE sscSetting SET name = 'Production (Live) Root URL', description = 'The root url of google checkout, which can be used for sending actual/live transactions. This value does not change, so please do not change it unless you are required to by Google.', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutProductionRootURL';
UPDATE sscSetting SET name = 'Google Checkout Button Size', description = 'The size of the Google Checkout button.', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutButtonSize';
UPDATE sscSetting SET name = 'Google Checkout Button background color', description = 'The background color behind the Google Checkout button.', type = 'googleCheckout', valueType = 'mediumValue' WHERE code = 'googleCheckoutButtonBackGround';
UPDATE sscSetting SET name = 'Default Delivery City', description = 'Default delivery city for Google Checkout. In order for Google Checkout to present a list of shipping methods with estimated rates, we must provide a default delivery address.', type = 'googleCheckout', valueType = 'smallValue' WHERE code = 'googleDefaultDeliveryCity';
UPDATE sscSetting SET name = 'Default Delivery State', description = 'Default delivery state for Google Checkout. In order for Google Checkout to present a list of shipping methods with estimated rates, we must provide a default delivery address.', type = 'googleCheckout', valueType = 'smallValue' WHERE code = 'googleDefaultDeliveryState';
UPDATE sscSetting SET name = 'Default Delivery ZIP', description = 'Default delivery ZIP for Google Checkout. In order for Google Checkout to present a list of shipping methods with estimated rates, we must provide a default delivery address.', type = 'googleCheckout', valueType = 'smallValue' WHERE code = 'googleDefaultDeliveryZIP';
UPDATE sscSetting SET name = 'Default Delivery Country', description = 'Default delivery country for Google Checkout. In order for Google Checkout to present a list of shipping methods with estimated rates, we must provide a default delivery address.', type = 'googleCheckout', valueType = 'smallValue' WHERE code = 'googleDefaultDeliveryCountry';
UPDATE sscSetting SET name = 'Live or Sandbox (Test) Mode?', description = 'If set to live mode, transactions will be processed with the live PayPal system. If Sandbox, their test system.', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalEnvironment';
UPDATE sscSetting SET name = 'PayPal Payment Type', description = 'The type of payment transaction for PayPal orders. (Sale, Order, or Authentication.)', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalPaymentType';
UPDATE sscSetting SET name = 'PayPal API User Name', description = 'The API user name of the PayPal business account given by PayPal when registering for API credentials.', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalAPIUsername';
UPDATE sscSetting SET name = 'PayPal API Password', description = 'The API password of the PayPal business account given by PayPal when registering for API credentials.', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalAPIPassword';
UPDATE sscSetting SET name = 'PayPal API Signature', description = 'The API signature given by PayPal when registering for API credentials. (If not provided, the cretificate file and private key password must be.)', type = 'paypal', valueType = 'textValue' WHERE code = 'paypalSignature';
UPDATE sscSetting SET name = 'PayPal Subject', description = 'The name of the merchant on behalf of which api calls are made. (Optional).', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalSubject';
UPDATE sscSetting SET name = 'PayPal Certificate File', description = 'The full path on the server to the certificate file used to authenticate with PayPal. (If not provided, the signature must be.)', type = 'paypal', valueType = 'mediumValue' WHERE code = 'paypalCertificateFile';
UPDATE sscSetting SET name = 'PayPal Private Key Password', description = 'The password for the private key associated with the certificate.', type = 'paypal', valueType = 'smallValue' WHERE code = 'paypalPrivateKeyPassword';
UPDATE sscSetting SET name = 'PayPal Timeout', description = 'The connection timeout in milliseconds to use when connecting to PayPal.', type = 'paypal', valueType = 'integerValue' WHERE code = 'paypalTimeout';
UPDATE sscSetting SET name = 'PayPal Delay Time', description = 'The delay time bewteen each retry call in milliseconds.', type = 'paypal', valueType = 'integerValue' WHERE code = 'paypalDelayTime';
UPDATE sscSetting SET name = 'PayPal Maximum Retries', description = 'The maximum number of retries.', type = 'paypal', valueType = 'integerValue' WHERE code = 'paypalMaximumRetries';
UPDATE sscSetting SET name = 'Redo Shipping Prompt for PayPal Express?', description = 'If set to yes, the application will prompt the user to enter a shipping option after returning from PayPal, even if he already has. (Necessary if shipping options depend on the ship to address of the order.)', type = 'paypal', valueType = 'integerValue' WHERE code = 'paypalExpressRedoShipping';
UPDATE sscSetting SET name = 'Paypoint URL', description = 'The URL we send users to pay through Paypoint.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointUrl';
UPDATE sscSetting SET name = 'Callback URL', description = 'The location on our server paypoint is required to call when authorisation is completed.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointCallback';
UPDATE sscSetting SET name = 'Username', description = 'This is your paypoint username (usually six letters followed by two numbers).', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointMerchant';
UPDATE sscSetting SET name = 'Back Callback URL', description = 'The URL the user can come back to without finishing the authorisation.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointBackCallback';
UPDATE sscSetting SET name = 'Error Template', description = 'The HTML template used by paypoint to display error messages.  Leave blank if using default.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointErrTemplate';
UPDATE sscSetting SET name = 'Back Button', description = 'Set to submit when using the Back Callback URL, otherwise the back button on the payment page will act as a submit to authorise payment.', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointShowBack';
UPDATE sscSetting SET name = 'Template', description = 'The path to the HTML card payment page template you customised and uploaded to paypoint.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointTemplate';
UPDATE sscSetting SET name = 'Amex Test', description = 'Used for testing to indicate that you have an extra Amex merchant number.  You must actually have an amex account when live.', type = 'PAYPOINT', valueType = 'booleanValue' WHERE code = 'paypointAmex';
UPDATE sscSetting SET name = 'CB Card Type', description = 'If on, paypoint will callback the type of card used in the transaction.', type = 'PAYPOINT', valueType = 'booleanValue' WHERE code = 'paypointCardType';
UPDATE sscSetting SET name = 'Deferred Option', description = 'If true, 1 unit will be authorised.  If full, the full amount will be authorised.  If reuse, the full amount will be authorised and will try to use the same authorisation code.', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointDeferred';
UPDATE sscSetting SET name = 'Deferred Reuse Setting', description = 'The period of days authorisation should be valid (credit card:debit card).  Example would be 5:3 for five days and three days.', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointDeferredReuse';
UPDATE sscSetting SET name = 'Use Digest', description = 'Use the optional security digest authenticatino system.', type = 'PAYPOINT', valueType = 'integerValue' WHERE code = 'paypointUseDigest';
UPDATE sscSetting SET name = 'Remote Password', description = 'This is used to create MD5 hash for the digest security.  Set this up in the paypoint admin.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointRemotePassword';
UPDATE sscSetting SET name = 'Idempotent', description = 'This can be used locally when catching dups, but it is not clear in the docs what we are supposed to do with it.', type = 'PAYPOINT', valueType = 'integerValue' WHERE code = 'paypointIdiompotent';
UPDATE sscSetting SET name = 'Attach Customer Email', description = 'Should the confirmation email be an attachment or shown inline (default = attachment)', type = 'PAYPOINT', valueType = 'booleanValue' WHERE code = 'paypointCustomerMailAttach';
UPDATE sscSetting SET name = 'Attach Merchant Email', description = 'Should the confirmation email be an attachment or shown inline (default = attachment)', type = 'PAYPOINT', valueType = 'booleanValue' WHERE code = 'paypointMerchantMailAttach';
UPDATE sscSetting SET name = 'Email Confirmation Option', description = 'true = send email to billing email, false = do not send email, bill = send to bill email, ship = send email to shipping email', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointMailOption';
UPDATE sscSetting SET name = 'Confirmation Email Addresses', description = 'Colon (:) seperated list of merchant email addresses to receive confirmation.  Overrides settings in paypoint.', type = 'PAYPOINT', valueType = 'textValue' WHERE code = 'paypointMailMerchants';
UPDATE sscSetting SET name = 'Email Message', description = 'Additional message added to the confirmation email.', type = 'PAYPOINT', valueType = 'textValue' WHERE code = 'paypointMailMessage';
UPDATE sscSetting SET name = 'Email Subject', description = 'Sets the subject line of the order confirmation emails.', type = 'PAYPOINT', valueType = 'mediumValue' WHERE code = 'paypointMailSubject';
UPDATE sscSetting SET name = 'Test Status', description = 'true = simulate authorised transaction, false = simulate declined transaction, live = do live authorisations.', type = 'PAYPOINT', valueType = 'smallValue' WHERE code = 'paypointTestStatus';
UPDATE sscSetting SET name = 'Extra Parameters', description = 'A pipe delimited list of extra parameters (like presentation) to send to paypoint.  See paypoint docs for more values.  (ex: name=value|name=value).', type = 'PAYPOINT', valueType = 'textValue' WHERE code = 'paypointParameters';
UPDATE sscSetting SET name = 'Require CV2', description = 'Require the user to enter a CV2 or security code', type = 'PAYPOINT', valueType = 'booleanValue' WHERE code = 'paypointRequireCv2';
UPDATE sscSetting SET name = 'Use Image Verification with Registrations', description = 'If true, new customers creating accounts will be required to enter text matching a generated image. (Applies only to the default-xhtml Base Layout.)', type = 'IMAGEVERIFICATION', valueType = 'booleanValue' WHERE code = 'useImageVerificationWithRegistrations';
UPDATE sscSetting SET name = 'Use SEO Code for Product URLs', description = 'If true, the system will use the value of the SEO Code field of each product when writing links to the product pages. If not, or if the SEO Code field is blank, it will use the Code field.', type = 'SEO', valueType = 'booleanValue' WHERE code = 'useSEOCodeForProductURLs';
UPDATE sscSetting SET name = 'Max Records Processed', description = 'For certain batch functions such as Lucene reindexing and product imports, the system will process only this many records at once. A high number means more memory and less CPU will be needed.', type = 'ADVANCEDSYSTEM', valueType = 'integerValue' WHERE code = 'maxRecordsProcessed';
UPDATE sscSetting SET name = 'Use Image Verification with Credit Card Form', description = 'If true, customers entering credit card information will be required to enter text matching a generated image. (Applies only to the default-xhtml Base Layout.)', type = 'IMAGEVERIFICATION', valueType = 'booleanValue' WHERE code = 'useImageVerificationWithCCInfo';
UPDATE sscSetting SET name = 'Use Image Verification with Administrator Logins', description = 'If true, administrators logging in will be required to enter text matching a generated image. (Applies only to the default-xhtml Base Layout.)', type = 'IMAGEVERIFICATION', valueType = 'booleanValue' WHERE code = 'useImageVerificationWithAdminLogins';
UPDATE sscSetting SET name = 'Automatically Save Last Cart', description = 'If true, the system will automatically save the last cart for each user and restore it the next time he visits the site. Places a persistent cookie to record the saved cart token.', type = 'CUSTOMERACCOUNT,SESSION', valueType = 'booleanValue' WHERE code = 'automaticallySaveLastCart';
UPDATE sscSetting SET name = 'Allow Auto Logins for Customers', description = 'If true, customers will see a Remember Me? prompt upon logging in, which will store a persistent cookie and allow them to automatically login with future visits.', type = 'CUSTOMERACCOUNT,SESSION', valueType = 'booleanValue' WHERE code = 'allowCustomerAutoLogins';
UPDATE sscSetting SET name = 'Auto Login Days', description = 'The number of days the customer will be automatically logged in for, after which a new login will be required. Zero indicates no limit.', type = 'CUSTOMERACCOUNT', valueType = 'integerValue' WHERE code = 'autoLoginDays';
UPDATE sscSetting SET name = 'Lucene Merge Factor', description = 'The number of documents to store in memory before writing to the index. A higher number means more memory and less CPU used during reindexing.', type = 'ADVANCEDSYSTEM', valueType = 'integerValue' WHERE code = 'mergeFactor';
UPDATE sscSetting SET name = 'Include Category Codes in Product URLs', description = 'If true, SEO product URLs will include the code of the category the user came from in the generated URLs. Search engines may penalize your product pages if they can be reached from more than one unique URL, so if your products are assigned to more than one category you should consider setting this to no.', type = 'SEO', valueType = 'booleanValue' WHERE code = 'seoIncludeCategoryCodes';
UPDATE sscSetting SET name = 'Strike Through Product Prices', description = 'If true and if a discount applies to a product, the regular price will be crossed out and the discounted price displayed next to it.', type = 'DISCOUNT', valueType = 'booleanValue' WHERE code = 'strikeThruPrices';
UPDATE sscSetting SET name = 'Display Category Tree', description = 'If true, the category tree will display in the side panel, on all pages other than checkout and customer account pages. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'booleanValue' WHERE code = 'displayCategoryTree';
UPDATE sscSetting SET name = 'Character Encoding', description = 'The character encoding the system will use when outputting HTML responses. Leave blank to use the server default.', type = 'ADVANCEDSYSTEM', valueType = 'smallValue' WHERE code = 'characterEncoding';
UPDATE sscSetting SET name = 'Display Categories on Welcome Screen', description = 'If true, a list of the top-level categories of the store will be displayed in the body of the welcome page. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'booleanValue' WHERE code = 'displayCategoriesOnWelcomePage';
UPDATE sscSetting SET name = 'Upsell Related Products on Cart Page', description = 'If true, the related products for each product that is added to the cart will appear on the cart page after the product is added.', type = 'CHECKOUT', valueType = 'booleanValue' WHERE code = 'upsellRelatedProductsOnCartPage';
UPDATE sscSetting SET name = 'Insert Generic Tracking Code', description = 'If true, store pages will insert the generic tracking code below for tracking page hits. (Applies only to the default-xhtml Base Layout.)', type = 'TRACKING', valueType = 'booleanValue' WHERE code = 'insertGenericTracking';
UPDATE sscSetting SET name = 'Normal Generic Tracking Code', description = 'The generic tracking code to insert on all pages of the store other than the order confirmation page. (Applies only to the default-xhtml Base Layout.)', type = 'TRACKING', valueType = 'textValue' WHERE code = 'genericTrackingNormal';
UPDATE sscSetting SET name = 'Order Generic Tracking Code', description = 'The generic tracking code to insert on the order confirmation page. (Applies only to the default-xhtml Base Layout.)', type = 'TRACKING', valueType = 'textValue' WHERE code = 'genericTrackingOrder';
UPDATE sscSetting SET name = 'Number of Manufacturuers to Display in the Panel', description = 'If more than zero, the panel will list this many manufacturers on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the manufacturers in the panel. (Note, you may also display a link to view a screen with all manufacturers using the Navigation Bar Options setting.) (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'integerValue' WHERE code = 'miniManufacturersCount';
UPDATE sscSetting SET name = 'Number of Products from the Most Recently Visited Category to Display', description = 'If more than zero, the panel will list this many products from the most recently visited category on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the most recently visited category in the panel. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'integerValue' WHERE code = 'currentCategoryProductCount';
UPDATE sscSetting SET name = 'Reject Non-Secure Administrator Requests', description = 'If true, any request made to the Administrator that does not employ SSL (https URLs) will be rejected.', type = 'SESSION', valueType = 'booleanValue' WHERE code = 'rejectNonSecureAdminRequests';
UPDATE sscSetting SET name = 'Number of Items to Display in the Mini Cart', description = 'If more than zero, the panel will list this many items in the mini cart on all pages other than checkout and customer account pages. Set at 0 to suppress the display of the mini cart in the panel. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'integerValue' WHERE code = 'miniCartItemCount';
UPDATE sscSetting SET name = 'Display Side Panel', description = 'If true, a side panel will be displayed with the below options. Setting this to no disables the display of the search form, mini cart, and other below options. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'booleanValue' WHERE code = 'displayPanel';
UPDATE sscSetting SET name = 'Display Search Form', description = 'If true, the product search form will display in the side panel, on all pages other than checkout and customer account pages. By default the form triggers a regular database search of products, unless Advanced Search has been enabled on the Advanced Search Settings screen. (Applies only to the default-xhtml Base Layout.)', type = 'HEADERANDSIDEPANEL', valueType = 'booleanValue' WHERE code = 'displaySearchForm';
UPDATE sscSetting SET name = 'Product List Display Format', description = 'Defines if the products on product list pages such as category pages should be displayed in column or row format. (Applies only to the default-xhtml Base Layout.)', type = 'PRODUCTLISTDISPLAY', valueType = 'smallValue' WHERE code = 'productListDisplayFormat';
UPDATE sscSetting SET name = 'Number of Columns on Product List Pages', description = 'If the Product List Display Format setting is set to columns, the number of columns to display products in on product list pages. (Applies only to the default-xhtml Base Layout.)', type = 'PRODUCTLISTDISPLAY', valueType = 'integerValue' WHERE code = 'productListNumberOfColumns';
UPDATE sscSetting SET name = 'Number of Store Discounts to Display in the Panel', description = 'If more than zero, the panel will list this many store discounts on all pages other than checkout and customer account pages. A store discount is a global discount that applies to the entire cart rather than to a specific item in the cart. Set at 0 to suppress the display of the discounts in the panel.', type = 'HEADERANDSIDEPANEL', valueType = 'integerValue' WHERE code = 'storeDiscountsCount';
UPDATE sscSetting SET name = 'SEO Product List Marker', description = 'The marker used as a subdirectory when generating the search-engine friendly link to the Product List Screen (e.g. the "productlist" in "/context/do/productlist").', type = 'SEO', valueType = 'smallValue' WHERE code = 'seoProductListMarker';
