UPDATE sscSetting SET smallValue='3.3.0' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('sendCartItemsToPayPal','Send Cart Items To PayPal?','If set to yes, the application will package and send a summary of the cart items to PayPal Express Checkout, so PayPal can display them. (Note, taxes and shipping are not displayed but discounts are.)','paypal','booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET name = 'CIM Form Display Method', description = 'Which method should the system use when displaying the payment form for CIM? The options are API Only, where the SoftSlate application serves the form, or Embedded IFrame, Popup IFrame, and Redirect, where the form is served by Authorize.net.' where code = 'authorizeNetCIMHostedMethod';

UPDATE sscSetting SET name = 'CIM Hosted Form Heading BG Color', description = 'Enter a hex color string such as #e0e0e0. When displaying the hosted payment form, the background color of the section headers changes from gray to a custom color.' where code = 'authorizeNetCIMHeadingBgColor';

UPDATE sscSetting SET name = 'CIM Hosted Form Return Text', description = 'Enter the text to display on the button that returns the customer to your website. The value can be any text up to 200 characters. If you do not pass this parameter, the default button text is Continue. Only used if not using iframe or API only methods.' where code = 'authorizeNetCIMReturnUrlText';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxActionNewOrder','AvaTax Action with New Order','The action taken with the AvaTax system when a new order is completed.','AVATAX', 'smallValue',NULL,'Save',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxDefaultTaxCode','AvaTax Default Tax Code','The AvaTax Tax Code to be used by default for each line of each order. Leave blank to not submit a tax code with each line item (AvaTax will assign U0000000, or unknown, if left blank).','AVATAX', 'smallValue',NULL,'U0000000',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxCountriesToVerify','AvaTax Countries to Validate Addresses For','A list of the countries that should be sent to AvaTax for address validation. If the delivery address for the customer matches one of these countries, the system will perform address validation. If the delivery address comes back as invalid, an error message will be shown to the customer during checkout asking him to double check the address. If it comes back as valid but only with modifications, the system will modify the delivery address for the customer. If the country does not match, no validation is done and if an invalid address is used, the system will fall back to using Basic Tax Rates.','AVATAX', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxStatesToCalculate','AvaTax States to Calculate Tax For','A list of the states in the US and provinces in Canada that should be sent to AvaTax for tax processing. If the delivery address for the customer is in the US or Canada and does not match one of these states, the system will fall back to using Basic Tax Rates to compute the tax.','AVATAX', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxCountriesToCalculate','AvaTax Countries to Calculate Tax For','A list of the countries that should be sent to AvaTax for tax processing. If the delivery address for the customer does not match one of these countries, the system will fall back to using Basic Tax Rates to compute the tax.','AVATAX', 'textValue',NULL,NULL,NULL,'US,CA');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxCustomerExtra1IsTaxExemptNumber','Use Customer Extra 1 as Tax Exempt Number?','Use the Extra 1 field in the customer record for the tax exempt number of the customer?','AVATAX', 'booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxProductExtra1IsTaxCode','Use Product Extra 1 as Tax Code?','Use the Extra 1 field in the product record as the tax code for the product?','AVATAX', 'booleanValue','0',NULL,NULL,NULL);

UPDATE sscSetting SET name = 'AvaTax Customer Code Prefix', description='The prefix of the customer code sent by the system with requests to Avalara. It will be prepended to the customer ID of the order being processed, or if the customer is not logged in, the order ID.' WHERE code = 'avataxCustomerCode';

UPDATE sscSetting SET name = 'AvaTax Action During Checkout', description='The action taken with the AvaTax system when the customer goes through checkout and taxes are retrieved.' WHERE code = 'avataxDocType';

UPDATE sscSetting SET description = 'If true, shipping charges for each delivery will by added to the taxable subtotal for that delivery. (Does not apply to the AvaTax Processor. To prevent shipping from being taxed with AvaTax, set the AvaTax Shipping Tax Code setting to NT.)' WHERE code = 'isShippingTaxable';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchMatchStyle','Advanced Search Match Style','The technique the system should use to match documents during Lucene searches inputted by users. They are listed in rough order from narrowest to broadest.','LUCENE', 'smallValue',NULL,'anyTermFuzzy',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchFuzziness','Advanced Search Fuzziness','A factor from 0.0 to 1.0 that tells the system how fuzzy fuzzy searches should be. A higher value will cause fuzzy searches to be less fuzzy (ie, narrower). A lower value will cause fuzzy searches to be broader. This setting only applies if a fuzzy option is chose in the Advanced Search Match Style setting.','LUCENE', 'smallValue',NULL,'0.50',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('initializeGuice','Initialize Guice?','Initialize and create bindings from appComponents.properties and appComponents-custom.properties for Google Guice for object creation and dependency injections. Requires creating the Guice servlet filter and mapping in web.xml as described here: http://www.softslate.com/documentation/html/threedotthreezero.html','ADVANCEDSYSTEM', 'booleanValue','0',NULL,NULL,NULL);
