<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="discount"/>
<ssc:useAttribute name="sku" ignore="true"/>
<tr>
	<td>
		<c:choose>
			<c:when test="${!empty sku}"><c:out value="${sku.skuName}" escapeXml="false"/></c:when>
			<c:otherwise><bean:message key="product.all" bundle="/product"/></c:otherwise>
		</c:choose>
	</td>
	<td><c:out value="${discount.name}" escapeXml="false"/></td>
	<td>
		<c:choose>
			<c:when test="${discount.rewardType eq '[percentage]'}">
				<fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2">
					${discount.reward}
				</fmt:formatNumber><bean:message key="product.discountPercentOff" bundle="/product"/>
			</c:when>
			<c:when test="${discount.rewardType eq '[amount]'}">
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
					${discount.reward}
				</fmt:formatNumber>&nbsp;<bean:message key="product.discountAmountOff" bundle="/product"/>
			</c:when>
			<c:when test="${discount.rewardType eq '[itemsForFree]'}">
				<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${discount.reward}"/>&nbsp;<bean:message key="product.discountItemsForFree" bundle="/product"/>
			</c:when>
			<c:otherwise>
				<c:if test="${!empty discount.discountRanges and !discount.discountRanges['empty']}">
					<table class="discountRanges table table-condensed">
						<tr>
							<th colspan="2">
								<c:choose>
									<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
										<bean:message key="product.discountQuantities" bundle="/product"/>
									</c:when>
									<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
										<bean:message key="product.discountItemTotal" bundle="/product"/>
									</c:when>
								</c:choose>
							</th>
						</tr>
						<logic:iterate name="discount" property="discountRanges" id="range">
							<c:if test="${range.isActive}">
								<tr>
									<td>
										<c:choose>
											<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
												<fmt:formatNumber type="number" maxFractionDigits="0">
													${range.floor}
												</fmt:formatNumber>
											</c:when>
											<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
													${range.floor}
												</fmt:formatNumber>
											</c:when>
											<c:otherwise>
												${range.floor}
											</c:otherwise>
										</c:choose>
										<c:choose>
											<c:when test="${range.ceiling eq 0}">
												&nbsp;<bean:message key="product.discountAndUp" bundle="/product"/>:
											</c:when>
											<c:otherwise>
												&nbsp;<bean:message key="product.discountTo" bundle="/product"/>&nbsp;
												<c:choose>
													<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
														<fmt:formatNumber type="number" maxFractionDigits="0">
															${range.ceiling}
														</fmt:formatNumber>:
													</c:when>
													<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
														<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
															${range.ceiling}
														</fmt:formatNumber>:
													</c:when>
													<c:otherwise>
														${range.ceiling}:
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>
									</td>
									<td>
										<c:choose>
											<c:when test="${range.rewardType eq '[percentage]'}">
												${range.reward}&nbsp;<bean:message key="product.discountPercentOff" bundle="/product"/>
											</c:when>
											<c:when test="${range.rewardType eq '[amount]'}">
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
													${range.reward}
												</fmt:formatNumber>&nbsp;<bean:message key="product.discountAmountOff" bundle="/product"/>
											</c:when>
											<c:when test="${range.rewardType eq '[itemsForFree]'}">
												<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0">
													${range.reward}
												</fmt:formatNumber>&nbsp;<bean:message key="product.discountItemsForFree" bundle="/product"/>
											</c:when>
											<c:otherwise>
												${range.reward}
											</c:otherwise>
										</c:choose>
									</td>
								</tr>
							</c:if>
						</logic:iterate>
					</table>
				</c:if>
			</c:otherwise>
		</c:choose>
	</td>
	<td>
		<c:if test="${!empty discount.expirationDate}">
			<fmt:parseDate value="${discount.expirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
			<fmt:formatDate value="${parsed}" type="both" />
		</c:if>
	</td>
</tr>
<!-- End ${pageScope.sscCurrentPage} -->
