<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %> 
<!-- Start wishListProducts.jsp -->
<c:set var="wishListPageSize" value="10"/>
<bean:size id="itemCount" name="customerWishListProducts"/>
<%
    // Get the number of days previous orders can be picked up
    String wishListPageSize = (String) pageContext.getAttribute("wishListPageSize");
	String startingItem = (String) request.getAttribute("startingItem");
%>
<c:if test="${empty customerWishListProducts or customerWishListProducts['empty']}">
	<p id="noProducts"><bean:message key="wishList.noProducts" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty customerWishListProducts and !customerWishListProducts['empty']}">
	<table id="customerWishListProductTable" class="grid accountTable" summary="List of wish list products.">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th>&nbsp;</th>
			<th><bean:message key="product.code" bundle="/product"/></th>
			<th><bean:message key="product.name" bundle="/product"/></th>
		</tr>
		<logic:iterate name="customerWishListProducts" id="customerWishListProduct" indexId="index" offset="<%= startingItem %>" length="<%= wishListPageSize %>">
			<c:choose>
				<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty customerWishListProduct.product.seoCode}">
					<c:set var="objectLinkCode" value="${customerWishListProduct.product.seoCode}"/>
				</c:when>
				<c:otherwise>
					<c:set var="objectLinkCode" value="${customerWishListProduct.product.code}"/>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr id="customerWishListProduct-<c:out value="${customerWishListProduct.customerWishListProductID}"/>" class="wishList <c:out value="${thisClass}"/>">
				<%-- link to delete--%>
				<td nowrap class="customerWishListID <c:out value="${thisClass}"/>">
					<form name="customerWishListProductDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListDeleteProduct.do")%>" method="post" title="<bean:message key="wishList.deleteProductButton" bundle="/customer"/>" onclick="return confirm('<bean:message key="wishList.confirmProductDelete" bundle="/customer"/>')">
						<input type="hidden" name="customerWishListID" value="<c:out value="${customerWishList.customerWishListID}"/>"/>
						<input type="hidden" name="customerWishListProductID" value="<c:out value="${customerWishListProduct.customerWishListProductID}"/>"/>
						<span id="deleteProductWishListButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="wishList.deleteProductButton" bundle="/customer"/>" /></span>
					</form>
				</td>
				<%-- Image --%>
				<td class="image <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishListProduct.product.smallImage}">
						<c:set var="imageURL" value="${customerWishListProduct.product.smallImage}"/>
						<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
							<html:link href="${customerURL}/Product.do?code=${objectLinkCode}">
								<img src="<c:out value="${imageURL}"/>"<c:if test="${!empty customerWishListProduct.product.name}"> title="<c:out value="${customerWishListProduct.product.name}"/>" alt="Image for product <c:out value="${customerWishListProduct.product.code}"/>"</c:if>/>
							</html:link>
						<% } %>
						</c:if>
				</td>
				<%-- Code --%>
				<td class="code <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishListProduct.product.code}">
						<c:out value="${customerWishListProduct.product.code}"/>
					</c:if>
				</td>
				<%-- Name --%>
				<td class="name <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishListProduct.product.name}">
						<html:link href="${customerURL}/Product.do?code=${objectLinkCode}">
							<c:out value="${customerWishListProduct.product.name}"/>
						</html:link>
					</c:if>
				</td>
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > wishListPageSize}">
		<div id="wishListPagination" class="accountPagination">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - wishListPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + wishListPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<html:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<html:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}&startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<c:if test="${firstRowOfPreviousPage ge 0}">
					&nbsp;|&nbsp;
				</c:if>
				<html:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}&startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></html:link>
			</c:if>
		</div>
	</c:if>
</c:if>
<!-- End wishListProducts.jsp -->
