<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start pagination.jsp -->
<%
	int itemCountInt = Integer.parseInt(request.getAttribute("itemCount").toString());
	int itemsPerPageInt = Integer.parseInt(request.getAttribute("itemsPerPage").toString());
	int firstRowInt = Integer.parseInt(request.getAttribute("firstRow").toString());
	int numberOfPagesInt = ((itemCountInt - 1) / itemsPerPageInt) + 1;
	int currentPageInt = (firstRowInt / itemsPerPageInt) + 1;
%>
<c:if test="${settings.map.paginationStyle eq 'showAllPages'}">
	<c:if test="${itemCount > itemsPerPage}">
		<c:if test="${requestScope.topPagination eq 'false'}">
			<hr class="productListSeparator"/>
		</c:if>
		<div class="productListPagination">
			<c:forEach var="i" varStatus="current" begin="1" end="${itemCount}" step="${itemsPerPage}">
				<c:choose>
					<c:when test="${i >= firstRow and i < firstRow + itemsPerPage}"><span class="pageNumber"><c:out value="${current.count}"/></span>&nbsp;</c:when>
					<c:when test="${i == 1}">
						<html:link href="${customerURL}${linkBase}${sortByParam}${facetsParam}" styleClass="pageNumber"><c:out value="${current.count}"/></html:link>&nbsp;
					</c:when>
					<c:otherwise>
						<html:link href="${customerURL}${linkBase}firstRow=${i}${sortByParam}${facetsParam}" styleClass="pageNumber"><c:out value="${current.count}"/></html:link>&nbsp;
					</c:otherwise>
				</c:choose>
			</c:forEach>
			<c:if test="${itemCount <= settings.map.maxRecordsProcessed}"><html:link href="${customerURL}${linkBase}firstRow=all${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.viewAll" bundle="/product"/></html:link></c:if>
		</div>
	</c:if>
</c:if>
<c:if test="${settings.map.paginationStyle eq 'nextAndPrevious'}">
	<c:if test="${itemCount > itemsPerPage}">
		<c:if test="${requestScope.topPagination eq 'false'}">
			<hr class="productListSeparator"/>
		</c:if>
		<div class="productListPagination">
			<c:set var="firstRowOfPreviousPage" value="${firstRow - itemsPerPage}"/>
			<c:set var="firstRowOfNextPage" value="${firstRow + itemsPerPage}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 1}">
					<html:link href="${customerURL}${linkBase}${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>&nbsp;
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<html:link href="${customerURL}${linkBase}firstRow=${firstRowOfPreviousPage}${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>&nbsp;
				</c:when>
			</c:choose>
			<bean:message key="productList.pagePhrase" bundle="/product" arg0="<%= Integer.toString(currentPageInt) %>" arg1="<%= Integer.toString(numberOfPagesInt)%>"/>&nbsp;
			<c:if test="${firstRowOfNextPage <= itemCount}">
				<html:link href="${customerURL}${linkBase}firstRow=${firstRowOfNextPage}${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.pageNext" bundle="/product"/></html:link>&nbsp;
			</c:if>
			<c:if test="${itemCount <= settings.map.maxRecordsProcessed}"><html:link href="${customerURL}${linkBase}firstRow=all${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.viewAll" bundle="/product"/></html:link></c:if>
		</div>
	</c:if>
</c:if>
<!-- End pagination.jsp -->
