package com.softslate.commerce.administrator.email;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/TemplateAddForm.do", "/administrator/TemplateEditForm.do",
 * "/administrator/TemplateAdd.do", and "/administrator/TemplateEdit.do".
 * Provides properties corresponding to the fields for a single Template
 * record.
 * 
 */
public class TemplateAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = -28437493420403671L;

	static Log log = LogFactory.getLog(TemplateAddEditForm.class);

	private String templateID = null;
	
	public String getTemplateID() {
		return templateID;
	}

	public void setTemplateID(String templateID) {
		this.templateID = templateID;
	}

	private String code = null;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	private String type = null;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	private String subject = null;

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
	private String description = null;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	private String bodyHtml = null;

	public String getBodyHtml() {
		return bodyHtml;
	}

	public void setBodyHtml(String bodyHtml) {
		this.bodyHtml = bodyHtml;
	}

	private String bodyText = null;

	public String getBodyText() {
		return bodyText;
	}

	public void setBodyText(String bodyText) {
		this.bodyText = bodyText;
	}

	private Boolean isActive = true;

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isDebugEnabled()) log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCode() == null || getCode().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Code"));
		}
		if (getType() == null || getType().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
		}
		return getErrors();
	}
}
