package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts action class that corresponds to the administrator screen for
 * displaying invoices. Used for requests to "/administrator/Invoice.do".
 * 
 * @author David Tobey
 * 
 */
public class InvoiceAction extends BaseAction {

	static Log log = LogFactory.getLog(OrderAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseForm baseForm = new BaseForm();
		baseForm.initializeProperties(mapping, request);

		OrderProcessor orderProcessor = (OrderProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"orderProcessorImplementer");
		Order order = (Order) baseForm.getBusinessObjectFactory().createObject(
				"orderImplementer");
		order = orderProcessor.loadOrderDetails(Integer.parseInt(request
				.getParameter("orderNumber")));
		// Save the order to the request scope
		baseForm.getRequest().setAttribute("order", order);

		return mapping.findForward("success");
	}
}
