package com.softslate.commerce.administrator.order;

import java.util.Collection;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.ApplicationMessage;
import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/OrderEditDelete.do". Processes a request to delete and edit
 * multiple records in the system. These requests are generated when the
 * administrator is deleting or editing multiple records simultaneously while in
 * edit mode.
 * 
 * @author Auto-Generated by SoftSlate Extender
 */
public class OrderEditDeleteAction extends BaseAction {

    static Log log = LogFactory.getLog(OrderEditDeleteAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
        OrderForm baseForm = (OrderForm) form;

        // Prepare parameters for the edit/delete processing, and process
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		OrderProcessor processor =  bof.createObject(OrderProcessor.class);
        Map parameters = PropertyUtils.describe(form);
        for (int j = 0; j < baseForm.getDisplayFields().length; j++) {
            String displayField = baseForm.getDisplayFields()[j];
			parameters.put(displayField, PropertyUtils.getProperty(baseForm, displayField));
        }
		parameters.put(baseForm.getIdField(), PropertyUtils.getProperty(baseForm, baseForm.getIdField()));
        parameters.put("deleteID", baseForm.getDeleteID());
		Map results = processor.editDeleteOrders(parameters);

        // Set the success message
        ActionMessages messages = new ActionMessages();
		ActionMessages errors = new ActionMessages();
        messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
                "messages.recordsSaved"));
		ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
		actionUtils.processApplicationMessages(errors, messages,
				(Collection<ApplicationMessage>) results.get("applicationMessages"));
        saveMessages(request, messages);

        return mapping.findForward("success");
    }
}
