package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/SKUAddForm.do", "/administrator/SKUEditForm.do",
 * "/administrator/SKUAdd.do", and "/administrator/SKUEdit.do". Provides
 * properties corresponding to the fields for a single sku record.
 * 
 * @author David Tobey
 */
public class SKUAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = -425016532952968682L;

	static Log log = LogFactory.getLog(SKUAddEditForm.class);

	private String parentName = null;

	private String skuID = null;

	private String parentIDField = null;

	private String productID = null;

	private String attributeOption1 = "";

	private String attributeOption2 = "";

	private String attributeOption3 = "";

	private String attributeOption4 = "";

	private String attributeOption5 = "";

	private String attributeID1 = null;

	private String attributeID2 = null;

	private String attributeID3 = null;

	private String attributeID4 = null;

	private String attributeID5 = null;

	private String optionID1 = null;

	private String optionID2 = null;

	private String optionID3 = null;

	private String optionID4 = null;

	private String optionID5 = null;

	private String skuNumber = null;

	private String skuName = null;

	private String skuMessage = null;

	private String trackInventory = "true";

	private String inventoryLevel = "0";

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	private String notes = null;

	public String getAttributeOption1() {
		return attributeOption1;
	}

	public void setAttributeOption1(String attributeOption1) {
		this.attributeOption1 = attributeOption1;
	}

	public String getAttributeOption2() {
		return attributeOption2;
	}

	public void setAttributeOption2(String attributeOption2) {
		this.attributeOption2 = attributeOption2;
	}

	public String getAttributeOption3() {
		return attributeOption3;
	}

	public void setAttributeOption3(String attributeOption3) {
		this.attributeOption3 = attributeOption3;
	}

	public String getAttributeOption4() {
		return attributeOption4;
	}

	public void setAttributeOption4(String attributeOption4) {
		this.attributeOption4 = attributeOption4;
	}

	public String getAttributeOption5() {
		return attributeOption5;
	}

	public void setAttributeOption5(String attributeOption5) {
		this.attributeOption5 = attributeOption5;
	}

	public String getAttributeID1() {
		return attributeID1;
	}

	public void setAttributeID1(String attributeID1) {
		this.attributeID1 = attributeID1;
	}

	public String getAttributeID2() {
		return attributeID2;
	}

	public void setAttributeID2(String attributeID2) {
		this.attributeID2 = attributeID2;
	}

	public String getAttributeID3() {
		return attributeID3;
	}

	public void setAttributeID3(String attributeID3) {
		this.attributeID3 = attributeID3;
	}

	public String getAttributeID4() {
		return attributeID4;
	}

	public void setAttributeID4(String attributeID4) {
		this.attributeID4 = attributeID4;
	}

	public String getAttributeID5() {
		return attributeID5;
	}

	public void setAttributeID5(String attributeID5) {
		this.attributeID5 = attributeID5;
	}

	public String getInventoryLevel() {
		return inventoryLevel;
	}

	public void setInventoryLevel(String inventoryLevel) {
		this.inventoryLevel = inventoryLevel;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getOptionID1() {
		return optionID1;
	}

	public void setOptionID1(String optionID1) {
		this.optionID1 = optionID1;
	}

	public String getOptionID2() {
		return optionID2;
	}

	public void setOptionID2(String optionID2) {
		this.optionID2 = optionID2;
	}

	public String getOptionID3() {
		return optionID3;
	}

	public void setOptionID3(String optionID3) {
		this.optionID3 = optionID3;
	}

	public String getOptionID4() {
		return optionID4;
	}

	public void setOptionID4(String optionID4) {
		this.optionID4 = optionID4;
	}

	public String getOptionID5() {
		return optionID5;
	}

	public void setOptionID5(String optionID5) {
		this.optionID5 = optionID5;
	}

	public String getSkuID() {
		return skuID;
	}

	public void setSkuID(String skuID) {
		this.skuID = skuID;
	}

	public String getSkuNumber() {
		return skuNumber;
	}

	public void setSkuNumber(String skuNumber) {
		this.skuNumber = skuNumber;
	}

	public String getTrackInventory() {
		return trackInventory;
	}

	public void setTrackInventory(String trackInventory) {
		this.trackInventory = trackInventory;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getSKUID() {
		return skuID;
	}

	public void setSKUID(String skuID) {
		this.skuID = skuID;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getSkuMessage() {
		return skuMessage;
	}

	public void setSkuMessage(String skuMessage) {
		this.skuMessage = skuMessage;
	}

	public String getSkuName() {
		return skuName;
	}

	public void setSkuName(String skuName) {
		this.skuName = skuName;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);

		if ((addingNewRecord() && getSkuNumber() == null) || (getSkuNumber() != null && getSkuNumber().equals(""))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "SKU Number"));
		}

		if (!addingNewRecord() && (getSkuNumber() == null || getSkuNumber().equals(""))
				&& (getSkuID() == null || getSkuID().equals(""))) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "SKU Number or SKU ID"));
		}

		// A SKU number may contain = and | characters
		if ((getSkuNumber() != null && !getSkuNumber().equals(""))
				&& containsUnsafeCharacter((getSkuNumber()
						.replaceAll("\\|", "").replaceAll("=", "")), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter",
							"The SKU number " + getSkuNumber(),
							containsUnsafeCharacter(
									(getSkuNumber().replaceAll("\\|", "")
											.replaceAll("=", "")), request)));
		}
		if ((addingNewRecord() && getSkuName() == null) || (getSkuName() != null && getSkuName().equals(""))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "SKU Name"));
		}
		if (getAttributeID1() != null
				&& getAttributeID1().length() > 0
				&& (getAttributeID1().equals(getAttributeID2())
						|| getAttributeID1().equals(getAttributeID3())
						|| getAttributeID1().equals(getAttributeID4()) || getAttributeID1()
						.equals(getAttributeID5()))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.skuAttribute", "1"));
		}
		splitAttributeOptions();
		if (getAttributeID2() != null
				&& getAttributeID2().length() > 0
				&& (getAttributeID2().equals(getAttributeID3())
						|| getAttributeID2().equals(getAttributeID4()) || getAttributeID2()
						.equals(getAttributeID5()))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.skuAttribute", "2"));
		}
		if (getAttributeID3() != null
				&& getAttributeID3().length() > 0
				&& (getAttributeID3().equals(getAttributeID4()) || getAttributeID3()
						.equals(getAttributeID5()))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.skuAttribute", "3"));
		}
		if (getAttributeID4() != null && getAttributeID4().length() > 0
				&& (getAttributeID4().equals(getAttributeID5()))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.skuAttribute", "4"));
		}
		if ((addingNewRecord() && getTrackInventory() == null)
				|| (getTrackInventory() != null && getTrackInventory().equals(""))) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Track Inventory?"));
		}
		return getErrors();
	}

	public void splitAttributeOptions() {
		if (getAttributeOption1() != null) {
			String[] attributeOption = getAttributeOption1().split("\\|");
			if (attributeOption.length == 2) {
				setAttributeID1(attributeOption[0]);
				setOptionID1(attributeOption[1]);
			} else if (attributeOption.length == 1) {
				setAttributeID1(attributeOption[0]);
			}
		}
		if (getAttributeOption2() != null) {
			String[] attributeOption = getAttributeOption2().split("\\|");
			if (attributeOption.length == 2) {
				setAttributeID2(attributeOption[0]);
				setOptionID2(attributeOption[1]);
			} else if (attributeOption.length == 1) {
				setAttributeID2(attributeOption[0]);
			}
		}
		if (getAttributeOption3() != null) {
			String[] attributeOption = getAttributeOption3().split("\\|");
			if (attributeOption.length == 2) {
				setAttributeID3(attributeOption[0]);
				setOptionID3(attributeOption[1]);
			} else if (attributeOption.length == 1) {
				setAttributeID3(attributeOption[0]);
			}
		}
		if (getAttributeOption4() != null) {
			String[] attributeOption = getAttributeOption4().split("\\|");
			if (attributeOption.length == 2) {
				setAttributeID4(attributeOption[0]);
				setOptionID4(attributeOption[1]);
			} else if (attributeOption.length == 1) {
				setAttributeID4(attributeOption[0]);
			}
		}
		if (getAttributeOption5() != null) {
			String[] attributeOption = getAttributeOption5().split("\\|");
			if (attributeOption.length == 2) {
				setAttributeID5(attributeOption[0]);
				setOptionID5(attributeOption[1]);
			} else if (attributeOption.length == 1) {
				setAttributeID5(attributeOption[0]);
			}
		}
	}

	public void mergeAttributeOptions() {
		if (getAttributeID1() != null) {
			setAttributeOption1(getAttributeID1() + "|");
		}
		if (getOptionID1() != null) {
			setAttributeOption1(getAttributeOption1() + getOptionID1());
		}
		if (getAttributeID2() != null) {
			setAttributeOption2(getAttributeID2() + "|");
		}
		if (getOptionID2() != null) {
			setAttributeOption2(getAttributeOption2() + getOptionID2());
		}
		if (getAttributeID3() != null) {
			setAttributeOption3(getAttributeID3() + "|");
		}
		if (getOptionID3() != null) {
			setAttributeOption3(getAttributeOption3() + getOptionID3());
		}
		if (getAttributeID4() != null) {
			setAttributeOption4(getAttributeID4() + "|");
		}
		if (getOptionID4() != null) {
			setAttributeOption4(getAttributeOption4() + getOptionID4());
		}
		if (getAttributeID5() != null) {
			setAttributeOption5(getAttributeID5() + "|");
		}
		if (getOptionID5() != null) {
			setAttributeOption5(getAttributeOption5() + getOptionID5());
		}
	}
}
