package com.softslate.commerce.businessobjects.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;

/**
 * Interface for business logic methods having to do with order discounts.
 * Created in the Struts layer in response to requests for viewing, editing,
 * adding, and deleting order discountss.
 * <p>
 * When the application needs to create an instance that implements
 * <code>OrderDiscountProcessor</code>,
 * {@link com.softslate.commerce.businessobjects.core.BusinessObjectFactory}<!--
 * --> finds the name of the Java class to instantiate from the
 * "orderDiscountProcessorImplementer" setting in the
 * <code>appComponents.properties</code> file.
 * <p>
 * The default "orderDiscountProcessorImplementer" is
 * {@link com.softslate.commerce.businessobjects.order.OrderDiscountProcessor}.
 * 
 * @author David Tobey
 * 
 */
public interface OrderDiscountProcessor extends BusinessProcessor {

    abstract Map loadOrderDiscountsAndCount(Map parameters)
            throws Exception;

    abstract Map addOrderDiscount(Map parameters) throws Exception;

    abstract OrderDiscount loadOrderDiscountFromID(Map parameters)
            throws Exception;

    abstract Map editOrderDiscount(Map parameters) throws Exception;

    abstract Map editDeleteOrderDiscounts(Map parameters)
            throws Exception;

    abstract void deleteOrderDiscount(Map parameters) throws Exception;
}
