package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for submissions for the system to email a lost password to
 * a customer. Used for requests to "/LostPassword.do".
 * <p>
 * The <code>validate</code> method of this class checks for the existance of
 * the <code>userName</code> property.
 * 
 * @author David Tobey
 * 
 */
public class LostPasswordForm extends BaseForm {
	private static final long serialVersionUID = 3257570598614808113L;

	static Log log = LogFactory.getLog(LostPasswordForm.class);

	private String userName = null;

	public String getUserName() {
		return (this.userName);
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	private String csrfToken = null;

	public String getCsrfToken() {
		return csrfToken;
	}

	public void setCsrfToken(String csrfToken) {
		this.csrfToken = csrfToken;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (getUserName() == null || getUserName().length() == 0) {
			String message = getMessage("customer", "customer.userName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", message));
		}
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
