package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.customer.WishListAddEditForm;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class used for requests to add wish lists
 * 
 * @author Jason McWilliams
 * 
 */
public class WishListAddFormAction extends BaseAction {
	static Log log = LogFactory.getLog(WishListAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		WishListAddEditForm baseForm = (WishListAddEditForm) form;
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);
		synchronized (request.getSession()) {
			
			// If the user is not logged in, it's an error.
			if (baseForm.getUser().getCustomer() == null) {
				baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.userNotLoggedIn"));
				saveErrors(baseForm.getRequest(), (ActionMessages) baseForm
						.getErrors());
				if (log.isInfoEnabled() && !baseForm.getErrors().isEmpty())
					log.info("Validation error(s): "
							+ baseForm.getErrors().toString());
				return mapping.findForward("notLoggedIn");
			}

			// If the system is not allowing wish lists, error
			Settings settings = (Settings) servlet.getServletContext()
					.getAttribute("settings");
			String allowCustomerWishLists = (String) settings
					.getValue("allowCustomerWishLists");
			if (allowCustomerWishLists == null
					|| !allowCustomerWishLists.equals("1")) {
				baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.wishListsNotAllowed"));
				saveErrors(baseForm.getRequest(), (ActionMessages) baseForm
						.getErrors());
				if (log.isInfoEnabled() && !baseForm.getErrors().isEmpty())
					log.info("Validation error(s): "
							+ baseForm.getErrors().toString());
				return mapping.findForward("failure");
			}

			baseForm.getRequest().setAttribute("wishListAddEditForm", baseForm);
			return mapping.findForward("success");
		}
	}
}
