package com.softslate.commerce.customer.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * Struts form class that correspondes to the category page. Used for requests
 * to "/Category.do".
 * <p>
 * The <code>validate</code> method of this class simply makes sure that a
 * category <code>code</code> of non-zero length was submitted.
 * 
 * @author David Tobey
 * 
 * @see com.softslate.commerce.customer.product.CategoryAction
 */
public class CategoryForm extends BaseDynaForm {

	private static final long serialVersionUID = 3257007665841584180L;

	static Log log = LogFactory.getLog(CategoryForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (!getFormUtils().stringExists(this, "code")) {
			String message = getMessage("product", "product.code", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}

}
