package com.softslate.commerce.daos.core;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.Setting;
import com.softslate.commerce.businessobjects.core.Settings;

/**
 * Interface for a DAO for setting and retrieving settings from the database.
 * 
 * @author David Tobey
 */
public interface SettingsDAO extends DAOInterface {

	abstract Settings loadSettings(Settings settings) throws Exception;

	abstract Map loadSettingsAndCount(Map parameters) throws Exception;

	public Settings updateSettings(Map newSettings, Settings settings,
			Setting setting) throws Exception;

	public Collection loadSettings() throws Exception;

	abstract Setting getSetting() throws Exception;

	abstract void setSetting(Setting setting) throws Exception;

	abstract void insertSetting() throws Exception;

	abstract void insertSetting(boolean commit) throws Exception;

	abstract void loadSettingFromID() throws Exception;

	abstract void updateSetting() throws Exception;

	abstract void updateSetting(boolean commit) throws Exception;

	abstract void deleteSetting() throws Exception;

	abstract void deleteSetting(boolean commit) throws Exception;

	abstract Map editDeleteUserSettings(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
