package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.Country;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscCountry</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface CountryDAO extends DAOInterface {
	abstract Country getCountry();

	abstract void setCountry(Country country);

	abstract void loadCountryFromID() throws Exception;

	abstract void insertCountry() throws Exception;

	abstract void insertCountry(boolean commit) throws Exception;

	abstract void updateCountry() throws Exception;

	abstract void updateCountry(boolean commit) throws Exception;

	abstract void deleteCountry() throws Exception;

	abstract void deleteCountry(boolean commit) throws Exception;
}
