package com.softslate.commerce.installer;


import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * @author David Tobey
 * 
 * 
 */
public class SecuritySettingsForm extends BaseDynaForm {

	private static final long serialVersionUID = 3258133548568295216L;

	static Log log = LogFactory.getLog(SecuritySettingsForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!getFormUtils().stringExists(this, "administratorUserName")) {
			String message = getMessage("installer/installer",
					"installer.administratorUserName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "administratorPassword")) {
			String message = getMessage("installer/installer",
					"installer.administratorPassword", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "paymentEncryptionType")) {
			String message = getMessage("installer/installer",
					"installer.paymentEncryptionType", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "administratorEncryptionType")) {
			String message = getMessage("installer/installer",
					"installer.administratorEncryptionType", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (!getFormUtils().stringExists(this, "customerEncryptionType")) {
			String message = getMessage("installer/installer",
					"installer.customerEncryptionType", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		return getErrors();
	}

}
