UPDATE npcSetting SET smallValue='1.0.10' WHERE code='dataObjectsVersion';

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('trackInventory','Track Inventory','If true, inventory features will be enabled for the store. If false, they will all be disabled.','INVENTORY', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('denyPurchaseWhenOOS','Deny Purchase When Out of Stock','Prevents customers from adding a SKU to their cart when it goes out of stock. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'integerValue', 1,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('deactivateWhenOOS','Deactivate Products When Out of Stock','Set the active flag for a product to false when a SKU associated with it goes out of stock. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('decrementBehavior','Decrement Behavior','Determines when to decrement the inventory level for a SKU. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'smallValue', NULL,'onAddingToCart',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('oosAmount','Out of Stock Level','Inventory level when a SKU is considered out of stock (normally 0). (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('lowAmount','Low Stock Level','Inventory level when a SKU is considered as having low stock. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'integerValue', 10,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendLowStockEmails','Send Low Stock Notifications','If true, a notification email will be sent whenever a SKU reaches its low stock level. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'integerValue', 1,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('lowStockEmailTO','Low Stock Email To','A comma-separated list of email addresses that will be sent the low stock emails. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'textValue', NULL,NULL,NULL,'');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('lowStockEmailSubject','Low Stock Email Subject','The subject of the low stock emails generated by the store. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'mediumValue',NULL,NULL,'Low Stock Notice for Product Code %%PRODUCT_CODE%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('lowStockEmailTemplate','Low Stock Email Text Template','A string template used to construct the text part of the low stock email. (This setting may be overridden for a particular product in the product settings.)','INVENTORY', 'textValue', NULL,NULL,NULL,'The following SKU has reached its low stock level:

Product code: %%PRODUCT_CODE%%
SKU Number: %%SKU_NUMBER%%
SKU ID: %%SKU_ID%%
SKU Notes: %%SKU_NOTES%%
Low stock level: %%LOW_STOCK_LEVEL%%
Previous level: %%PREVIOUS_LEVEL%%
Current level: %%INVENTORY_LEVEL%%
');

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('productSettingImplementer','ProductSetting Implementer','The name of the fully-qualified Java class that implements the ProductSetting interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.ProductSettingBean',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('productSettingProcessorImplementer','ProductSettingProcessor Implementer','The name of the fully-qualified Java class that implements the ProductSettingProcessor interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.BasicProductSettingProcessor',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('productSettingGatewayDAOImplementer','ProductSettingGatewayDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for miscellaneous queries for product settings.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.ProductSettingGatewayDAO',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('productSettingDAOImplementer','ProductSettingDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for product settings.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.ProductSettingDAO',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('categorySettingImplementer','CategorySetting Implementer','The name of the fully-qualified Java class that implements the CategorySetting interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.CategorySettingBean',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('categorySettingProcessorImplementer','CategorySettingProcessor Implementer','The name of the fully-qualified Java class that implements the CategorySettingProcessor interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.BasicCategorySettingProcessor',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('categorySettingGatewayDAOImplementer','CategorySettingGatewayDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for miscellaneous queries for category settings.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.CategorySettingGatewayDAO',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('categorySettingDAOImplementer','CategorySettingDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for category settings.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.CategorySettingDAO',NULL);

ALTER TABLE npcOrder ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrder ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrder ADD extra5 VARCHAR(255) DEFAULT NULL;

ALTER TABLE npcOrderDelivery ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderDelivery ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderDelivery ADD extra5 VARCHAR(255) DEFAULT NULL;

ALTER TABLE npcCustomer ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCustomer ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCustomer ADD extra5 VARCHAR(255) DEFAULT NULL;

ALTER TABLE npcCustomerAddress ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCustomerAddress ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCustomerAddress ADD extra5 VARCHAR(255) DEFAULT NULL;

ALTER TABLE npcOrderItem ADD shortDescription VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD extra1 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD extra2 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD extra5 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcOrderItem ADD decrementedSKUs TEXT;

UPDATE npcSetting SET textValue='firstName,lastName,organization,address1,address2,city,state,other,postalCode,country,phone1,phone2,email1,email2,extra1,extra2,extra3,extra4,extra5,notes' WHERE code = 'possibleFields';

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('inventoryProcessorImplementer','InventoryProcessor Implementer','The name of the fully-qualified Java class that implements the InventoryProcessor interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.order.BasicInventoryProcessor',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('discountProcessorImplementer','DiscountProcessor Implementer','The name of the fully-qualified Java class that implements the DiscountProcessor interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.order.BasicDiscountProcessor',NULL);
