CREATE TABLE sscManufacturer (
  manufacturerID number(10,0) not null,
  code varchar2(100) not null unique,
  name varchar2(255),
  websiteURL varchar2(255),
  description clob,
  isActive number(1,0) default 0,
  header clob,
  footer clob,
  smallImage varchar2(255),
  largeImage varchar2(255),
  extra1 varchar2(255),
  extra2 varchar2(255),
  extra3 varchar2(255),
  manufacturerOrder number(10,0) default 0,
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.product.ManufacturerBean', 
  primary key (manufacturerID)
);

CREATE INDEX IDX_sscManufacturer_name ON sscManufacturer (name);
CREATE INDEX IDX_sscManufacturer_order ON sscManufacturer (manufacturerOrder);

ALTER TABLE sscProduct ADD manufacturerID number(10,0);
ALTER TABLE sscProduct ADD CONSTRAINT productManfFK FOREIGN KEY (manufacturerID) REFERENCES sscManufacturer;

ALTER TABLE sscPayment ADD value9 clob;
