UPDATE sscSetting SET smallValue='3.3.6' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('useLegacyCaptchaMethod','Use Legacy Captcha Verification Method','Is true, the system will use the legacy JCaptcha method for image verifications. The preferred method is Google reCAPTCHA. To sign up and obtain a site key and secret key, go here: <a target="_new" href="https://www.google.com/recaptcha/admin#list">https://www.google.com/recaptcha/admin#list</a>.','CAPTCHAVERIFICATION','booleanValue','1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('recaptchaVerificationURL','reCAPTCHA Verification URL','The URL the system uses to verify reCAPTCHA inputs. This typcially will not change.','CAPTCHAVERIFICATION','mediumValue',NULL,NULL,'https://www.google.com/recaptcha/api/siteverify',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('recaptchaSiteKey','reCAPTCHA Site Key','The site key provided by Google when you sign up for reCAPTCHA.','CAPTCHAVERIFICATION','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('recaptchaSecretKey','reCAPTCHA Secret','The secret key the system uses to verify reCAPTCHA inputs, provided by Google when you sign up for reCAPTCHA. ','CAPTCHAVERIFICATION','mediumValue',NULL,NULL,'',NULL);
UPDATE sscSetting SET name = 'Use Captcha Verification with Registrations', description = 'If true, new customers creating accounts will be required to pass a Captcha test.', type = 'CAPTCHAVERIFICATION' WHERE code = 'useImageVerificationWithRegistrations';
UPDATE sscSetting SET name = 'Use Captcha Verification with Credit Card Form', description = 'If true, customers entering credit card information will be required to pass a Captcha test.', type = 'CAPTCHAVERIFICATION' WHERE code = 'useImageVerificationWithCCInfo';
UPDATE sscSetting SET name = 'Use Captcha Verification with Administrator Logins', description = 'If true, administrators logging in will be required to pass a Captcha test.', type = 'CAPTCHAVERIFICATION' WHERE code = 'useImageVerificationWithAdminLogins';
UPDATE sscSetting SET name = 'Use Captcha Verification with the Contact Form', description = 'If true, users submitting the contact form will be required to pass a Captcha test.', type = 'CAPTCHAVERIFICATION' WHERE code = 'useImageVerificationWithContactForms';

UPDATE sscRole SET name = 'Captcha Verification Settings Viewer', description = 'Allows access to view Captcha Verification settings.' WHERE code = 'settingsCaptchaVerificationView';
UPDATE sscRole SET name = 'Captcha Verification Settings Editor', description = 'Allows access to view and edit Captcha Verification settings.' WHERE code = 'settingsCaptchaVerificationEdit';
