<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>
<bean:define id="editing" toScope="request" value="true"/>
<bean:define id="customerSecureURL" name="settings" property="value(customerSecureURL)"/>
<bean:define id="encryptionType" name="settings" property="value(customerEncryptionType)" type="java.lang.String"/>

<!-- Start customerEditForm.jsp -->
<html:form action="/CustomerEdit" method="post">
	<html:hidden name="customerAddEditForm" property="customerID"/>
	<table class="addEditTable settingsTable">
		<tr class="altRow">
			<td class="property setting">Customer ID:</td>
			<td class="value">
				<c:out value="${customerAddEditForm.customerID}"/>
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="customerDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/CustomerDelete.do" method="post">
		<input type="hidden" name="customerID" value="<bean:write name="customerAddEditForm" property="customerID" />"/>
		<input type="hidden" name="userName" value="<bean:write name="customerAddEditForm" property="userName" />"/>
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a href="<%=response.encodeURL(administratorURL + "/Order.do")%>?parentIDField=customerID&customerID=<c:out value="${customer.customerID}"/>">
			View this customer's orders
		</a></li>
		<logic:notEqual name="encryptionType" value="oneWay">
		<logic:notEqual name="encryptionType" value="keyPairNoStore">
			<form target="new" name="customerLoginForm" action="<%=customerSecureURL + "/Login.do"%>" method="post">
				<input type="hidden" name="userName" value="<bean:write name="customer" property="userName"/>"/>
				<input type="hidden" name="decryptedPassword" value="<bean:write name="customer" property="decryptedPassword"/>"/>
				<%--Cross-site request forgery token--%>
				<input type="hidden" name="csrfToken" value="${sessionScope.csrfToken}"/>
			</form>
			<li><a href="#" onclick="document.forms.customerLoginForm.submit()">Log in as this customer</a> (launches new window)</li>
		</logic:notEqual>
		</logic:notEqual>
		<c:if test="${!empty customer.email1}">
			<li class="enterpriseFeature"><a href="<%=response.encodeURL(administratorURL + "/EmailAddForm.do")%>?parentCustomerID=<c:out value="${customer.customerID}"/>">Send this customer an email</a></li>
		</c:if>
	</ul>
</div>

<!-- End customerEditForm.jsp -->
