<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<c:if test="${!empty productNamesCodesIDs}">
	<bean:size id="productSize" name="productNamesCodesIDs"/>
</c:if>

<!-- Start salesByProductForm.jsp -->
<html:form action="/SalesByProduct" method="post">
	<table class="settingsTable" summary="Sales By Product form">
		<tr class="row">
			<td class="setting"><label for="productIDs">Products</label>:</td>
			<td class="value">
				<c:choose>
					<c:when test="${empty requestScope.displayProducts and !empty salesByProductForm.productIDs}">
						Products selected on previous screen.
					</c:when>
					<c:when test="${empty requestScope.displayProducts and !empty salesByProductForm.selectedID}">
						Products selected on previous screen.
						<logic:iterate id="productID" name="salesByProductForm" property="selectedID">
							<input type="hidden" name="productIDs" value="<c:out value="${productID}"/>"/>
						</logic:iterate>
					</c:when>
					<c:when test="${!empty productSize and productSize <= settings.map.maxAdminRecordsToDisplay}">
						<select id="productIDs" name="productIDs" multiple="multiple" size="10" style="width: 95%">
							<logic:notEmpty name="productNamesCodesIDs">
								<logic:iterate id="product" name="productNamesCodesIDs" indexId="j">
									<option value="<c:out value='${product[2]}'/>">
										(<c:out value='${product[1]}' />) <c:out value='${product[0]}' />
									</option>
								</logic:iterate>
							</logic:notEmpty>
						</select>
						<div class="fieldDescription">
							The products to run the report for. To select multiple products, hold down the CTRL key.
						</div>
					</c:when>
					<c:otherwise>
						<html:text name="salesByProductForm" styleId="productIDs" property="productIDs" />
						<div class="fieldDescription">
							A comma-separated list of the product IDs for the products to run the report for.
							Because there are more than <c:out value="${settings.map.maxAdminRecordsToDisplay}"/>
							products in the system, a drop down menu for this field is not available. Alternatively, 
							select products on the <a href="Product.do">Product control screen</a> and then
							use the "With Selected ... Run Sales Report" drop down on the bottom of that screen
							to run this sales report.
						</div>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		<tr class="altRow">
			<td class="setting"><label for="startDate">Start Date</label>:</td>
			<td class="value">
				<html:text styleId="startDate" name="salesByProductForm" property="startDate"/>
				<img src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/img.gif" id="startDateTrigger" title="Date selector" alt="Date selector"/>
				<script type="text/javascript">
				    Calendar.setup({
				        inputField     :    "startDate",     // id of the input field
				        ifFormat       :    "%Y-%m-%d",      // format of the input field
				        button         :    "startDateTrigger",  // trigger for the calendar (button ID)
				        align          :    "Tl",           // alignment (defaults to "Bl")
				        singleClick    :    true
				    });
				</script>
				
			</td>
		</tr>
		<tr class="row">
			<td class="setting"><label for="endDate">End Date</label>:</td>
			<td class="value">
				<html:text styleId="endDate" name="salesByProductForm" property="endDate"/>
				<img src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/img.gif" id="endDateTrigger" title="Date selector" alt="Date selector"/>
				<script type="text/javascript">
				    Calendar.setup({
				        inputField     :    "endDate",     // id of the input field
				        ifFormat       :    "%Y-%m-%d",      // format of the input field
				        button         :    "endDateTrigger",  // trigger for the calendar (button ID)
				        align          :    "Tl",           // alignment (defaults to "Bl")
				        singleClick    :    true
				    });
				</script>
			</td>
		</tr>
		<tr class="altRow">
			<td class="setting"><span class="label">Format</span>:</td>
			<td class="value">
				<html:radio name="salesByProductForm" property="outputFormat" styleId="screen" value="screen"/> <label for="screen">On screen</label>
				<br/>
				<html:radio name="salesByProductForm" property="outputFormat" styleId="tab" value="tab"/> <label for="tab">Tab-delimited download (.txt)</label>
				<br/>
				<html:radio name="salesByProductForm" property="outputFormat" styleId="pipe" value="pipe"/> <label for="pipe">Pipe-delimited download (.txt)</label>
				<br/>
				<html:radio name="salesByProductForm" property="outputFormat" styleId="csv" value="csv"/> <label for="csv">Comma-delimited download (.csv)</label>
			</td>
		</tr>
	</table>
	
	<div class="runReport">
		<input type="submit" class="button" name="salesByProductReport" value="Run Report"/>
	</div>
</html:form>

<!-- End salesByProductForm.jsp -->
