<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start emailer.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<c:choose>
	<c:when test="${empty settings.map.emailerClientID}">

		<div class="instructions">
			<p>Use this form to establish an account with the SoftSlate Emailer service.
				An account is absolutely free to establish and has no obligations. 
				You pay for it as you use it.</p>
			<p></p>Once your account is established, on this screen you'll see a button 
			you can use to launch the SoftSlate Emailer interface, where you can create 
			and send your email marketing campaigns.</p>
		</div>
		
		<br/>
		
		<html:form action="/EmailerInitialize" method="post">
			<table class="settingsTable">
				<tr>
					<th class="setting">Setting</th>
					<th class="value">Value</th>
				</tr>
				<tr class="row">
					<td class="setting"><label for="username">Emailer Account User Name</label>:</td>
					<td class="value">
						<input type="text" class="textbox" maxlength="255" id="username" name="username" value="<c:out value="${param.username}"/>"/>
					 	<br/>
						<div class="settingDescription">The user name of the new Emailer account.</div>
					</td>
				</tr>
				<tr class="altRow">
					<td class="setting"><label for="password">Emailer Account Password</label>:</td>
					<td class="value">
						<input type="password" class="textbox" maxlength="255" id="password" name="password" value="<c:out value="${param.password}"/>"/>
					 	<br/>
						<div class="settingDescription">The password of the new Emailer account.</div>
					</td>
				</tr>
				<tr class="row">
					<td class="setting"><label for="companyName">Company Name</label>:</td>
					<td class="value">
						<input type="text" class="textbox" maxlength="255" id="companyName" name="companyName" value="<c:out value="${param.companyName}"/>"/>
					 	<br/>
						<div class="settingDescription">The name of your company for registration purposes. (Emails do not have to go out with this name.)</div>
					</td>
				</tr>
				<tr class="altRow">
					<td class="setting"><label for="companyName">Contact Person's Name</label>:</td>
					<td class="value">
						<input type="text" class="textbox" maxlength="255" id="contactName" name="contactName" value="<c:out value="${param.contactName}"/>"/>
					 	<br/>
						<div class="settingDescription">The name of a contact person for the account. (Emails do not have to go out with this name.)</div>
					</td>
				</tr>
				<tr class="row">
					<td class="setting"><label for="emailAddress">Email Address</label>:</td>
					<td class="value">
						<input type="text" class="textbox" maxlength="255" id=""emailAddress"" name="emailAddress" value="<c:out value="${param.emailAddress}"/>"/>
					 	<br/>
						<div class="settingDescription">The email address for the account. (Emails do not have to go out from this address.)</div>
					</td>
				</tr>
				<tr class="altRow">
					<td class="setting"><label for="country">Your Country</label>:</td>
					<td class="value">
						<select id="country" name="country">
							<option value="">Please Select</option>
							<option value="">-------------</option>
							<option value="Afghanistan" <c:if test="${param.country eq 'Afghanistan'}">selected="selected"</c:if>>Afghanistan</option>
							<option value="Albania" <c:if test="${param.country eq 'Albania'}">selected="selected"</c:if>>Albania</option>
							<option value="Algeria" <c:if test="${param.country eq 'Algeria'}">selected="selected"</c:if>>Algeria</option>
							<option value="American Samoa" <c:if test="${param.country eq 'American Samoa'}">selected="selected"</c:if>>American Samoa</option>
							<option value="Andorra" <c:if test="${param.country eq 'Andorra'}">selected="selected"</c:if>>Andorra</option>
							<option value="Angola" <c:if test="${param.country eq 'Angola'}">selected="selected"</c:if>>Angola</option>
							<option value="Anguilla" <c:if test="${param.country eq 'Anguilla'}">selected="selected"</c:if>>Anguilla</option>
							<option value="Antigua&amp;Barbuda" <c:if test="${param.country eq 'Antigua&amp;Barbuda'}">selected="selected"</c:if>>Antigua&amp;Barbuda</option>
							<option value="Argentina" <c:if test="${param.country eq 'Argentina'}">selected="selected"</c:if>>Argentina</option>
							<option value="Armenia" <c:if test="${param.country eq 'Armenia'}">selected="selected"</c:if>>Armenia</option>
							<option value="Aruba" <c:if test="${param.country eq 'Aruba'}">selected="selected"</c:if>>Aruba</option>
							<option value="Australia" <c:if test="${param.country eq 'Australia'}">selected="selected"</c:if>>Australia</option>
							<option value="Austria" <c:if test="${param.country eq 'Austria'}">selected="selected"</c:if>>Austria</option>
							<option value="Azerbaijan" <c:if test="${param.country eq 'Azerbaijan'}">selected="selected"</c:if>>Azerbaijan</option>
							<option value="Azores" <c:if test="${param.country eq 'Azores'}">selected="selected"</c:if>>Azores</option>
							<option value="Bahamas" <c:if test="${param.country eq 'Bahamas'}">selected="selected"</c:if>>Bahamas</option>
							<option value="Bahrain" <c:if test="${param.country eq 'Bahrain'}">selected="selected"</c:if>>Bahrain</option>
							<option value="Bangladesh" <c:if test="${param.country eq 'Bangladesh'}">selected="selected"</c:if>>Bangladesh</option>
							<option value="Barbados" <c:if test="${param.country eq 'Barbados'}">selected="selected"</c:if>>Barbados</option>
							<option value="Belarus" <c:if test="${param.country eq 'Belarus'}">selected="selected"</c:if>>Belarus</option>
							<option value="Belgium" <c:if test="${param.country eq 'Belgium'}">selected="selected"</c:if>>Belgium</option>
							<option value="Belize" <c:if test="${param.country eq 'Belize'}">selected="selected"</c:if>>Belize</option>
							<option value="Benin" <c:if test="${param.country eq 'Benin'}">selected="selected"</c:if>>Benin</option>
							<option value="Bermuda" <c:if test="${param.country eq 'Bermuda'}">selected="selected"</c:if>>Bermuda</option>
							<option value="Bhutan" <c:if test="${param.country eq 'Bhutan'}">selected="selected"</c:if>>Bhutan</option>
							<option value="Bolivia" <c:if test="${param.country eq 'Bolivia'}">selected="selected"</c:if>>Bolivia</option>
							<option value="Bonaire" <c:if test="${param.country eq 'Bonaire'}">selected="selected"</c:if>>Bonaire</option>
							<option value="Bosnia&amp;Herzegovina" <c:if test="${param.country eq 'Bosnia&amp;Herzegovina'}">selected="selected"</c:if>>Bosnia&amp;Herzegovina</option>
							<option value="Botswana" <c:if test="${param.country eq 'Botswana'}">selected="selected"</c:if>>Botswana</option>
							<option value="Brazil" <c:if test="${param.country eq 'Brazil'}">selected="selected"</c:if>>Brazil</option>
							<option value="British Indian Ocean Ter" <c:if test="${param.country eq 'British Indian Ocean Ter'}">selected="selected"</c:if>>British Indian Ocean Ter</option>
							<option value="Brunei" <c:if test="${param.country eq 'Brunei'}">selected="selected"</c:if>>Brunei</option>
							<option value="Bulgaria" <c:if test="${param.country eq 'Bulgaria'}">selected="selected"</c:if>>Bulgaria</option>
							<option value="Burkina Faso" <c:if test="${param.country eq 'Burkina Faso'}">selected="selected"</c:if>>Burkina Faso</option>
							<option value="Burundi" <c:if test="${param.country eq 'Burundi'}">selected="selected"</c:if>>Burundi</option>
							<option value="Cambodia" <c:if test="${param.country eq 'Cambodia'}">selected="selected"</c:if>>Cambodia</option>
							<option value="Cameroon" <c:if test="${param.country eq 'Cameroon'}">selected="selected"</c:if>>Cameroon</option>
							<option value="Canada" <c:if test="${param.country eq 'Canada'}">selected="selected"</c:if>>Canada</option>
							<option value="Canary Islands" <c:if test="${param.country eq 'Canary Islands'}">selected="selected"</c:if>>Canary Islands</option>
							<option value="Cape Verde" <c:if test="${param.country eq 'Cape Verde'}">selected="selected"</c:if>>Cape Verde</option>
							<option value="Cayman Islands" <c:if test="${param.country eq 'Cayman Islands'}">selected="selected"</c:if>>Cayman Islands</option>
							<option value="Central African Republic" <c:if test="${param.country eq 'Central African Republic'}">selected="selected"</c:if>>Central African Republic</option>
							<option value="Chad" <c:if test="${param.country eq 'Chad'}">selected="selected"</c:if>>Chad</option>
							<option value="Channel Islands" <c:if test="${param.country eq 'Channel Islands'}">selected="selected"</c:if>>Channel Islands</option>
							<option value="Chile" <c:if test="${param.country eq 'Chile'}">selected="selected"</c:if>>Chile</option>
							<option value="China" <c:if test="${param.country eq 'China'}">selected="selected"</c:if>>China</option>
							<option value="Christmas Island" <c:if test="${param.country eq 'Christmas Island'}">selected="selected"</c:if>>Christmas Island</option>
							<option value="Cocos Island" <c:if test="${param.country eq 'Cocos Island'}">selected="selected"</c:if>>Cocos Island</option>
							<option value="Columbia" <c:if test="${param.country eq 'Columbia'}">selected="selected"</c:if>>Columbia</option>
							<option value="Comoros" <c:if test="${param.country eq 'Comoros'}">selected="selected"</c:if>>Comoros</option>
							<option value="Congo" <c:if test="${param.country eq 'Congo'}">selected="selected"</c:if>>Congo</option>
							<option value="Cook Islands" <c:if test="${param.country eq 'Cook Islands'}">selected="selected"</c:if>>Cook Islands</option>
							<option value="Costa Rica" <c:if test="${param.country eq 'Costa Rica'}">selected="selected"</c:if>>Costa Rica</option>
							<option value="Cote D'Ivoire">Cote D'Ivoire</option>
							<option value="Croatia" <c:if test="${param.country eq 'Croatia'}">selected="selected"</c:if>>Croatia</option>
							<option value="Cuba" <c:if test="${param.country eq 'Cuba'}">selected="selected"</c:if>>Cuba</option>
							<option value="Curacao" <c:if test="${param.country eq 'Curacao'}">selected="selected"</c:if>>Curacao</option>
							<option value="Cyprus" <c:if test="${param.country eq 'Cyprus'}">selected="selected"</c:if>>Cyprus</option>
							<option value="Czech Republic" <c:if test="${param.country eq 'Czech Republic'}">selected="selected"</c:if>>Czech Republic</option>
							<option value="Denmark" <c:if test="${param.country eq 'Denmark'}">selected="selected"</c:if>>Denmark</option>
							<option value="Djibouti" <c:if test="${param.country eq 'Djibouti'}">selected="selected"</c:if>>Djibouti</option>
							<option value="Dominica" <c:if test="${param.country eq 'Dominica'}">selected="selected"</c:if>>Dominica</option>
							<option value="Dominican Republic" <c:if test="${param.country eq 'Dominican Republic'}">selected="selected"</c:if>>Dominican Republic</option>
							<option value="East Timor" <c:if test="${param.country eq 'East Timor'}">selected="selected"</c:if>>East Timor</option>
							<option value="Ecuador" <c:if test="${param.country eq 'Ecuador'}">selected="selected"</c:if>>Ecuador</option>
							<option value="Egypt" <c:if test="${param.country eq 'Egypt'}">selected="selected"</c:if>>Egypt</option>
							<option value="El Salvador" <c:if test="${param.country eq 'El Salvador'}">selected="selected"</c:if>>El Salvador</option>
							<option value="Equatorial Guinea" <c:if test="${param.country eq 'Equatorial Guinea'}">selected="selected"</c:if>>Equatorial Guinea</option>
							<option value="Eritrea" <c:if test="${param.country eq 'Eritrea'}">selected="selected"</c:if>>Eritrea</option>
							<option value="Estonia" <c:if test="${param.country eq 'Estonia'}">selected="selected"</c:if>>Estonia</option>
							<option value="Ethiopia" <c:if test="${param.country eq 'Ethiopia'}">selected="selected"</c:if>>Ethiopia</option>
							<option value="Falkland Islands" <c:if test="${param.country eq 'Falkland Islands'}">selected="selected"</c:if>>Falkland Islands</option>
							<option value="Faroe Islands" <c:if test="${param.country eq 'Faroe Islands'}">selected="selected"</c:if>>Faroe Islands</option>
							<option value="Fiji" <c:if test="${param.country eq 'Fiji'}">selected="selected"</c:if>>Fiji</option>
							<option value="Finland" <c:if test="${param.country eq 'Finland'}">selected="selected"</c:if>>Finland</option>
							<option value="France" <c:if test="${param.country eq 'France'}">selected="selected"</c:if>>France</option>
							<option value="French Guiana" <c:if test="${param.country eq 'French Guiana'}">selected="selected"</c:if>>French Guiana</option>
							<option value="French Polynesia" <c:if test="${param.country eq 'French Polynesia'}">selected="selected"</c:if>>French Polynesia</option>
							<option value="French Southern Ter" <c:if test="${param.country eq 'French Southern Ter'}">selected="selected"</c:if>>French Southern Ter</option>
							<option value="Gabon" <c:if test="${param.country eq 'Gabon'}">selected="selected"</c:if>>Gabon</option>
							<option value="Gambia" <c:if test="${param.country eq 'Gambia'}">selected="selected"</c:if>>Gambia</option>
							<option value="Georgia" <c:if test="${param.country eq 'Georgia'}">selected="selected"</c:if>>Georgia</option>
							<option value="Germany" <c:if test="${param.country eq 'Germany'}">selected="selected"</c:if>>Germany</option>
							<option value="Ghana" <c:if test="${param.country eq 'Ghana'}">selected="selected"</c:if>>Ghana</option>
							<option value="Gibraltar" <c:if test="${param.country eq 'Gibraltar'}">selected="selected"</c:if>>Gibraltar</option>
							<option value="Great Britain" <c:if test="${param.country eq 'Great Britain'}">selected="selected"</c:if>>Great Britain</option>
							<option value="Greece" <c:if test="${param.country eq 'Greece'}">selected="selected"</c:if>>Greece</option>
							<option value="Greenland" <c:if test="${param.country eq 'Greenland'}">selected="selected"</c:if>>Greenland</option>
							<option value="Grenada" <c:if test="${param.country eq 'Grenada'}">selected="selected"</c:if>>Grenada</option>
							<option value="Guadeloupe" <c:if test="${param.country eq 'Guadeloupe'}">selected="selected"</c:if>>Guadeloupe</option>
							<option value="Guam" <c:if test="${param.country eq 'Guam'}">selected="selected"</c:if>>Guam</option>
							<option value="Guatemala" <c:if test="${param.country eq 'Guatemala'}">selected="selected"</c:if>>Guatemala</option>
							<option value="Guinea" <c:if test="${param.country eq 'Guinea'}">selected="selected"</c:if>>Guinea</option>
							<option value="Guyana" <c:if test="${param.country eq 'Guyana'}">selected="selected"</c:if>>Guyana</option>
							<option value="Haiti" <c:if test="${param.country eq 'Haiti'}">selected="selected"</c:if>>Haiti</option>
							<option value="Hawaii" <c:if test="${param.country eq 'Hawaii'}">selected="selected"</c:if>>Hawaii</option>
							<option value="Honduras" <c:if test="${param.country eq 'Honduras'}">selected="selected"</c:if>>Honduras</option>
							<option value="Hong Kong" <c:if test="${param.country eq 'Hong Kong'}">selected="selected"</c:if>>Hong Kong</option>
							<option value="Hungary" <c:if test="${param.country eq 'Hungary'}">selected="selected"</c:if>>Hungary</option>
							<option value="Iceland" <c:if test="${param.country eq 'Iceland'}">selected="selected"</c:if>>Iceland</option>
							<option value="India" <c:if test="${param.country eq 'India'}">selected="selected"</c:if>>India</option>
							<option value="Indonesia" <c:if test="${param.country eq 'Indonesia'}">selected="selected"</c:if>>Indonesia</option>
							<option value="Iran" <c:if test="${param.country eq 'Iran'}">selected="selected"</c:if>>Iran</option>
							<option value="Iraq" <c:if test="${param.country eq 'Iraq'}">selected="selected"</c:if>>Iraq</option>
							<option value="Ireland" <c:if test="${param.country eq 'Ireland'}">selected="selected"</c:if>>Ireland</option>
							<option value="Isle of Man" <c:if test="${param.country eq 'Isle of Man'}">selected="selected"</c:if>>Isle of Man</option>
							<option value="Israel" <c:if test="${param.country eq 'Israel'}">selected="selected"</c:if>>Israel</option>
							<option value="Italy" <c:if test="${param.country eq 'Italy'}">selected="selected"</c:if>>Italy</option>
							<option value="Jamaica" <c:if test="${param.country eq 'Jamaica'}">selected="selected"</c:if>>Jamaica</option>
							<option value="Japan" <c:if test="${param.country eq 'Japan'}">selected="selected"</c:if>>Japan</option>
							<option value="Jordan" <c:if test="${param.country eq 'Jordan'}">selected="selected"</c:if>>Jordan</option>
							<option value="Kazakhstan" <c:if test="${param.country eq 'Kazakhstan'}">selected="selected"</c:if>>Kazakhstan</option>
							<option value="Kenya" <c:if test="${param.country eq 'Kenya'}">selected="selected"</c:if>>Kenya</option>
							<option value="Kiribati" <c:if test="${param.country eq 'Kiribati'}">selected="selected"</c:if>>Kiribati</option>
							<option value="Korea North" <c:if test="${param.country eq 'Korea North'}">selected="selected"</c:if>>Korea North</option>
							<option value="Korea South" <c:if test="${param.country eq 'Korea South'}">selected="selected"</c:if>>Korea South</option>
							<option value="Kuwait" <c:if test="${param.country eq 'Kuwait'}">selected="selected"</c:if>>Kuwait</option>
							<option value="Kyrgyzstan" <c:if test="${param.country eq 'Kyrgyzstan'}">selected="selected"</c:if>>Kyrgyzstan</option>
							<option value="Laos" <c:if test="${param.country eq 'Laos'}">selected="selected"</c:if>>Laos</option>
							<option value="Latvia" <c:if test="${param.country eq 'Latvia'}">selected="selected"</c:if>>Latvia</option>
							<option value="Lebanon" <c:if test="${param.country eq 'Lebanon'}">selected="selected"</c:if>>Lebanon</option>
							<option value="Lesotho" <c:if test="${param.country eq 'Lesotho'}">selected="selected"</c:if>>Lesotho</option>
							<option value="Liberia" <c:if test="${param.country eq 'Liberia'}">selected="selected"</c:if>>Liberia</option>
							<option value="Libya" <c:if test="${param.country eq 'Libya'}">selected="selected"</c:if>>Libya</option>
							<option value="Liechtenstein" <c:if test="${param.country eq 'Liechtenstein'}">selected="selected"</c:if>>Liechtenstein</option>
							<option value="Lithuania" <c:if test="${param.country eq 'Lithuania'}">selected="selected"</c:if>>Lithuania</option>
							<option value="Luxembourg" <c:if test="${param.country eq 'Luxembourg'}">selected="selected"</c:if>>Luxembourg</option>
							<option value="Macau" <c:if test="${param.country eq 'Macau'}">selected="selected"</c:if>>Macau</option>
							<option value="Macedonia" <c:if test="${param.country eq 'Macedonia'}">selected="selected"</c:if>>Macedonia</option>
							<option value="Madagascar" <c:if test="${param.country eq 'Madagascar'}">selected="selected"</c:if>>Madagascar</option>
							<option value="Malaysia" <c:if test="${param.country eq 'Malaysia'}">selected="selected"</c:if>>Malaysia</option>
							<option value="Malawi" <c:if test="${param.country eq 'Malawi'}">selected="selected"</c:if>>Malawi</option>
							<option value="Maldives" <c:if test="${param.country eq 'Maldives'}">selected="selected"</c:if>>Maldives</option>
							<option value="Mali" <c:if test="${param.country eq 'Mali'}">selected="selected"</c:if>>Mali</option>
							<option value="Malta" <c:if test="${param.country eq 'Malta'}">selected="selected"</c:if>>Malta</option>
							<option value="Marshall Islands" <c:if test="${param.country eq 'Marshall Islands'}">selected="selected"</c:if>>Marshall Islands</option>
							<option value="Martinique" <c:if test="${param.country eq 'Martinique'}">selected="selected"</c:if>>Martinique</option>
							<option value="Mauritania" <c:if test="${param.country eq 'Mauritania'}">selected="selected"</c:if>>Mauritania</option>
							<option value="Mauritius" <c:if test="${param.country eq 'Mauritius'}">selected="selected"</c:if>>Mauritius</option>
							<option value="Mayotte" <c:if test="${param.country eq 'Mayotte'}">selected="selected"</c:if>>Mayotte</option>
							<option value="Mexico" <c:if test="${param.country eq 'Mexico'}">selected="selected"</c:if>>Mexico</option>
							<option value="Midway Islands" <c:if test="${param.country eq 'Midway Islands'}">selected="selected"</c:if>>Midway Islands</option>
							<option value="Moldova" <c:if test="${param.country eq 'Moldova'}">selected="selected"</c:if>>Moldova</option>
							<option value="Monaco" <c:if test="${param.country eq 'Monaco'}">selected="selected"</c:if>>Monaco</option>
							<option value="Mongolia" <c:if test="${param.country eq 'Mongolia'}">selected="selected"</c:if>>Mongolia</option>
							<option value="Montserrat" <c:if test="${param.country eq 'Montserrat'}">selected="selected"</c:if>>Montserrat</option>
							<option value="Morocco" <c:if test="${param.country eq 'Morocco'}">selected="selected"</c:if>>Morocco</option>
							<option value="Mozambique" <c:if test="${param.country eq 'Mozambique'}">selected="selected"</c:if>>Mozambique</option>
							<option value="Myanmar" <c:if test="${param.country eq 'Myanmar'}">selected="selected"</c:if>>Myanmar</option>
							<option value="Nambia" <c:if test="${param.country eq 'Nambia'}">selected="selected"</c:if>>Nambia</option>
							<option value="Nauru" <c:if test="${param.country eq 'Nauru'}">selected="selected"</c:if>>Nauru</option>
							<option value="Nepal" <c:if test="${param.country eq 'Nepal'}">selected="selected"</c:if>>Nepal</option>
							<option value="Netherland Antilles" <c:if test="${param.country eq 'Netherland Antilles'}">selected="selected"</c:if>>Netherland Antilles</option>
							<option value="Netherlands" <c:if test="${param.country eq 'Netherlands'}">selected="selected"</c:if>>Netherlands</option>
							<option value="Nevis" <c:if test="${param.country eq 'Nevis'}">selected="selected"</c:if>>Nevis</option>
							<option value="New Caledonia" <c:if test="${param.country eq 'New Caledonia'}">selected="selected"</c:if>>New Caledonia</option>
							<option value="New Zealand" <c:if test="${param.country eq 'New Zealand'}">selected="selected"</c:if>>New Zealand</option>
							<option value="Nicaragua" <c:if test="${param.country eq 'Nicaragua'}">selected="selected"</c:if>>Nicaragua</option>
							<option value="Niger" <c:if test="${param.country eq 'Niger'}">selected="selected"</c:if>>Niger</option>
							<option value="Nigeria" <c:if test="${param.country eq 'Nigeria'}">selected="selected"</c:if>>Nigeria</option>
							<option value="Niue" <c:if test="${param.country eq 'Niue'}">selected="selected"</c:if>>Niue</option>
							<option value="Norfolk Island" <c:if test="${param.country eq 'Norfolk Island'}">selected="selected"</c:if>>Norfolk Island</option>
							<option value="Norway" <c:if test="${param.country eq 'Norway'}">selected="selected"</c:if>>Norway</option>
							<option value="Oman" <c:if test="${param.country eq 'Oman'}">selected="selected"</c:if>>Oman</option>
							<option value="Pakistan" <c:if test="${param.country eq 'Pakistan'}">selected="selected"</c:if>>Pakistan</option>
							<option value="Palau Island" <c:if test="${param.country eq 'Palau Island'}">selected="selected"</c:if>>Palau Island</option>
							<option value="Palestine" <c:if test="${param.country eq 'Palestine'}">selected="selected"</c:if>>Palestine</option>
							<option value="Panama" <c:if test="${param.country eq 'Panama'}">selected="selected"</c:if>>Panama</option>
							<option value="Papua New Guinea" <c:if test="${param.country eq 'Papua New Guinea'}">selected="selected"</c:if>>Papua New Guinea</option>
							<option value="Paraguay" <c:if test="${param.country eq 'Paraguay'}">selected="selected"</c:if>>Paraguay</option>
							<option value="Peru" <c:if test="${param.country eq 'Peru'}">selected="selected"</c:if>>Peru</option>
							<option value="Philippines" <c:if test="${param.country eq 'Philippines'}">selected="selected"</c:if>>Philippines</option>
							<option value="Pitcairn Island" <c:if test="${param.country eq 'Pitcairn Island'}">selected="selected"</c:if>>Pitcairn Island</option>
							<option value="Poland" <c:if test="${param.country eq 'Poland'}">selected="selected"</c:if>>Poland</option>
							<option value="Portugal" <c:if test="${param.country eq 'Portugal'}">selected="selected"</c:if>>Portugal</option>
							<option value="Puerto Rico" <c:if test="${param.country eq 'Puerto Rico'}">selected="selected"</c:if>>Puerto Rico</option>
							<option value="Qatar" <c:if test="${param.country eq 'Qatar'}">selected="selected"</c:if>>Qatar</option>
							<option value="Reunion" <c:if test="${param.country eq 'Reunion'}">selected="selected"</c:if>>Reunion</option>
							<option value="Romania" <c:if test="${param.country eq 'Romania'}">selected="selected"</c:if>>Romania</option>
							<option value="Russia" <c:if test="${param.country eq 'Russia'}">selected="selected"</c:if>>Russia</option>
							<option value="Rwanda" <c:if test="${param.country eq 'Rwanda'}">selected="selected"</c:if>>Rwanda</option>
							<option value="St Barthelemy" <c:if test="${param.country eq 'St Barthelemy'}">selected="selected"</c:if>>St Barthelemy</option>
							<option value="St Eustatius" <c:if test="${param.country eq 'St Eustatius'}">selected="selected"</c:if>>St Eustatius</option>
							<option value="St Helena" <c:if test="${param.country eq 'St Helena'}">selected="selected"</c:if>>St Helena</option>
							<option value="St Kitts-Nevis" <c:if test="${param.country eq 'St Kitts-Nevis'}">selected="selected"</c:if>>St Kitts-Nevis</option>
							<option value="St Lucia" <c:if test="${param.country eq 'St Lucia'}">selected="selected"</c:if>>St Lucia</option>
							<option value="St Maarten" <c:if test="${param.country eq 'St Maarten'}">selected="selected"</c:if>>St Maarten</option>
							<option value="St Pierre&amp;Miquelon" <c:if test="${param.country eq 'St Pierre&amp;Miquelon'}">selected="selected"</c:if>>St Pierre&amp;Miquelon</option>
							<option value="St Vincent&amp;Grenadines" <c:if test="${param.country eq 'St Vincent&amp;Grenadines'}">selected="selected"</c:if>>St Vincent&amp;Grenadines</option>
							<option value="Saipan" <c:if test="${param.country eq 'Saipan'}">selected="selected"</c:if>>Saipan</option>
							<option value="Samoa" <c:if test="${param.country eq 'Samoa'}">selected="selected"</c:if>>Samoa</option>
							<option value="Samoa American" <c:if test="${param.country eq 'Samoa American'}">selected="selected"</c:if>>Samoa American</option>
							<option value="San Marino" <c:if test="${param.country eq 'San Marino'}">selected="selected"</c:if>>San Marino</option>
							<option value="Sao Tome&amp;Principe" <c:if test="${param.country eq 'Sao Tome&amp;Principe'}">selected="selected"</c:if>>Sao Tome&amp;Principe</option>
							<option value="Saudi Arabia" <c:if test="${param.country eq 'Saudi Arabia'}">selected="selected"</c:if>>Saudi Arabia</option>
							<option value="Senegal" <c:if test="${param.country eq 'Senegal'}">selected="selected"</c:if>>Senegal</option>
							<option value="Seychelles" <c:if test="${param.country eq 'Seychelles'}">selected="selected"</c:if>>Seychelles</option>
							<option value="Serbia&amp;Montenegro" <c:if test="${param.country eq 'Serbia&amp;Montenegro'}">selected="selected"</c:if>>Serbia&amp;Montenegro</option>
							<option value="Sierra Leone" <c:if test="${param.country eq 'Sierra Leone'}">selected="selected"</c:if>>Sierra Leone</option>
							<option value="Singapore" <c:if test="${param.country eq 'Singapore'}">selected="selected"</c:if>>Singapore</option>
							<option value="Slovakia" <c:if test="${param.country eq 'Slovakia'}">selected="selected"</c:if>>Slovakia</option>
							<option value="Slovenia" <c:if test="${param.country eq 'Slovenia'}">selected="selected"</c:if>>Slovenia</option>
							<option value="Solomon Islands" <c:if test="${param.country eq 'Solomon Islands'}">selected="selected"</c:if>>Solomon Islands</option>
							<option value="Somalia" <c:if test="${param.country eq 'Somalia'}">selected="selected"</c:if>>Somalia</option>
							<option value="South Africa" <c:if test="${param.country eq 'South Africa'}">selected="selected"</c:if>>South Africa</option>
							<option value="Spain" <c:if test="${param.country eq 'Spain'}">selected="selected"</c:if>>Spain</option>
							<option value="Sri Lanka" <c:if test="${param.country eq 'Sri Lanka'}">selected="selected"</c:if>>Sri Lanka</option>
							<option value="Sudan" <c:if test="${param.country eq 'Sudan'}">selected="selected"</c:if>>Sudan</option>
							<option value="Suriname" <c:if test="${param.country eq 'Suriname'}">selected="selected"</c:if>>Suriname</option>
							<option value="Swaziland" <c:if test="${param.country eq 'Swaziland'}">selected="selected"</c:if>>Swaziland</option>
							<option value="Sweden" <c:if test="${param.country eq 'Sweden'}">selected="selected"</c:if>>Sweden</option>
							<option value="Switzerland" <c:if test="${param.country eq 'Switzerland'}">selected="selected"</c:if>>Switzerland</option>
							<option value="Syria" <c:if test="${param.country eq 'Syria'}">selected="selected"</c:if>>Syria</option>
							<option value="Tahiti" <c:if test="${param.country eq 'Tahiti'}">selected="selected"</c:if>>Tahiti</option>
							<option value="Taiwan" <c:if test="${param.country eq 'Taiwan'}">selected="selected"</c:if>>Taiwan</option>
							<option value="Tajikistan" <c:if test="${param.country eq 'Tajikistan'}">selected="selected"</c:if>>Tajikistan</option>
							<option value="Tanzania" <c:if test="${param.country eq 'Tanzania'}">selected="selected"</c:if>>Tanzania</option>
							<option value="Thailand" <c:if test="${param.country eq 'Thailand'}">selected="selected"</c:if>>Thailand</option>
							<option value="Togo" <c:if test="${param.country eq 'Togo'}">selected="selected"</c:if>>Togo</option>
							<option value="Tokelau" <c:if test="${param.country eq 'Tokelau'}">selected="selected"</c:if>>Tokelau</option>
							<option value="Tonga" <c:if test="${param.country eq 'Tonga'}">selected="selected"</c:if>>Tonga</option>
							<option value="Trinidad&amp;Tobago" <c:if test="${param.country eq 'Trinidad&amp;Tobago'}">selected="selected"</c:if>>Trinidad&amp;Tobago</option>
							<option value="Tunisia" <c:if test="${param.country eq 'Tunisia'}">selected="selected"</c:if>>Tunisia</option>
							<option value="Turkey" <c:if test="${param.country eq 'Turkey'}">selected="selected"</c:if>>Turkey</option>
							<option value="Turkmenistan" <c:if test="${param.country eq 'Turkmenistan'}">selected="selected"</c:if>>Turkmenistan</option>
							<option value="Turks&amp;Caicos Is" <c:if test="${param.country eq 'Turks&amp;Caicos Is'}">selected="selected"</c:if>>Turks&amp;Caicos Is</option>
							<option value="Tuvalu" <c:if test="${param.country eq 'Tuvalu'}">selected="selected"</c:if>>Tuvalu</option>
							<option value="Uganda" <c:if test="${param.country eq 'Uganda'}">selected="selected"</c:if>>Uganda</option>
							<option value="Ukraine" <c:if test="${param.country eq 'Ukraine'}">selected="selected"</c:if>>Ukraine</option>
							<option value="United Arab Emirates" <c:if test="${param.country eq 'United Arab Emirates'}">selected="selected"</c:if>>United Arab Emirates</option>
							<option value="United Kingdom" <c:if test="${param.country eq 'United Kingdom'}">selected="selected"</c:if>>United Kingdom</option>
							<option value="United States of America" <c:if test="${param.country eq 'United States of America'}">selected="selected"</c:if>>United States of America</option>
							<option value="Uruguay" <c:if test="${param.country eq 'Uruguay'}">selected="selected"</c:if>>Uruguay</option>
							<option value="Uzbekistan" <c:if test="${param.country eq 'Uzbekistan'}">selected="selected"</c:if>>Uzbekistan</option>
							<option value="Vanuatu" <c:if test="${param.country eq 'Vanuatu'}">selected="selected"</c:if>>Vanuatu</option>
							<option value="Vatican City State" <c:if test="${param.country eq 'Vatican City State'}">selected="selected"</c:if>>Vatican City State</option>
							<option value="Venezuela" <c:if test="${param.country eq 'Venezuela'}">selected="selected"</c:if>>Venezuela</option>
							<option value="Vietnam" <c:if test="${param.country eq 'Vietnam'}">selected="selected"</c:if>>Vietnam</option>
							<option value="Virgin Islands (Brit)" <c:if test="${param.country eq 'Virgin Islands (Brit)'}">selected="selected"</c:if>>Virgin Islands (Brit)</option>
							<option value="Virgin Islands (USA)" <c:if test="${param.country eq 'Virgin Islands (USA)'}">selected="selected"</c:if>>Virgin Islands (USA)</option>
							<option value="Wake Island" <c:if test="${param.country eq 'Wake Island'}">selected="selected"</c:if>>Wake Island</option>
							<option value="Wallis&amp;Futana Is" <c:if test="${param.country eq 'Wallis&amp;Futana Is'}">selected="selected"</c:if>>Wallis&amp;Futana Is</option>
							<option value="Yemen" <c:if test="${param.country eq 'Yemen'}">selected="selected"</c:if>>Yemen</option>
							<option value="Zaire" <c:if test="${param.country eq 'Zaire'}">selected="selected"</c:if>>Zaire</option>
							<option value="Zambia" <c:if test="${param.country eq 'Zambia'}">selected="selected"</c:if>>Zambia</option>
							<option value="Zimbabwe" <c:if test="${param.country eq 'Zimbabwe'}">selected="selected"</c:if>>Zimbabwe</option>
						</select>
					 	<br/>
						<div class="settingDescription"></div>
					</td>
				</tr>
				<tr class="row">
					<td class="setting"><label for="timeZone">Your Time Zone</label>:</td>
					<td class="value">
						<select id="timeZone" name="timeZone">
							<option value="">Please Select</option>
							<option value="">-------------</option>
							<option value="(GMT) Casablanca" <c:if test="${param.timeZone eq '(GMT) Casablanca'}">selected="selected"</c:if>>(GMT) Casablanca </option>
							<option value="(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London" <c:if test="${param.timeZone eq '(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London'}">selected="selected"</c:if>>(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London </option>
							<option value="(GMT) Monrovia, Reykjavik" <c:if test="${param.timeZone eq '(GMT) Monrovia, Reykjavik'}">selected="selected"</c:if>>(GMT) Monrovia, Reykjavik </option>
							<option value="(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna" <c:if test="${param.timeZone eq '(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna'}">selected="selected"</c:if>>(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna </option>
							<option value="(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague" <c:if test="${param.timeZone eq '(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague'}">selected="selected"</c:if>>(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague </option>
							<option value="(GMT+01:00) Brussels, Copenhagen, Madrid, Paris" <c:if test="${param.timeZone eq '(GMT+01:00) Brussels, Copenhagen, Madrid, Paris'}">selected="selected"</c:if>>(GMT+01:00) Brussels, Copenhagen, Madrid, Paris </option>
							<option value="(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb" <c:if test="${param.timeZone eq '(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb'}">selected="selected"</c:if>>(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb </option>
							<option value="(GMT+01:00) West Central Africa" <c:if test="${param.timeZone eq '(GMT+01:00) West Central Africa'}">selected="selected"</c:if>>(GMT+01:00) West Central Africa </option>
							<option value="(GMT+02:00) Amman" <c:if test="${param.timeZone eq '(GMT+02:00) Amman'}">selected="selected"</c:if>>(GMT+02:00) Amman </option>
							<option value="(GMT+02:00) Athens, Bucharest, Istanbul" <c:if test="${param.timeZone eq '(GMT+02:00) Athens, Bucharest, Istanbul'}">selected="selected"</c:if>>(GMT+02:00) Athens, Bucharest, Istanbul </option>
							<option value="(GMT+02:00) Beirut" <c:if test="${param.timeZone eq '(GMT+02:00) Beirut'}">selected="selected"</c:if>>(GMT+02:00) Beirut </option>
							<option value="(GMT+02:00) Cairo" <c:if test="${param.timeZone eq '(GMT+02:00) Cairo'}">selected="selected"</c:if>>(GMT+02:00) Cairo </option>
							<option value="(GMT+02:00) Harare, Pretoria" <c:if test="${param.timeZone eq '(GMT+02:00) Harare, Pretoria'}">selected="selected"</c:if>>(GMT+02:00) Harare, Pretoria </option>
							<option value="(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius" <c:if test="${param.timeZone eq '(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius'}">selected="selected"</c:if>>(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius </option>
							<option value="(GMT+02:00) Jerusalem" <c:if test="${param.timeZone eq '(GMT+02:00) Jerusalem'}">selected="selected"</c:if>>(GMT+02:00) Jerusalem </option>
							<option value="(GMT+02:00) Minsk" <c:if test="${param.timeZone eq '(GMT+02:00) Minsk'}">selected="selected"</c:if>>(GMT+02:00) Minsk </option>
							<option value="(GMT+02:00) Windhoek" <c:if test="${param.timeZone eq '(GMT+02:00) Windhoek'}">selected="selected"</c:if>>(GMT+02:00) Windhoek </option>
							<option value="(GMT+03:00) Baghdad" <c:if test="${param.timeZone eq '(GMT+03:00) Baghdad'}">selected="selected"</c:if>>(GMT+03:00) Baghdad </option>
							<option value="(GMT+03:00) Kuwait, Riyadh" <c:if test="${param.timeZone eq '(GMT+03:00) Kuwait, Riyadh'}">selected="selected"</c:if>>(GMT+03:00) Kuwait, Riyadh </option>
							<option value="(GMT+03:00) Moscow, St. Petersburg, Volgograd" <c:if test="${param.timeZone eq '(GMT+03:00) Moscow, St. Petersburg, Volgograd'}">selected="selected"</c:if>>(GMT+03:00) Moscow, St. Petersburg, Volgograd </option>
							<option value="(GMT+03:00) Nairobi" <c:if test="${param.timeZone eq '(GMT+03:00) Nairobi'}">selected="selected"</c:if>>(GMT+03:00) Nairobi </option>
							<option value="(GMT+03:00) Tbilisi" <c:if test="${param.timeZone eq '(GMT+03:00) Tbilisi'}">selected="selected"</c:if>>(GMT+03:00) Tbilisi </option>
							<option value="(GMT+03:30) Tehran" <c:if test="${param.timeZone eq '(GMT+03:30) Tehran'}">selected="selected"</c:if>>(GMT+03:30) Tehran </option>
							<option value="(GMT+04:00) Abu Dhabi, Muscat" <c:if test="${param.timeZone eq '(GMT+04:00) Abu Dhabi, Muscat'}">selected="selected"</c:if>>(GMT+04:00) Abu Dhabi, Muscat </option>
							<option value="(GMT+04:00) Baku" <c:if test="${param.timeZone eq '(GMT+04:00) Baku'}">selected="selected"</c:if>>(GMT+04:00) Baku </option>
							<option value="(GMT+04:00) Caucasus Standard Time" <c:if test="${param.timeZone eq '(GMT+04:00) Caucasus Standard Time'}">selected="selected"</c:if>>(GMT+04:00) Caucasus Standard Time </option>
							<option value="(GMT+04:00) Yerevan" <c:if test="${param.timeZone eq '(GMT+04:00) Yerevan'}">selected="selected"</c:if>>(GMT+04:00) Yerevan </option>
							<option value="(GMT+04:30) Kabul" <c:if test="${param.timeZone eq '(GMT+04:30) Kabul'}">selected="selected"</c:if>>(GMT+04:30) Kabul </option>
							<option value="(GMT+05:00) Ekaterinburg" <c:if test="${param.timeZone eq '(GMT+05:00) Ekaterinburg'}">selected="selected"</c:if>>(GMT+05:00) Ekaterinburg </option>
							<option value="(GMT+05:00) Islamabad, Karachi" <c:if test="${param.timeZone eq '(GMT+05:00) Islamabad, Karachi'}">selected="selected"</c:if>>(GMT+05:00) Islamabad, Karachi </option>
							<option value="(GMT+05:00) Tashkent" <c:if test="${param.timeZone eq '(GMT+05:00) Tashkent'}">selected="selected"</c:if>>(GMT+05:00) Tashkent </option>
							<option value="(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi" <c:if test="${param.timeZone eq '(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi'}">selected="selected"</c:if>>(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi </option>
							<option value="(GMT+05:30) Sri Jayawardenepura" <c:if test="${param.timeZone eq '(GMT+05:30) Sri Jayawardenepura'}">selected="selected"</c:if>>(GMT+05:30) Sri Jayawardenepura </option>
							<option value="(GMT+05:45) Kathmandu" <c:if test="${param.timeZone eq '(GMT+05:45) Kathmandu'}">selected="selected"</c:if>>(GMT+05:45) Kathmandu </option>
							<option value="(GMT+06:00) Almaty, Novosibirsk" <c:if test="${param.timeZone eq '(GMT+06:00) Almaty, Novosibirsk'}">selected="selected"</c:if>>(GMT+06:00) Almaty, Novosibirsk </option>
							<option value="(GMT+06:00) Astana, Dhaka" <c:if test="${param.timeZone eq '(GMT+06:00) Astana, Dhaka'}">selected="selected"</c:if>>(GMT+06:00) Astana, Dhaka </option>
							<option value="(GMT+06:30) Yangon (Rangoon)" <c:if test="${param.timeZone eq '(GMT+06:30) Yangon (Rangoon)'}">selected="selected"</c:if>>(GMT+06:30) Yangon (Rangoon) </option>
							<option value="(GMT+07:00) Bangkok, Hanoi, Jakarta" <c:if test="${param.timeZone eq '(GMT+07:00) Bangkok, Hanoi, Jakarta'}">selected="selected"</c:if>>(GMT+07:00) Bangkok, Hanoi, Jakarta </option>
							<option value="(GMT+07:00) Krasnoyarsk" <c:if test="${param.timeZone eq '(GMT+07:00) Krasnoyarsk'}">selected="selected"</c:if>>(GMT+07:00) Krasnoyarsk </option>
							<option value="(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi" <c:if test="${param.timeZone eq '(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi'}">selected="selected"</c:if>>(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi </option>
							<option value="(GMT+08:00) Irkutsk, Ulaan Bataar" <c:if test="${param.timeZone eq '(GMT+08:00) Irkutsk, Ulaan Bataar'}">selected="selected"</c:if>>(GMT+08:00) Irkutsk, Ulaan Bataar </option>
							<option value="(GMT+08:00) Kuala Lumpur, Singapore" <c:if test="${param.timeZone eq '(GMT+08:00) Kuala Lumpur, Singapore'}">selected="selected"</c:if>>(GMT+08:00) Kuala Lumpur, Singapore </option>
							<option value="(GMT+08:00) Perth" <c:if test="${param.timeZone eq '(GMT+08:00) Perth'}">selected="selected"</c:if>>(GMT+08:00) Perth </option>
							<option value="(GMT+08:00) Taipei" <c:if test="${param.timeZone eq '(GMT+08:00) Taipei'}">selected="selected"</c:if>>(GMT+08:00) Taipei </option>
							<option value="(GMT+09:00) Osaka, Sapporo, Tokyo" <c:if test="${param.timeZone eq '(GMT+09:00) Osaka, Sapporo, Tokyo'}">selected="selected"</c:if>>(GMT+09:00) Osaka, Sapporo, Tokyo </option>
							<option value="(GMT+09:00) Seoul" <c:if test="${param.timeZone eq '(GMT+09:00) Seoul'}">selected="selected"</c:if>>(GMT+09:00) Seoul </option>
							<option value="(GMT+09:00) Yakutsk" <c:if test="${param.timeZone eq '(GMT+09:00) Yakutsk'}">selected="selected"</c:if>>(GMT+09:00) Yakutsk </option>
							<option value="(GMT+09:30) Adelaide" <c:if test="${param.timeZone eq '(GMT+09:30) Adelaide'}">selected="selected"</c:if>>(GMT+09:30) Adelaide </option>
							<option value="(GMT+09:30) Darwin" <c:if test="${param.timeZone eq '(GMT+09:30) Darwin'}">selected="selected"</c:if>>(GMT+09:30) Darwin </option>
							<option value="(GMT+10:00) Brisbane" <c:if test="${param.timeZone eq '(GMT+10:00) Brisbane'}">selected="selected"</c:if>>(GMT+10:00) Brisbane </option>
							<option value="(GMT+10:00) Canberra, Melbourne, Sydney" <c:if test="${param.timeZone eq '(GMT+10:00) Canberra, Melbourne, Sydney'}">selected="selected"</c:if>>(GMT+10:00) Canberra, Melbourne, Sydney </option>
							<option value="(GMT+10:00) Guam, Port Moresby" <c:if test="${param.timeZone eq '(GMT+10:00) Guam, Port Moresby'}">selected="selected"</c:if>>(GMT+10:00) Guam, Port Moresby </option>
							<option value="(GMT+10:00) Hobart" <c:if test="${param.timeZone eq '(GMT+10:00) Hobart'}">selected="selected"</c:if>>(GMT+10:00) Hobart </option>
							<option value="(GMT+10:00) Vladivostok" <c:if test="${param.timeZone eq '(GMT+10:00) Vladivostok'}">selected="selected"</c:if>>(GMT+10:00) Vladivostok </option>
							<option value="(GMT+11:00) Magadan, Solomon Is., New Caledonia" <c:if test="${param.timeZone eq '(GMT+11:00) Magadan, Solomon Is., New Caledonia'}">selected="selected"</c:if>>(GMT+11:00) Magadan, Solomon Is., New Caledonia </option>
							<option value="(GMT+12:00) Auckland, Wellington" <c:if test="${param.timeZone eq '(GMT+12:00) Auckland, Wellington'}">selected="selected"</c:if>>(GMT+12:00) Auckland, Wellington </option>
							<option value="(GMT+12:00) Fiji, Kamchatka, Marshall Is." <c:if test="${param.timeZone eq '(GMT+12:00) Fiji, Kamchatka, Marshall Is.'}">selected="selected"</c:if>>(GMT+12:00) Fiji, Kamchatka, Marshall Is. </option>
							<option value="(GMT+13:00) Nuku'alofa">(GMT+13:00) Nuku'alofa </option>
							<option value="(GMT-01:00) Azores" <c:if test="${param.timeZone eq '(GMT-01:00) Azores'}">selected="selected"</c:if>>(GMT-01:00) Azores </option>
							<option value="(GMT-01:00) Cape Verde Is." <c:if test="${param.timeZone eq '(GMT-01:00) Cape Verde Is.'}">selected="selected"</c:if>>(GMT-01:00) Cape Verde Is. </option>
							<option value="(GMT-02:00) Mid-Atlantic" <c:if test="${param.timeZone eq '(GMT-02:00) Mid-Atlantic'}">selected="selected"</c:if>>(GMT-02:00) Mid-Atlantic </option>
							<option value="(GMT-03:00) Brasilia" <c:if test="${param.timeZone eq '(GMT-03:00) Brasilia'}">selected="selected"</c:if>>(GMT-03:00) Brasilia </option>
							<option value="(GMT-03:00) Buenos Aires" <c:if test="${param.timeZone eq '(GMT-03:00) Buenos Aires'}">selected="selected"</c:if>>(GMT-03:00) Buenos Aires </option>
							<option value="(GMT-03:00) Georgetown" <c:if test="${param.timeZone eq '(GMT-03:00) Georgetown'}">selected="selected"</c:if>>(GMT-03:00) Georgetown </option>
							<option value="(GMT-03:00) Greenland" <c:if test="${param.timeZone eq '(GMT-03:00) Greenland'}">selected="selected"</c:if>>(GMT-03:00) Greenland </option>
							<option value="(GMT-03:00) Montevideo" <c:if test="${param.timeZone eq '(GMT-03:00) Montevideo'}">selected="selected"</c:if>>(GMT-03:00) Montevideo </option>
							<option value="(GMT-03:30) Newfoundland" <c:if test="${param.timeZone eq '(GMT-03:30) Newfoundland'}">selected="selected"</c:if>>(GMT-03:30) Newfoundland </option>
							<option value="(GMT-04:00) Atlantic Time (Canada)" <c:if test="${param.timeZone eq '(GMT-04:00) Atlantic Time (Canada)'}">selected="selected"</c:if>>(GMT-04:00) Atlantic Time (Canada) </option>
							<option value="(GMT-04:00) La Paz" <c:if test="${param.timeZone eq '(GMT-04:00) La Paz'}">selected="selected"</c:if>>(GMT-04:00) La Paz </option>
							<option value="(GMT-04:00) Manaus" <c:if test="${param.timeZone eq '(GMT-04:00) Manaus'}">selected="selected"</c:if>>(GMT-04:00) Manaus </option>
							<option value="(GMT-04:00) Santiago" <c:if test="${param.timeZone eq '(GMT-04:00) Santiago'}">selected="selected"</c:if>>(GMT-04:00) Santiago </option>
							<option value="(GMT-04:30) Caracas" <c:if test="${param.timeZone eq '(GMT-04:30) Caracas'}">selected="selected"</c:if>>(GMT-04:30) Caracas </option>
							<option value="(GMT-05:00) Bogota, Lima, Quito, Rio Branco" <c:if test="${param.timeZone eq '(GMT-05:00) Bogota, Lima, Quito, Rio Branco'}">selected="selected"</c:if>>(GMT-05:00) Bogota, Lima, Quito, Rio Branco </option>
							<option value="(GMT-05:00) Eastern Time (US &amp; Canada)" <c:if test="${param.timeZone eq '(GMT-05:00) Eastern Time (US & Canada)'}">selected="selected"</c:if>>(GMT-05:00) Eastern Time (US &amp; Canada) </option>
							<option value="(GMT-05:00) Indiana (East)" <c:if test="${param.timeZone eq '(GMT-05:00) Indiana (East)'}">selected="selected"</c:if>>(GMT-05:00) Indiana (East) </option>
							<option value="(GMT-06:00) Central America" <c:if test="${param.timeZone eq '(GMT-06:00) Central America'}">selected="selected"</c:if>>(GMT-06:00) Central America </option>
							<option value="(GMT-06:00) Central Time (US &amp; Canada)" <c:if test="${param.timeZone eq '(GMT-06:00) Central Time (US & Canada)'}">selected="selected"</c:if>>(GMT-06:00) Central Time (US &amp; Canada) </option>
							<option value="(GMT-06:00) Guadalajara, Mexico City, Monterrey - New" <c:if test="${param.timeZone eq '(GMT-06:00) Guadalajara, Mexico City, Monterrey - New'}">selected="selected"</c:if>>(GMT-06:00) Guadalajara, Mexico City, Monterrey - New </option>
							<option value="(GMT-06:00) Guadalajara, Mexico City, Monterrey - Old" <c:if test="${param.timeZone eq '(GMT-06:00) Guadalajara, Mexico City, Monterrey - Old'}">selected="selected"</c:if>>(GMT-06:00) Guadalajara, Mexico City, Monterrey - Old </option>
							<option value="(GMT-06:00) Saskatchewan" <c:if test="${param.timeZone eq '(GMT-06:00) Saskatchewan'}">selected="selected"</c:if>>(GMT-06:00) Saskatchewan </option>
							<option value="(GMT-07:00) Arizona" <c:if test="${param.timeZone eq '(GMT-07:00) Arizona'}">selected="selected"</c:if>>(GMT-07:00) Arizona </option>
							<option value="(GMT-07:00) Chihuahua, La Paz, Mazatlan - New" <c:if test="${param.timeZone eq '(GMT-07:00) Chihuahua, La Paz, Mazatlan - New'}">selected="selected"</c:if>>(GMT-07:00) Chihuahua, La Paz, Mazatlan - New </option>
							<option value="(GMT-07:00) Chihuahua, La Paz, Mazatlan - Old" <c:if test="${param.timeZone eq '(GMT-07:00) Chihuahua, La Paz, Mazatlan - Old'}">selected="selected"</c:if>>(GMT-07:00) Chihuahua, La Paz, Mazatlan - Old </option>
							<option value="(GMT-07:00) Mountain Time (US &amp; Canada)" <c:if test="${param.timeZone eq '(GMT-07:00) Mountain Time (US & Canada)'}">selected="selected"</c:if>>(GMT-07:00) Mountain Time (US &amp; Canada) </option>
							<option value="(GMT-08:00) Pacific Time (US &amp; Canada)" <c:if test="${param.timeZone eq '(GMT-08:00) Pacific Time (US & Canada)'}">selected="selected"</c:if>>(GMT-08:00) Pacific Time (US &amp; Canada) </option>
							<option value="(GMT-08:00) Tijuana, Baja California" <c:if test="${param.timeZone eq '(GMT-08:00) Tijuana, Baja California'}">selected="selected"</c:if>>(GMT-08:00) Tijuana, Baja California </option>
							<option value="(GMT-09:00) Alaska" <c:if test="${param.timeZone eq '(GMT-09:00) Alaska'}">selected="selected"</c:if>>(GMT-09:00) Alaska </option>
							<option value="(GMT-10:00) Hawaii" <c:if test="${param.timeZone eq '(GMT-10:00) Hawaii'}">selected="selected"</c:if>>(GMT-10:00) Hawaii </option>
							<option value="(GMT-11:00) Midway Island, Samoa" <c:if test="${param.timeZone eq '(GMT-11:00) Midway Island, Samoa'}">selected="selected"</c:if>>(GMT-11:00) Midway Island, Samoa </option>
							<option value="(GMT-12:00) International Date Line West" <c:if test="${param.timeZone eq '(GMT-12:00) International Date Line West'}">selected="selected"</c:if>>(GMT-12:00) International Date Line West </option>
						</select>
					 	<br/>
						<div class="settingDescription"></div>
					</td>
				</tr>
			</table>
			<logic:present role="superuser,administrator,settingsEdit,settingsEmailerEdit">
		    	<div class="saveSettings">
					<input type="submit" class="button" value="Establish Account"/>
				</div>
			</logic:present>
		</html:form>
	</c:when>
	<c:otherwise>

		<div class="instructions">
			<p>Congratulations, your SoftSlate Emailer account has been established! Use this button to launch the interface and begin creating email marketing campaigns:</p>
			<p><form target="_new" action="http://emailer.softslate.com"><input type="submit" class="button" value="Launch SoftSlate Emailer Interface"/></form></p>
			<br/><br/>
			<p>Use the other screens in this section from the menu on the left to control how your store interacts with SoftSlate Emailer, including how it sends it subscribers 
			from the contact form, customer regristration area, and checkout area.</p>
		</div>
	</c:otherwise>
</c:choose>
<!-- End emailer.jsp -->

