<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to the Authorize.net payment gateway to process credit cards.
</div>

<br/>

<html:form action="/SettingsProcessAuthorizeNet" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'authorizeNetTxType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetTxType">
									<option value="AUTH_CAPTURE" <logic:match name="setting" property="smallValue" value="AUTH_CAPTURE">selected="selected"</logic:match>>Authorization and Capture</option>
									<option value="AUTH_ONLY" <logic:match name="setting" property="smallValue" value="AUTH_ONLY">selected="selected"</logic:match>>Authorization Only</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Account with Authorize.net">
				<p>To enable Authorize.net, you must establish an account with them. 
				Visit <a href="http://reseller.authorize.net/application/?id=565192" target="_blank">the sign-up form</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>
