<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to the Authorize.net payment gateway using CIM to process credit cards and manage user profiles.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo eq '1' or settings.map.useAjaxOnePageCheckout eq '1'}">
	<div class="warning">
		<p>Because Authorize.net CIM must submit payment information directly to Authorize.net you cannot use the Ajax one-page checkout or
			the combined address/shipping/payment form. You must set the following settings to "no" for CIM to work:</p>
 		<ul class="normal">
			<li>Use Ajax One-Page Checkout Form?</li>
			<li>Use Combined Address, Shipping and Payment Screen in Checkout?</li>
		</ul>
		<p>Please make sure the above settings are set to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p>
	</div>
</c:if>

<br/>

<html:form action="/SettingsProcessAuthorizeNetCIM" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNetCIM'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'authorizeNetCIMTxType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetCIMTxType">
									<option value="AUTH_CAPTURE" <logic:match name="setting" property="smallValue" value="AUTH_CAPTURE">selected="selected"</logic:match>>Authorization and Capture</option>
									<option value="AUTH_ONLY" <logic:match name="setting" property="smallValue" value="AUTH_ONLY">selected="selected"</logic:match>>Authorization Only</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'authorizeNetCIMValidationMode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetCIMValidationMode">
									<option value="none" <logic:match name="setting" property="smallValue" value="none">selected="selected"</logic:match>>none</option>
									<option value="testMode" <logic:match name="setting" property="smallValue" value="testMode">selected="selected"</logic:match>>testMode</option>
									<option value="liveMode" <logic:match name="setting" property="smallValue" value="liveMode">selected="selected"</logic:match>>liveMode</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'authorizeNetCIMHostedMethod'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetCIMHostedMethod">
									<option value="API Only" <logic:match name="setting" property="smallValue" value="API Only">selected="selected"</logic:match>>API Only (Form Served by SoftSlate Commerce)</option>
									<option value="Embedded IFrame" <logic:match name="setting" property="smallValue" value="Embedded IFrame">selected="selected"</logic:match>>Embedded IFrame (Form Served by Authorize.net)</option>
									<option value="Popup IFrame" <logic:match name="setting" property="smallValue" value="Popup IFrame">selected="selected"</logic:match>>Popup IFrame (Form Served by Authorize.net)</option>
									<option value="Redirect" <logic:match name="setting" property="smallValue" value="Redirect">selected="selected"</logic:match>>Redirect (Form Served by Authorize.net)</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>	
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Account with Authorize.net">
				<p>To enable Authorize.net, you must establish an account with them. 
				Visit <a href="http://reseller.authorize.net/application.asp?id=565192" target="_blank">Authorize.net</a> 
				for more information. After establishing an account, from within their merchant interface, sign up for the CIM (Customer Information Management) service separately.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Configure Address Fields with CIM and SoftSlate Commerce?">
				<p>Both SoftSlate Commerce and Authorize.net CIM have settings that allow you to specify which
				fields are prompted for and required when a customer goes through checkout. For SoftSlate Commerce,
				the settings are controlled by the <a target="_new" href="SettingsAddress.do">Address Fields screen</a>. 
				For CIM, some of the settings on 
				<a target="_new" href="http://screencast.com/t/n8AjiwM0YFf">Account -> Settings -> Payment Form - Fields</a> 
				are used to affect their form. (As of this writing,
				the Authorize.net CIM settings for "View" don't seem to work: unchecking a field does not affect
				the form. The billing address fields are always prompted for.)</p>
				<p>Our suggestion is to use SoftSlate Commerce to prompt for <em>delivery</em> address information
				so that it can compute shipping costs and taxes effectively,
				and use Authorize.net CIM to prompt for <em>billing</em> address information. In other words, uncheck
				all the "Prompted" and "Required" checkboxed under the "Billing Fields" section of the SoftSlate
				Commerce <a target="_new" href="SettingsAddress.do">Address Fields screen</a>. Customers will 
				only enter their delivery address initially, then select their shipping option, then on the payment screen,
				the Authorize.net CIM form will prompt them for their billing address. After they enter the billing
				address, SoftSlate Commerce queries CIM for the information and backfills the order with it, so you
				have it in SoftSlate Commerce as well. The customer only has to enter each address once, and both
				systems end up with the information they each need.</p>
			</ssc:help>
		</li>
	</ul>
</div>
