<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<!-- Start productOverview.jsp -->
<div class="overview">
	
	<p class="instructions">
		Use this overview to manage the attributes, options, categories and other information related to this product.
	</p>	
	
	<table id="productAttributes" class="tabDetails overview" cellspacing="0" summary="Attributes">
		<tr>
			<th colspan="2">
				<logic:present role="superuser,administrator,attributeView,attributeEdit">
					<a href="<%=response.encodeURL(administratorURL + "/Attribute.do")%>?productID=<c:out value="${product.productID}"/>&assignments=assigned">
						Attributes and Options
					</a>
				</logic:present>
				<logic:notPresent role="superuser,administrator,attributeView,attributeEdit">
						Attributes and Options
				</logic:notPresent>
			</th>
		</tr>
		<c:choose>
			<c:when test="${!empty product.productAttributes and !product.productAttributes['empty']}">
				<c:set var="styleClass" value="altRow"/>
				<logic:iterate name="product" property="productAttributes" id="pa">
					<c:set var="attribute" value="${pa.attribute}"/>
					<c:set var="indent" value="0"/>
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					<tr>
						<td class="<c:out value="${styleClass}"/>">
							<c:out value="${attribute.attributeName}" escapeXml="false"/> (<c:out value="${attribute.attributeCode}"/>)
							<c:if test="${!attribute.attributeIsActive}">[inactive]</c:if>
						</td>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/AttributeEditForm.do")%>?productID=<c:out value="${product.productID}"/>&attributeID=<c:out value="${attribute.attributeID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Option.do")%>?productID=<c:out value="${product.productID}"/>&attributeID=<c:out value="${attribute.attributeID}"/>">Options</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=attributeID&assignments=assigned&attributeID=<c:out value="${attribute.attributeID}"/>">Products</a>
						</td>
					</tr>
					<c:if test="${!empty attribute.attributeOptions and !attribute.attributeOptions['empty']}">
						<c:set var="indent" value="${indent + 20}"/>
						<logic:iterate name="attribute" property="attributeOptions" id="option">
							<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
							<tr>
								<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
									<c:out value="${option.optionName}" escapeXml="false"/> (<c:out value="${option.optionCode}"/>)
									<c:if test="${!option.optionIsActive}">[inactive]</c:if>
								</td>
								<td class="links <c:out value="${styleClass}"/>">
									<a href="<%=response.encodeURL(administratorURL + "/OptionEditForm.do")%>?productID=<c:out value="${product.productID}"/>&optionID=<c:out value="${option.optionID}"/>">Details</a>
								</td>
							</tr>
						</logic:iterate>
					</c:if>
				</logic:iterate>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="2">
						No attributes.
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>
	
	
	<table id="productCategories" class="tabDetails overview" cellspacing="0" summary="Categories">
		<tr>
			<th colspan="2">
				<logic:present role="superuser,administrator,categoryView,categoryEdit">
					<a href="<%=response.encodeURL(administratorURL + "/Category.do")%>?productID=<c:out value="${product.productID}"/>&assignments=assigned">
						Categories
					</a>
				</logic:present>
				<logic:notPresent role="superuser,administrator,categoryView,categoryEdit">
						Categories
				</logic:notPresent>
			</th>
		</tr>
		<c:set var="styleClass" value="altRow"/>
		<c:if test="${!empty product.primaryCategory}">
			<c:set var="category" value="${product.primaryCategory}"/>
			<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
			<tr>
				<td class="<c:out value="${styleClass}"/>">
					<c:out value="${category.name}" escapeXml="false"/> (<c:out value="${category.code}"/>)
					<c:if test="${!category.isActive}">[inactive]</c:if>
					<span class="calloutMatch">*</span>
				</td>
				<td class="links <c:out value="${styleClass}"/>">
					<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Overview</a> | 
					<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Details</a> | 
					<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${category.categoryID}"/>">Products</a> | 
					<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Custom Settings</a>
				</td>
			</tr>
		</c:if>
		<c:if test="${!empty product.productCategories and !product.productCategories['empty']}">
			<logic:iterate name="product" property="productCategories" id="pc">
				<c:set var="category" value="${pc.category}"/>
				<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
				<tr>
					<td class="<c:out value="${styleClass}"/>">
						<c:out value="${category.name}" escapeXml="false"/> (<c:out value="${category.code}"/>)
						<c:if test="${!category.isActive}">[inactive]</c:if>
						<c:if test="${!empty product.primaryCategoryID and product.primaryCategoryID eq category.categoryID}">
							<span class="primaryCategoryMatch">*</span>
						</c:if>
					</td>
					<td class="links <c:out value="${styleClass}"/>">
						<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Overview</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Details</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${category.categoryID}"/>">Products</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Custom Settings</a>
					</td>
				</tr>
			</logic:iterate>
		</c:if>
		<c:if test="${empty product.primaryCategory and (empty product.productCategories or product.productCategories['empty'])}">
			<tr>
				<td colspan="2">
					No categories.
				</td>
			</tr>
		</c:if>
	</table>
	
	<c:if test="${!empty product.primaryCategory}">
		<div class="instructions" style="font-size: .9em;">
			<span class="calloutMatch">*</span> This category is the primary category for the product.
		</div>
	</c:if>
	
	
	<table id="productSKUs" class="tabDetails overview" cellspacing="0" summary="SKUs">
		<tr>
			<th colspan="2">
				<logic:present role="superuser,administrator,skuView,skuEdit">
					<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?parentIDField=productID&productID=<c:out value="${product.productID}"/>">
						SKUs
					</a>
				</logic:present>
				<logic:notPresent role="superuser,administrator,skuView,skuEdit">
						SKUs
				</logic:notPresent>
			</th>
		</tr>
		<c:choose>
			<c:when test="${!empty product.skus and !product.skus['empty']}">
				<c:set var="styleClass" value="altRow"/>
				<logic:iterate name="product" property="skus" id="sku">
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					<tr>
						<td class="<c:out value="${styleClass}"/>">
							<c:out value="${sku.skuName}" escapeXml="false"/> (<c:out value="${sku.skuNumber}"/>)
							<c:if test="${sku.trackInventory}">[inventory: <c:out value="${sku.inventoryLevel}"/>]</c:if>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/SKUEditForm.do")%>?skuID=<c:out value="${sku.skuID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Discount.do")%>?parentIDField=skuID&assignments=assigned&skuID=<c:out value="${sku.skuID}"/>">Discounts</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/ShippingRule.do")%>?parentIDField=skuID&assignments=assigned&skuID=<c:out value="${sku.skuID}"/>">Shipping Rules</a>
						</td>
					</tr>
				</logic:iterate>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="2">
						No SKUs.
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>
	
	
	<table id="relatedProducts" class="tabDetails overview" cellspacing="0" summary="Related Products">
		<tr>
			<th colspan="2">
				<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=parentProductID&parentProductID=<c:out value="${product.productID}"/>&assignments=assigned">
					Related Products
				</a>
			</th>
		</tr>
		<c:choose>
			<c:when test="${!empty product.relatedProducts and !product.relatedProducts['empty']}">
				<c:set var="styleClass" value="altRow"/>
				<logic:iterate name="product" property="relatedProducts" id="rp">
					<c:set var="relatedProduct" value="${rp.product}"/>
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					<tr>
						<td class="<c:out value="${styleClass}"/>">
							<c:out value="${relatedProduct.name}" escapeXml="false"/> (<c:out value="${relatedProduct.code}"/>)
							<c:if test="${!relatedProduct.isActive}">[inactive]</c:if>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/ProductOverview.do")%>?productID=<c:out value="${relatedProduct.productID}"/>">Overview</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/ProductEditForm.do")%>?productID=<c:out value="${relatedProduct.productID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Attribute.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${relatedProduct.productID}"/>">Attributes</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Category.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${relatedProduct.productID}"/>">Categories</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?parentIDField=productID&productID=<c:out value="${relatedProduct.productID}"/>">SKUs</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=parentProductID&assignments=assigned&parentProductID=<c:out value="${relatedProduct.productID}"/>">Related Products</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsGeneral.do")%>?productID=<c:out value="${relatedProduct.productID}"/>">Custom Settings</a> |
							<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsFacets.do")%>?productID=<c:out value="${relatedProduct.productID}"/>">Facets</a>
						</td>
					</tr>
				</logic:iterate>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="2">
						No related products.
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>
	
	<table id="productFacets" class="tabDetails overview" cellspacing="0" summary="Facets">
		<tr>
			<th colspan="2">
				<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsFacets.do")%>?productID=<c:out value="${product.productID}"/>">
					Facets
				</a>
			</th>
		</tr>
		<c:choose>
			<c:when test="${!empty product.productSettings and !product.productSettings['empty']}">
				<c:set var="productSettings" value="${product.productSettings}"/>
				<%
				  java.util.Map settings = (java.util.Map) pageContext.getAttribute("productSettings");
				  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
				  java.util.Collections.sort(keys);
				  pageContext.setAttribute("keys", keys);
				%>
				<c:set var="counter" value="0" />
				<c:set var="styleClass" value="altRow"/>
				<c:forEach items="${keys}" var="thisKey">
					<c:if test="${productSettings[thisKey].type eq 'FACET'}">
						<c:set var="counter" value="${counter + 1}" />
						<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
						<tr>
							<td class="<c:out value="${styleClass}"/>">
								<c:out value="${productSettings[thisKey].name}"/>
							</td>
							<td class="<c:out value="${styleClass}"/>"><c:out value="${productSettings[thisKey].value}"/></td>
						</tr>
					</c:if>
				</c:forEach>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="2">
						No product facets.
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>

</div>
<!-- End productOverview.jsp -->
