(function($) {
	$(document).ready(function() {
		$.SSCOnePageCheckout.init();	
	});
	
	$.SSCOnePageCheckout = {
		activeTab : "onePageCheckout-addresses",
		init : function() {
			
			// Initial listener for the addresses form
			$('#addressesForm').on("submit", function(event) {
				$.SSCOnePageCheckout.submitProcessAddresses(event);
			});
		},
		
		resetErrors : function() {
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-payment-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-confirm-errors").html("");
		},
		
		resetAll : function() {
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-payment-content").html("");
			$(".onePageCheckout-payment-errors").html("");
			$(".onePageCheckout-shipping-content").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-confirm-content").html("");
			$(".onePageCheckout-confirm-errors").html("");
		},
		
		submitProcessAddresses : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.onePageCheckout-addresses-loading');
			$.ajax( {
				type : "POST",
				url : "CheckoutAddressesAjax.do",
				data : $('#addressesForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessAddressesSuccess,
				error : $.SSCOnePageCheckout.submitProcessAddressesError
			});
		},
		
		submitProcessAddressesSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-addresses-loading');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-addresses-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-addresses-errors"));
			} else if (html.indexOf("shippingFormGuts.jsp") != -1) {
				$(".onePageCheckout-shipping-content").html(html);
				$.SSCOnePageCheckout.showTabHideOthers("onePageCheckout-shipping");
				$('#shippingForm').off("submit");
				$('#shippingForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessShipping(event);
				});
				$.SSCOnePageCheckout.recordGoogleAnalyticsPageHit("onePageCheckout-shipping");
			} else if (html.indexOf("paymentForms.jsp") != -1) {
				$(".onePageCheckout-payment-content").html(html);
				$.SSCOnePageCheckout.showTabHideOthers("onePageCheckout-payment");
				$('.paymentForm').each(function() {
					$(this).off("submit");
				});
				$('.paymentForm').each(function() {
					$(this).on("submit", function(event) {
						
						// Accept.js support - intercept the payment info submission. See authorizeNetAcceptJSHelper.jsp.
						if ($.SSCAuthorizeNetAcceptJSHelper && $(this).attr('id') == 'authorizeNetAIMForm') {
							event.preventDefault();
							$.SSCAuthorizeNetAcceptJSHelper.interceptRequestWithAcceptJS(event);
						} else {
							$.SSCOnePageCheckout.submitProcessPayment(event);
						}
					}); 
				});
				$.SSCOnePageCheckout.recordGoogleAnalyticsPageHit("onePageCheckout-payment");
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
				$.SSCOnePageCheckout.recordGoogleAnalyticsOrder();
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessAddressesError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-addresses-loading');
			$(".onePageCheckout-addresses-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-addresses-errors"));
		},
		
		submitProcessShipping : function(event) {
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.onePageCheckout-shipping-loading');
			$.ajax( {
				type : "POST",
				url : "CheckoutShippingAjax.do",
				data : $('#shippingForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessShippingSuccess,
				error : $.SSCOnePageCheckout.submitProcessShippingError
			});
		},
		
		submitProcessShippingSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-shipping-loading');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-shipping-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
			}else if (html.indexOf("paymentForms.jsp") != -1) {
				$(".onePageCheckout-payment-content").html(html);
				$.SSCOnePageCheckout.resetErrors();
				$.SSCOnePageCheckout.showTabHideOthers("onePageCheckout-payment");
				$('.paymentForm').each(function() {
					$(this).off("submit");
				});
				$('.paymentForm').each(function() {
					$(this).on("submit", function(event) {
						
						// Accept.js support - intercept the payment info submission. See authorizeNetAcceptJSHelper.jsp.
						if ($.SSCAuthorizeNetAcceptJSHelper && $(this).attr('id') == 'authorizeNetAIMForm') {
							event.preventDefault();
							$.SSCAuthorizeNetAcceptJSHelper.interceptRequestWithAcceptJS(event);
						} else {
							$.SSCOnePageCheckout.submitProcessPayment(event);
						}
					}); 
				});
				$.SSCOnePageCheckout.recordGoogleAnalyticsPageHit("onePageCheckout-payment");
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
				$.SSCOnePageCheckout.recordGoogleAnalyticsOrder();
			} else {
				document.location = "Checkout.do";
			}
		},
		
		submitProcessShippingError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-shipping-loading');
			$(".onePageCheckout-shipping-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-shipping-errors"));
		},
		
		submitProcessPayment : function(event) {
			var data = $(event.currentTarget).serialize();
			event.preventDefault();
			$(".onePageCheckout-addresses-errors").html("");
			$(".onePageCheckout-shipping-errors").html("");
			$(".onePageCheckout-payment-errors").html("");
			$.SSCOnePageCheckout.showAsLoading('.onePageCheckout-payment-loading');
			$.ajax( {
				type : "POST",
				url : "CheckoutPaymentAjax.do",
				data : data,
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessPaymentSuccess,
				error : $.SSCOnePageCheckout.submitProcessPaymentError
			});
		},
		
		submitProcessPaymentSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-payment-loading');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-payment-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
			} else if (html.indexOf("checkoutConfirmLayout.jsp") != -1) {
				$(".onePageCheckout-confirm-content").html(html);
				$.SSCOnePageCheckout.resetErrors();
				$.SSCOnePageCheckout.showTabHideOthers("onePageCheckout-confirm");
				$('#confirmForm').off("submit");
				$('#confirmForm').on("submit", function(event) {
					$.SSCOnePageCheckout.submitProcessConfirm(event);
				});
				$.SSCOnePageCheckout.recordGoogleAnalyticsPageHit("onePageCheckout-confirm");
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
				$.SSCOnePageCheckout.recordGoogleAnalyticsOrder();
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessPaymentError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-payment-loading');
			$(".onePageCheckout-payment-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
		},
		
		submitProcessConfirm : function(event) {
			event.preventDefault();
			$.SSCOnePageCheckout.resetErrors();
			$.SSCOnePageCheckout.showAsLoading('.onePageCheckout-confirm-loading');
			$.ajax( {
				type : "POST",
				url : "CheckoutConfirmAjax.do",
				data : $('#confirmForm').serialize(),
				dataType : "html",
				success : $.SSCOnePageCheckout.submitProcessConfirmSuccess,
				error : $.SSCOnePageCheckout.submitProcessConfirmError
			});
		},
		
		submitProcessConfirmSuccess : function(html) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-confirm-loading');
			if (html.indexOf("id=\"ajaxErrors\"") != -1) {
				$(".onePageCheckout-confirm-errors").html(html);
				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-confirm-errors"));
			} else if (html.indexOf("thankYouAndEmails.jsp") != -1) {
				$.SSCOnePageCheckout.resetAll();
				$("#onePageCheckoutMain").html(html);
				$.SSCOnePageCheckout.recordGoogleAnalyticsOrder();
			} else {
				document.location = "Checkout.do";
			}
		},

		submitProcessConfirmError : function(error) {
			$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-confirm-loading');
			$(".onePageCheckout-confirm-errors").html("Error contacting server.");
			$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-confirm-errors"));
		},
		
		// We must do this manually - Bootstrap accordion not quite up to it.
		showTabHideOthers: function(elementID) {
			$.SSCOnePageCheckout.activeTab = 'navigating';
			if (elementID == 'onePageCheckout-addresses') {
				$('#onePageCheckout-addresses').collapse('show');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-shipping');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-payment');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-confirm');
			} else {
				$('#onePageCheckout-addresses').collapse('hide');
			}
			if (elementID == 'onePageCheckout-shipping') {
				$('#onePageCheckout-shipping').collapse('show');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-addresses');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-payment');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-confirm');
			} else {
				$('#onePageCheckout-shipping').collapse('hide');
			}
			if (elementID == 'onePageCheckout-payment') {
				$('#onePageCheckout-payment').collapse('show');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-addresses');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-shipping');
				$.SSCOnePageCheckout.disableTab('onePageCheckout-confirm');
			} else {
				$('#onePageCheckout-payment').collapse('hide');
			}
			if (elementID == 'onePageCheckout-confirm') {
				$('#onePageCheckout-confirm').collapse('show');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-addresses');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-shipping');
				$.SSCOnePageCheckout.enableTab('onePageCheckout-payment');
			} else {
				$('#onePageCheckout-confirm').collapse('hide');
			}
			$.SSCOnePageCheckout.activeTab = elementID;
			//$("#onePageCheckout").accordion("option", "active", $.SSCOnePageCheckout.findTabIndex($("." + elementID)));
		},
		
		enableTab: function(elementID) {
			if (elementID == 'onePageCheckout-addresses') {
				$('#onePageCheckout-addresses-link').off('click');
				$('#onePageCheckout-addresses-link').on('click', function(event) {
					event.preventDefault();
					$.SSCOnePageCheckout.showTabHideOthers('onePageCheckout-addresses');
				});
			} else if (elementID == 'onePageCheckout-shipping') {
				$('#onePageCheckout-shipping-link').off('click');
				$('#onePageCheckout-shipping-link').on('click', function(event) {
					event.preventDefault();
					$.SSCOnePageCheckout.showTabHideOthers('onePageCheckout-shipping');
				});
			} else if (elementID == 'onePageCheckout-payment') {
				$('#onePageCheckout-payment-link').off('click');
				$('#onePageCheckout-payment-link').on('click', function(event) {
					event.preventDefault();
					$.SSCOnePageCheckout.showTabHideOthers('onePageCheckout-payment');
				});
			} else if (elementID == 'onePageCheckout-confirm') {
				$('#onePageCheckout-confirm-link').off('click');
				$('#onePageCheckout-confirm-link').on('click', function(event) {
					event.preventDefault();
					$.SSCOnePageCheckout.showTabHideOthers('onePageCheckout-confirm');
				});
			}
		},
		
		disableTab: function(elementID) {
			if (elementID == 'onePageCheckout-addresses') {
				$('#onePageCheckout-addresses-link').off('click');
			} else if (elementID == 'onePageCheckout-shipping') {
				$('#onePageCheckout-shipping-link').off('click');
			} else if (elementID == 'onePageCheckout-payment') {
				$('#onePageCheckout-payment-link').off('click');
			} else if (elementID == 'onePageCheckout-confirm') {
				$('#onePageCheckout-confirm-link').off('click');
			}
		},
		
		findTabIndex : function(element) {
			var index = element.attr('id').split("-").pop();
			return parseInt(index);
		},
		
		clearForm : function(form) {
			$(form).find(':input').each(function() {
				switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
				}
			});
		},
		
		showAsLoading: function(element) {
			if (!$(element).hasClass('loadingBar')) {
				$(element).addClass('loadingBar');
			}
		},
		
		showAsNotLoading: function(element) {
			$(element).removeClass('loadingBar');
		},
		
		scrollToElement: function(element) {
			$('html, body').animate({
				scrollTop: element.offset().top
			}, 500);
		},
		
		recordGoogleAnalyticsPageHit: function(pageUri) {
			if (typeof ga === "function") {
				ga('set', 'page', pageUri);
				ga('send', 'pageview');
			}
		},
		
		recordGoogleAnalyticsOrder: function() {
			// Defined in tracking.jsp and included by thankYouAndEmails.jsp
			if (typeof recordEcommerceTransaction === "function") {
				recordEcommerceTransaction();
			}
		}
	};
})(jQuery);
